package com.cloudcross.ssp.back.service;
import java.util.List;

import com.cloudcross.ssp.back.model.Zone;
import com.cloudcross.ssp.base.service.IGenericService;

/**
 * 广告位服务接口定义
 * @author chenyou
 *
 */
public interface IZoneService extends IGenericService<Zone> {
	/**
	 * 根据运营商id查找广告位信息
	 * @param operatorId
	 * @return
	 */
	public List<Zone> findByOperatorId(Long operatorId);
}
