package com.cloudcross.ssp.operator.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.operator.model.Advertiser;

public interface IAdvertiserService extends IGenericService<Advertiser>{
	
	//用状态和搜索条件查找广告主
	public int countByStatus(Map<String, Object> paramMap);
	
	public List<Advertiser> findByStatus(Map<String, Object> paramMap);

	public long findByName(String name);
	
}
