package com.cloudcross.ssp.operator.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.operator.model.Message;

public interface IMessageService extends IGenericService<Message> {
	//用状态和搜索条件查找广告主
	public int countByStatus(Map<String, Object> paramMap);
	
	public List<Message> findByType(Map<String, Object> paramMap);

	boolean updateRead(List<Long> IdList, int read);

	
}
