<@override name="head">
	<title>消息提醒</title>
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/font-awesome.min.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/authority.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/bootstrap.min.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/divselect.js"></script>
	
	<script type="text/javascript" >
		$(function(){
		
			//审核消息
			$("#btn-audit").unbind('click').click(function(){
				location.href = "${ctx}/back/main/finance/finance-management";
			});
			
			//提现消息
			$("#btn-deposit").unbind('click').click(function(){
				location.href = "${ctx}/back/main/finance/finance-management/deposit";
			});
			
			//其他消息
			$("#btn-other").unbind('click').click(function(){
				$("#type").val(3);
				$('#formPage').submit();
			});
			
			//标记为已读
			$("#btn-read").live('click', function() {
				var messageId = parseInt($(this).attr("value"));
				var url = "${ctx}/back/main/ad/message/isRead";
				$.post(url, {messageId:messageId}, function(data) {
					$('#formPage').submit();
				});
			});
			
			//复选框按钮
			$('#tablefig th input:checkbox').live("click", function() {
				var that = this;
				$(this).closest('table').find('tr > td:first-child input:checkbox').each(function(){
					this.checked = that.checked;
				});
			});
			
			// 分页中超链接跳转
			$('#pagecontent .pagination ul li a[href]').live('click' ,function(){
				var _page = $(this).attr('href').substr(1);
				var _form = $('#formPage');
				_form.find('input:hidden[name="page"]').val(_page);
				_form.submit();
				return false;
			});
		});
		
	</script>
	
</@override>

<@override name="body">
	<!-- PAGE CONTENT BEGINS HERE -->
	<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="handler">
			<ul>
				<li class="size1"><i class="icon-home" style="background-image:none;"></i> <a href="${ctx}/back/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li class="size2">消息提醒</li>
			</ul>  
		</div>
		<form id="formPage" action="${ctx}/back/main/ad/message/list" method="post" style="margin:0px;">
		<div id="content">
		  	<div id="buttons">
		  		<div id="btn-audit" class="btna">审核消息</div>      
		        <div id="btn-deposit" class="btna">提现消息</div>  
		        <div id="btn-other" class="btna">其他消息</div> 
		        <div id="serachData">
		        	<input type="hidden" id="page" name="page" value="${pager.page}">
		        	<input type="hidden" id="type" name="type" value="4">
					<input id="searchValue" type="text" name="searchValue" value="${searchValue!}"/>
					<input id="serachData_img" type="submit" value="" />
				</div>
		    </div>
		</div>
		<div id="account-table">
			<table border="1" class="tablefig" id="tablefig">
				<thead>
					<tr>
						<th width="10%">
							<label><input type="checkbox" class="input_checkbox"><span class="lbl"></span></label>
						</th>
						<th width="50%">消息内容</th>
						<th width="20%">时间</th>
						<th width="20%">操作</th>
					</tr>
				</thead>
				<tbody>
				<#if messageList ??>
				<#list messageList as message>
					<tr class="">
						<td class="center">
							<label><input  autocomplete="off" type="checkbox" name="id" value="#{message.id}"><span class="lbl"></span></label>
						</td>
						<td class="breakword">${message.content!}</td>
						<td class="breakword">${message.sendTime?datetime}</td>
						<td class="center">
							<#if message.read==true>
								已读
							<#elseif message.read==false>
								<div id="btn-read" class="btn11" value="${message.id}" style="float:none;margin:0 auto;">标记为已读</div>
							</#if>
						</td>
					</tr>
				</#list>
				</#if>
			</tbody>
			</table>
						
			<div style="margin: 20px 10px 0 0;">
               	<#include "/common/pagination/simple.ftl"/>
            </div>	
		</div>
		</form>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
