<@override name="head">
	<title>地域报表</title>
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link rel="stylesheet" type="text/css" href="${ctx}/assets/back/css/ad-report.css">
	<link rel="stylesheet" type="text/css" href="${ctx}/assets/back/css/regionReport.css">
	<link href="${ctx}/assets/back/css/font-awesome.min.css" rel="stylesheet"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/daterangepicker.css" />
	<link rel="stylesheet" href="${ctx}/assets/back/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/bootstrap.min.css"/>
	
<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/jquery.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/moment.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/jquery.custom.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/jquery.daterangepicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/date.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/divselect.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/zbcc.js"></script>
<script src="${ctx}/assets/back/js/highcharts.js"></script>
<script src="${ctx}/assets/back/js/exporting.js"></script>
  <script type="text/javascript" src="http://cdn.hcharts.cn/highcharts/modules/data.js"></script> 
<script type="text/javascript" src="${ctx}/assets/back/js/drilldown.js"></script> 

	<script type="text/javascript">
		$(function(){
			
			$("#img-city").live("click",function(){
				var img = $(this);
				var cnName = img.attr("value");
				if(img.attr("type") == "close"){
					$.ajax({
				    	type:"POST",
				    	url:"${ctx}/back/main/ad/operator/operator-report/city",
				    	data:{cn:cnName,page:$("#page").val(),dateRangePicker:$("#dateRangePicker").val(),selectedOperatorId:${selectedOperatorId}},
				    	success:function(data){
				    		var html = "";
				    		if(data.length >0){
				    			for(var i = 0;i<data.length;i++){
				    				html += '<tr id='+cnName+' class="changeColor" style="background-color:#CCCCCC;">';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;margin-left:20px;"><img src="${ctx}/assets/back/images/defaultLeaf.gif" style="position: relative;top:-2px;left:-5px;"/>'+data[i].cn_city+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].viewRate+'%</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].pv+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].uv+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].impression+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].fillRate+'%</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].click+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].clickRate+'%</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].eCpm+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].income+'</td>';
				    				html += '</tr>';
				    			}
				    		img.parents('tr').after(html);
				    		}
				    		img.attr("src","${ctx}/assets/back/images/folderOpen.gif");
				    	}     
					});	
					img.attr("type","open");
				}else if(img.attr("type") == "open"){
				    $('tr').remove("#"+cnName);//删除id为cname的所有 tr
				    img.attr("src","${ctx}/assets/back/images/folderClose.gif");
				    img.attr("type","close");
					//location.href = "${ctx}/back/main/ad/operator/operator-report/areal";
				}
			});
			
			// 分页中超链接跳转
			$('#pagecontent .pagination ul li a[href]').live('click' ,function(){
				var _page = $(this).attr('href').substr(1);
				var _form = $('#formPage');
				_form.find('input:hidden[name="page"]').val(_page);
				_form.submit();
				return false;
			});
    	});
    	
    	//到处execl
		function exportExcel(){
			if($("#dateRangePicker").val()!=""){
				$("#exportExcel").attr("href","${ctx}/back/main/ad/operator/operator-report/exportOtherReportExcel?location=1&dateRangePicker="+$("#dateRangePicker").val()+"&selectedOperatorId="+$("#selectedOperatorId").val());
			}else{
				$("#exportExcel").attr("href","${ctx}/back/main/ad/operator/operator-report/exportOtherReportExcel?location=1&selectedOperatorId="+$("#selectedOperatorId").val());
			}
		};
	</script>
    	<script type="text/javascript" >
		//给下拉列表框准备数据
function loadDataForPullDownList1(controlView, parentId, url, defaultLabel) {
		//清空下拉框列表
		controlView.empty();
		//json请求,请求地址是url, 返回数据为data,回调函数去处理
		$.getJSON(url, function(data) {
			//打印控制台信息
			
			//console.log(data);
			//console.log(data[parentId]);
			$.each(data[parentId], function(key, val) {
				if(${selectedOperatorId}==val.value){
				controlView.append(
					'<option selected="selected" value=' + val.value + '>' + val.label + '</option>'
				);
				}
			});
			//增加一个默认的列
			controlView.append(
				'<option value="-1">' + defaultLabel + '</option>'
			);
			//遍历后端传回来的json数据，追加在select后面，value是id，label是值
			$.each(data[parentId], function(key, val) {
				if(${selectedOperatorId}!=val.value){
				controlView.append(
					'<option value=' + val.value + '>' + val.label + '</option>'
				);
				}
			});
		});
		//设置默认显示的列是-1；
		controlView.val("-1");
	}
	
	
	//清除下拉框数据
	function clearPullDownList(controlView, defaultLabel) {
		controlView.empty();
		controlView.append(
			'<option value="-1">' + defaultLabel + '</option>'
		);
	}
	
	//调用loadDataForPullDownList，给媒体准备数据
	function loadOperator() {
		loadDataForPullDownList1($('#selectedOperatorId'), "operatorList", "/ssp_web_back/widget/selector/provide/operator?parentId=1", "全部媒体");
	}
	
$(document).ready(function(){
		loadOperator();
		
		//媒体value change调用此函数， 清除活动列表和策略列表
		$('#selectedOperatorId').change(function() {
			
			var id = $(this).val();
			
			if(id == -1){
				$(".media-choose  input[name=selectedOperatorId]").val(null);
			} else {
				$(".media-choose  input[name=selectedOperatorId]").val(id);
			}
			$('#sign').click();
		});	
	
});	
		
</script>
 <style type="text/css">
        #tex{
            border:1px solid #dfdfdf;
        }
        #dateRangePicker{
            width: 180px;
            border: none;
            margin-top: 8px;
            height: 17px;
            padding: 0px;
            font-size:14px;
            margin-left:23px;
        }
        .icon-calendar{
            margin-left:6px;
        }
       #sign{
            border: medium none;
            border-radius: 5px;
            color: #FFF;
            background: #36AEEA none repeat scroll 0px 0px;
            cursor: pointer;
            margin-left: 5px;
            margin-top: -4px;
            height: 21px;
            display: inline;
            font-size: 12px;
            text-align: center;
            width: 90px;
        }
  .media-choose{
       		float:left;
       		margin-left:-15px;
       		}
       #pagecontent{
		height:1000px;
	  }  
	   select::-ms-expand { display: none; }	
     #selectedOperatorId{
     	width:150px;
     	border: none;
     	
     	border-radius:5px;
        appearance:none;
	    -moz-appearance:none; /* Firefox */
	    -webkit-appearance:none; /* Safari 和 Chrome */
	    background:url(${ctx}/assets/back/images/triangle1.png) no-repeat scroll 95% 50%;
	    background-color:#f2f6fa;
     }
      #selectedOperatorId option{
      border:none;
      }		
    </style>
</@override>
<@override name="body">
<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id= "pagecontent">
   		<div id="page-edit">
    		
		    
		     <div id="second">
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report" >总体报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/size" >尺寸报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/position" >位置报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/system" >系统报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/type" >类型报表</a></div>
					<div class="report6all  re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/areal" >地域报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/place"  >场景报表</a></li>
					<div></div>
				
		    </div>
			</br>
			<br><br>  	    
   			<div id="third">
				<ul>
			        <li class="size1"><i class="icon-home homepic_areal" style="background-image:none;"></i> <a href="${ctx}/back/main/dashboard" style="color:#36aeea">首页</a>
				    <span class="divider1"><i class="icon-angle-right"></i></span></li>
			        <li class="size2"><a href="${ctx}/back/main/ad/operator/operator-report" style="color:#36aeea">数据报表</a></li>
			        <li><span class="divider2"><i class="icon-angle-right"></i></span></li>
			        <li style="color: #4c637b;" class="size3">地域报表</li>
			    </ul>  
 			</div> 
 			
			<form id="formPage" action="${ctx}/back/main/ad/operator/operator-report/areal" method="post">
	    		<div id="date">
	    			<div class="media-choose">
											<select id="selectedOperatorId" name="selectedOperatorId" >
											 <option value="-1">全部媒体</option>
											</select>
											<input type="hidden" id="aa" name="selectedOperatorId" value="${selectedOperatorId!}"/>
					</div>
					<span id="date-one">
						<a class="today da">今天</a>|
						<a class="yesterday da">昨天</a>|
						<a class="lastSevenDays da">前七天</a>|
						<a class="lastWeek da">上周</a>|
						<a class="thisMonth da">本月</a>|
						<a class="lastMonth da">上月</a> 
					</span>
					<span id="tex"><i class="icon-calendar" style="background-image:none;"></i>
					<input type="text" name="dateRangePicker" id="dateRangePicker" value="${dateRangePicker!}"/>
			   		</span>
			   		<input id="sign" type="submit" value="查询"/>
			  </div>
			 <input type="hidden" id="page" name="page" value="${pager.page}">
		  	 <div id="fig_areal">
				<table border="1" class="tablefig1" id="tablefig">
					<thead>
						<tr class="tr1"  id ='tr11' background:"#f2f6fa">
							
		                    <th class="td1" style="text-align:center; width:5%">地域</th>
		                    <th class="td1" style="text-align:center; width:7%">浏览量占比</th>
		                    <th class="td1" style="text-align:center; width:6%">PV</th>
		                    <th class="td1" style="text-align:center; width:6%">UV</th>
		                    <th class="td1" style="text-align:center; width:9%">广告曝光数</th>
		                    <th class="td1" style="text-align:center; width:9%">广告填充率</th>
		                    <th class="td1" style="text-align:center; width:9%">广告点击数</th>
		                    <th class="td1" style="text-align:center; width:9%">广告点击率</th>
		                    <th class="td1" style="text-align:center; width:7%">eCPM</th>
		                    <th class="td1" style="text-align:center; width:8%">收入</th>
						</tr>
					
					</thead>
					<tbody>
					<#if reportList ??>
		            <#list reportList as report>
						<tr id="tr22">
			       
			                <td class="td2" id="tdriqi" style="text-align:center;"><img id="img-city" type="close" value="${report.cn!}" src='${ctx}/assets/back/images/folderClose.gif' style="position: relative;top:-2px;left:-5px;cursor:pointer;"/>${report.cn!}</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.viewRate!}%</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.pv!}</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.uv!}</td>  
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.impression!}</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.fillRate!}%</td> 
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.click!}</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.clickRate!}%</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.eCpm!}</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.income!}</td>
			            </tr>
					</#list>
					</#if>
					</tbody>
				</table>
	        </div>
	       
			<div id="daochu_areal" >
				<a class="ljbtn2" id="exportExcel" href="javascript:void(0);" onClick="exportExcel()">导出Excel</a>
			</div>
						
			<div id="pagemove_areal">
							<div id="pageDiv pagemove">
							       <#include "/common/pagination/simple.ftl"/>
							</div>	
			</div>
        </form>
        </div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
 	     
<script type="text/javascript">
    Date.prototype.format = function(format)
    {
        var o = {
            "M+" : this.getMonth()+1, //month
            "d+" : this.getDate(),    //day
            "h+" : this.getHours(),   //hour
            "m+" : this.getMinutes(), //minute
            "s+" : this.getSeconds(), //second
            "q+" : Math.floor((this.getMonth()+3)/3),  //quarter
            "S" : this.getMilliseconds() //millisecond
        }
        if(/(y+)/.test(format)) format=format.replace(RegExp.$1,
                (this.getFullYear()+"").substr(4 - RegExp.$1.length));
        for(var k in o)if(new RegExp("("+ k +")").test(format))
            format = format.replace(RegExp.$1,
                    RegExp.$1.length==1 ? o[k] :
                            ("00"+ o[k]).substr((""+ o[k]).length));
        return format;
    }

    function getlastDate(last)
    {
        //获取系统时间
        var LSTR_ndate=new Date();
        var LSTR_Year=LSTR_ndate.getFullYear();
        var LSTR_Month=LSTR_ndate.getMonth();
        var LSTR_Date=LSTR_ndate.getDate();
        //处理
        var uom = new Date(LSTR_Year,LSTR_Month,LSTR_Date);
        uom.setDate(uom.getDate()-last);//取得系统时间的前一天,重点在这里,负数是前几天
        var LINT_MM=uom.getMonth();
        LINT_MM++;
        var LSTR_MM=LINT_MM > 10?LINT_MM:("0"+LINT_MM)
        var LINT_DD=uom.getDate();
        var LSTR_DD=LINT_DD > 10?LINT_DD:("0"+LINT_DD)
        //得到最终结果
        var uom = (uom.format('yyyy-MM-dd'));
        return uom;
    }
    
    function getlastMonth_start(){
    var now = new Date(); 
    var nowMonth = now.getMonth(); 
    var lastMonthDate = new Date(); 
    lastMonthDate.setDate(1);
    lastMonthDate.setMonth(lastMonthDate.getMonth()-1); 
    
    }

    $('#date #date-one a').click(function(e){
        e.preventDefault;
        var ind = $(this).index();
        var input = $('#dateRangePicker');
        switch (ind){
            case 0://今天
                var startDate = (Date.today().format('yyyy-MM-dd'));
                var endDate = (Date.today().format('yyyy-MM-dd'));
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 1://昨天
                var startDate = getlastDate(1);
                var endDate = getlastDate(1);
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 2://前七天
                var startDate = getlastDate(7);
                var endDate = getlastDate(1);
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
             case 3://上周
               	var startDate=(moment().add(-1,'week').startOf('week').format('YYYY-MM-DD'));
                var endDate=(moment().add(-1,'week').endOf('week').format('YYYY-MM-DD'));     
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 4://本月
                var startDate=(moment().startOf('month').format('YYYY-MM-DD'));
                var endDate=(Date.today().format('yyyy-MM-dd'));                                                                                       
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 5://上月
                var startDate=(moment().add(-1,'month').startOf('month').format('YYYY-MM-DD'));
                var endDate=(moment().add(-1,'month').endOf('month').format('YYYY-MM-DD'));                                                                                       
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
        }
        
    });
    
</script>

<script type="text/javascript">
  
  //  var $tooltip = $("<div class='tooltip right in' style='display:none;'><div class='tooltip-arrow'></div><div class='tooltip-inner'></div></div>").appendTo('body');
    $('#dateRangePicker').dateRangePicker();
    $(function(){
      	$('#pagemove .pagination ul li a[href]').click(function(){
			console.log('aaa');
			var _page = $(this).attr('href').substr(1);//获取当前点击的页码
			console.log(_page);
			var _form = $('#formPage');
			_form.find('input:hidden[name="page"]').val(_page);//将当前点击的页码赋值给搜索form中页码输入框
			console.log(_form.find('input:hidden[name="page"]').val());
			$('#sign').click();//触发搜索
			//transcalender();
			return false;
		});
		//控制昨天今天上周颜色
	  
	  	$("#date-one a").click(function(){
	  		$("#date-one a").css("color","#36aeea");
	  		$(this).css("color","#4c637b")
	  	
	  	})	 	
      });
    
</script>
		     
		     


