<@override name="head">
	<title>尺寸报表</title>
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link rel="stylesheet" type="text/css" href="${ctx}/assets/back/css/report_size.css">
	<link rel="stylesheet" type="text/css" href="${ctx}/assets/back/css/zbone.css">
	<link rel="stylesheet" type="text/css" href="${ctx}/assets/back/css/ad-report.css">
	<link href="${ctx}/assets/back/css/font-awesome.min.css"  rel="stylesheet"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/daterangepicker.css" />

    <script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/moment.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.custom.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.daterangepicker.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/date.js"></script>
    <script type="text/javascript" src="${ctx}/assets/back/js/divselect.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/report_size_bar.js"></script>
	<script src="${ctx}/assets/back/js/highcharts.js"></script>
	<script src="${ctx}/assets/back/js/exporting.js"></script>
	<script type="text/javascript" src="http://cdn.hcharts.cn/highcharts/modules/data.js"></script>
	
	<script type="text/javascript" >
		//给下拉列表框准备数据
function loadDataForPullDownList1(controlView, parentId, url, defaultLabel) {
		//清空下拉框列表
		controlView.empty();
		//json请求,请求地址是url, 返回数据为data,回调函数去处理
		$.getJSON(url, function(data) {
			//打印控制台信息
			
			//console.log(data);
			//console.log(data[parentId]);
			$.each(data[parentId], function(key, val) {
				if(${selectedOperatorId}==val.value){
				controlView.append(
					'<option selected="selected" value=' + val.value + '>' + val.label + '</option>'
				);
				}
			});
			//增加一个默认的列
			controlView.append(
				'<option value="-1">' + defaultLabel + '</option>'
			);
			//遍历后端传回来的json数据，追加在select后面，value是id，label是值
			$.each(data[parentId], function(key, val) {
				if(${selectedOperatorId}!=val.value){
				controlView.append(
					'<option value=' + val.value + '>' + val.label + '</option>'
				);
				}
			});
		});
		//设置默认显示的列是-1；
		controlView.val("-1");
	}
	
	
	//清除下拉框数据
	function clearPullDownList(controlView, defaultLabel) {
		controlView.empty();
		controlView.append(
			'<option value="-1">' + defaultLabel + '</option>'
		);
	}
	
	//调用loadDataForPullDownList，给媒体准备数据
	function loadOperator() {
		loadDataForPullDownList1($('#selectedOperatorId'), "operatorList", "/ssp_web_back/widget/selector/provide/operator?parentId=1", "全部媒体");
	}
	
$(document).ready(function(){
		loadOperator();
		
		//媒体value change调用此函数， 清除活动列表和策略列表
		$('#selectedOperatorId').change(function() {
			
			var id = $(this).val();
			
			if(id == -1){
				$(".media-choose  input[name=selectedOperatorId]").val(null);
			} else {
				$(".media-choose  input[name=selectedOperatorId]").val(id);
			}
			$('#sign').click();
		});	
	
});	
		
</script>
	 <style type="text/css">
        .tex{
            border:1px solid #dfdfdf;
        }
        #dateRangePicker{
            width: 180px;
          	border: none;
            margin-top: 4px;
            height: 17px;
            padding: 0px;
            font-size:14px;
        }
        .icon-calendar{
            margin-left:6px;
        }
        #sign{
            border: medium none;
            border-radius: 5px;
            color: #FFF;
            background: #36AEEA none repeat scroll 0px 0px;
            cursor: pointer;
            margin-left: 5px;
            margin-top: -5px;
            height: 21px;
            display: inline;
            font-size: 12px;
            text-align: center;
            width: 90px;
        }
        
      
  .media-choose{
       		float:left;
       		margin-left:5px;
       		}
      #pagecontent{
		height:1000px;
	  }  
	  select::-ms-expand { display: none; }	
     #selectedOperatorId{
     	width:150px;
     	border: none;
     	
     	border-radius:5px;
        appearance:none;
	    -moz-appearance:none; /* Firefox */
	    -webkit-appearance:none; /* Safari 和 Chrome */
	    background:url(${ctx}/assets/back/images/triangle1.png) no-repeat scroll 95% 50%;
	    background-color:#f2f6fa;
     }
      #selectedOperatorId option{
      border:none;
      }
   
	   		
    </style>
</@override>

 <@override name="body">
 <div id=content_bg>
	 <#include "/back/main/public-head.ftl">
   <div id= "pagecontent"> 
	    
	   <div id="page-edit"> 
	     <div id="second">
				<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report" >总体报表</a></div>
				<div class="report6all re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/size" >尺寸报表</a></div>
				<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/position" >位置报表</a></div>
				<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/system" >系统报表</a></div>
				<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/type" >类型报表</a></div>
				<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/areal" >地域报表</a></div>
				<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/place"  >场景报表</a></li>
				<div></div>
		    </div>
	    </br></br></br>
   		 	<div id="third">
				<ul>
			    	<li class="size1"><i class="icon-home homepic"></i> <a href="${ctx}/back/main/dashboard" style="color:#36aeea">首页</a>
				    <span class="divider1"><i class="icon-angle-right"></i></span></li>
			        <li class="size2"><a href="${ctx}/back/main/ad/operator/operator-report" style="color:#36aeea">数据报表</a></li>
			        <li><span class="divider2"><i class="icon-angle-right"></i></span></li>
			        <li style="color: #4c637b;" class="size3">尺寸报表</li>
			    </ul>  
 			</div>  
 			 </br></br>
    
	    <form id="myform" action="${ctx}/back/main/ad/operator/operator-report/size" method="post">
	   
	    	 <input  autocomplete="off"  type="hidden" name="page" value="${pager.page!}">	
	    	 					<div class="media-choose">
											<select id="selectedOperatorId" name="selectedOperatorId" >
											 <option value="-1">全部媒体</option>
											</select>
											<input type="hidden" id="aa" name="selectedOperatorId" value="${selectedOperatorId!}"/>
									</div>
								<span id="date-one" style="margin-left:9px;">
									<a class="today da">今天</a> |
									<a class="yesterday da">昨天</a> |
									<a class="lastSevenDays da">前七天</a> |
									<a class="lastWeek da">上周</a> |
									<a class="thisMonth da">本月</a> |
									<a class="lastMonth da">上月</a> 
								</span>
								<span class="tex"><i class="icon-calendar"></i>
								<input  type="text" name="dateRangePicker" id="dateRangePicker" value="${dateRangePicker!}"/>
								</span>
								<input id="sign" type="submit" value="查询"/>
					 <div class="chart"> 
						<div  id="linechart1" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
					    <div  id="linechart2" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
					    <div  id="linechart3" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
					    <div  id="linechart4" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
					    <div  id="linechart5" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
					    <div  id="linechart6" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
					    <div  id="linechart7" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
					    <div  id="linechart8" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
					    <div  id="linechart9" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
					</div>
						
					<div class="fenall">	
						<div  id="pv1" class="fenl">
							<div id="pvname1" class="fenlname"><span class="lala">浏览量占比</span></div>
						</div>
						<div  id="PV2" class="fenl">
							<div id="PVname1" class="fenlname"><span class="lala">PV</span></div>
						</div>
						<div  id="uv1" class="fenl">
							<div id="uvname1" class="fenlname"><span class="lala">UV</span></div>
						</div>
						<div id="bgs1" class="fenl">
							<div id="bgsname1" class="fenlname"><span class="lala">广告曝光数</span></div>
						</div>
						<div  id="tan1" class="fenl">
							<div id="tanname1" class="fenlname"><span class="lala">广告填充率</span></div>
						</div>
						<div id="djs1" class="fenl">
							<div id="djsname1" class="fenlname"><span class="lala">广告点击数</span></div>
						</div>
						<div  id="dian1" class="fenl">
							<div id="dianname1" class="fenlname"><span class="lala">广告点击率</span></div>
						</div>
						<div id="E1" class="fenl">
							<div id="Ename1" class="fenlname"><span class="lala">eCPM</span></div>
						</div>
						<div id="shr1" class="fenl">
							<div id="shrname1" class="fenlname"><span class="lala">收入</span></div>
						</div>
					</div>		
						
						
						 <div class="fig">
						 		<table border="1" class="tablefig1" id="tablefig">
					            
					                <thead>
					                <tr class="tr1"  id ='tr11' style="background:#f2f6fa;">
					                    
					                    <th class="td1" style="width:10%;">尺寸</th>
					                    <th class="td1" style="width:10%;">浏览量占比(%)</th>
					                    <th class="td1" style="width:10%;" class="hidden-impression">PV</th>
					                    <th class="td1" style="width:10%;" class="hidden-impression">UV</th>
					                    <th class="td1" style="width:10%;" class="hidden-impression">广告曝光数</th>
					                    <th class="td1" style="width:10%;" class="hidden-impression">广告填充率</th>
					                    <th class="td1" style="width:10%;" class="hidden-click">广告点击数</th>
					                    <th class="td1" style="width:10%;" class="hidden-visit">广告点击率</th>
					                    <th class="td1" style="width:10%;" class="hidden-conversion">eCPM</th>
					                    <th class="td1" style="width:10%;" class="hidden-income">收入</th>
					                  
					                </tr>
					                
					                </thead>
					
					                <tbody>
					                   <#if reportList ??>
					                     <#list reportList as report>
					             
						                 <tr id="tr22">
						                  
						                    <td class="td2" style="text-align:center;">${report.width!}×${report.height!}</td> 
						                    <td class="td2" style="text-align:center;">${report.viewRate!}</td>
						                    <td class="td2" style="text-align:center;">${report.pv!}</td>
						                    <td class="td2" style="text-align:center;">${report.uv!}</td>
						                    <td class="td2" style="text-align:center;" class="hidden-impression">${report.impression!}</td>
						                    <td class="td2" style="text-align:center;" class="hidden-impression">${report.fillRate!}%</td>
						                    <td class="td2" style="text-align:center;">${report.click!}</td>
						                    <td class="td2" style="text-align:center;">${report.clickRate!}%</td>  
						                    <td class="td2" style="text-align:center;" class="hidden-income">${report.eCpm!}</td>
						                    <td class="td2" style="text-align:center;" class="hidden-income">${report.income!}</td>
						                 </tr>
					                   </#list>  
				                      </#if>
					                </tbody>
					            </table>
                          </div>
						
			
	    </form>	
					

    
    		<div id="daochu_size">
				<!--<button class="btn2" >导出Excel</button>-->
				<a class="ljbtn2" onclick="transdaochu()">导出Excel</a>	
			</div>
			<div id="pagemove_size">
							<div class="pageDiv pagemove">
							       <#include "/common/pagination/simple.ftl"/>
							</div>	
			</div>
        
  </div>   
 </div>  
 
  </div>    

	

			     
<script type="text/javascript">
    Date.prototype.format = function(format)
    {
        var o = {
            "M+" : this.getMonth()+1, //month
            "d+" : this.getDate(),    //day
            "h+" : this.getHours(),   //hour
            "m+" : this.getMinutes(), //minute
            "s+" : this.getSeconds(), //second
            "q+" : Math.floor((this.getMonth()+3)/3),  //quarter
            "S" : this.getMilliseconds() //millisecond
        }
        if(/(y+)/.test(format)) format=format.replace(RegExp.$1,
                (this.getFullYear()+"").substr(4 - RegExp.$1.length));
        for(var k in o)if(new RegExp("("+ k +")").test(format))
            format = format.replace(RegExp.$1,
                    RegExp.$1.length==1 ? o[k] :
                            ("00"+ o[k]).substr((""+ o[k]).length));
        return format;
    }

    function getlastDate(last)
    {
        //获取系统时间
        var LSTR_ndate=new Date();
        var LSTR_Year=LSTR_ndate.getFullYear();
        var LSTR_Month=LSTR_ndate.getMonth();
        var LSTR_Date=LSTR_ndate.getDate();
        //处理
        var uom = new Date(LSTR_Year,LSTR_Month,LSTR_Date);
        uom.setDate(uom.getDate()-last);//取得系统时间的前一天,重点在这里,负数是前几天
        var LINT_MM=uom.getMonth();
        LINT_MM++;
        var LSTR_MM=LINT_MM > 10?LINT_MM:("0"+LINT_MM)
        var LINT_DD=uom.getDate();
        var LSTR_DD=LINT_DD > 10?LINT_DD:("0"+LINT_DD)
        //得到最终结果
        var uom = (uom.format('yyyy-MM-dd'));
        return uom;
    }

    $('#date-one  a').click(function(e){
       	e.preventDefault;
        var ind = $(this).index();
        var input = $('#dateRangePicker');
        switch (ind){
            case 0://今天
                var startDate = (Date.today().format('yyyy-MM-dd'));
                var endDate = (Date.today().format('yyyy-MM-dd'));
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 1://昨天
               	var startDate = getlastDate(1);
                var endDate = getlastDate(1);
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 2://前七天
                var startDate = getlastDate(7);
                var endDate = getlastDate(1);
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 3://上周
               	var startDate=(moment().add(-1,'week').startOf('week').format('YYYY-MM-DD'));
                var endDate=(moment().add(-1,'week').endOf('week').format('YYYY-MM-DD'));     
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 4://本月
                var startDate=(moment().startOf('month').format('YYYY-MM-DD'));
                var endDate=(Date.today().format('yyyy-MM-dd'));                                                                                       
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 5://上月
                var startDate=(moment().add(-1,'month').startOf('month').format('YYYY-MM-DD'));
                var endDate=(moment().add(-1,'month').endOf('month').format('YYYY-MM-DD'));                                                                                       
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
        }
    });
    </script>   
    
    
    
    
    
<script type="text/javascript">
function transdaochu(){
					var url = ""; 
					c=$("#selectedOperatorId").val();
				 	//alert(c);
				 	b=$("#dateRangePicker").val();
					url = "${ctx}/back/main/ad/operator/operator-report/exportOtherReportExcel?size=1&dateRangePicker="+b+"&selectedOperatorId="+c;  
				 	location.href = url;				 	
}
		$('#dateRangePicker').dateRangePicker();
		  $(function(){
      	$('.pagemove .pagination ul li a[href]').click(function(){
			console.log('aaa');
			var _page = $(this).attr('href').substr(1);//获取当前点击的页码
			console.log(_page);
			var _form = $('#myform');
			_form.find('input:hidden[name="page"]').val(_page);//将当前点击的页码赋值给搜索form中页码输入框
			console.log(_form.find('input:hidden[name="page"]').val());
			$('#sign').click();//触发搜索
			//transcalender();
			return false;
		});
		//控制昨天今天上周颜色
	  	
	  	$("#date-one a").click(function(){
	  		$("#date-one a").css("color","#36aeea");
	  		$(this).css("color","#4c637b")
	  	
	  	})	 	
      });
</script>
<!--控制柱状图的显示隐藏变化-->
<script type="text/javascript">
        	$(document).ready(function(){
        	$("#pv1").removeClass().addClass('fenlchange');
			$("#pvname1").removeClass().addClass("fenlnamechange"); 
			$("#pvdata1").removeClass().addClass("fenldatachange"); 
			//alert("pvdata");
			$("#linechart2").hide(); 
			$("#linechart3").hide();  
			$("#linechart4").hide();  
			$("#linechart5").hide(); 
			$("#linechart6").hide();  
			$("#linechart7").hide();
			$("#linechart8").hide(); 
			$("#linechart9").hide();   
	
			
     
	  		$("#pv1").click(function(){
	  			$(".fenlchange").removeClass().addClass('fenl');
	  			$(".fenlnamechange").removeClass().addClass('fenlname');
	  			$(".fenldatachange").removeClass().addClass('fenldata');
	  			$("#pv1").removeClass().addClass('fenlchange');
				$("#pvname1").removeClass().addClass("fenlnamechange"); 
				$("#pvdata1").removeClass().addClass("fenldatachange"); 
				$("#linechart2").hide(); 
				$("#linechart1").show(); 
				$("#linechart3").hide();
				$("#linechart4").hide(); 
				$("#linechart5").hide(); 
			    $("#linechart6").hide();  
			    $("#linechart7").hide();
			    $("#linechart8").hide(); 
			    $("#linechart9").hide();   
	
	  			})	
	  			$("#PV2").click(function(){
	  			$(".fenlchange").removeClass().addClass('fenl');
	  			$(".fenlnamechange").removeClass().addClass('fenlname');
	  			$(".fenldatachange").removeClass().addClass('fenldata');
	  			$("#PV2").removeClass().addClass('fenlchange');
				$("#PVname1").removeClass().addClass("fenlnamechange"); 
				$("#pvdata1").removeClass().addClass("fenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").show(); 
				$("#linechart3").hide();
				$("#linechart4").hide(); 
				$("#linechart5").hide(); 
			    $("#linechart6").hide();  
				$("#linechart7").hide();
				$("#linechart8").hide(); 
				$("#linechart9").hide();   
	
	  			})	
	  		$("#uv1").click(function(){
	  			$(".fenlchange").removeClass().addClass('fenl');
	  			$(".fenlnamechange").removeClass().addClass('fenlname');
	  			$(".fenldatachange").removeClass().addClass('fenldata');
	  			$("#uv1").removeClass().addClass('fenlchange');
				$("#uvname1").removeClass().addClass("fenlnamechange"); 
				$("#uvdata1").removeClass().addClass("fenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart3").show(); 
				$("#linechart2").hide();
				$("#linechart4").hide(); 
				$("#linechart5").hide();  
			    $("#linechart6").hide();  
	      		$("#linechart7").hide();
			    $("#linechart8").hide(); 
			    $("#linechart9").hide();   
	
	  			})	
	  			
	  		$("#bgs1").click(function(){
	  			$(".fenlchange").removeClass().addClass('fenl');
	  			$(".fenlnamechange").removeClass().addClass('fenlname');
	  			$(".fenldatachange").removeClass().addClass('fenldata');
	  			$("#bgs1").removeClass().addClass('fenlchange');
				$("#bgsname1").removeClass().addClass("fenlnamechange"); 
				$("#bgsdata1").removeClass().addClass("fenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").hide(); 
				$("#linechart4").show(); 
				$("#linechart3").hide(); 
				$("#linechart5").hide(); 
				$("#linechart6").hide();  
	      		$("#linechart7").hide();
			    $("#linechart8").hide(); 
			    $("#linechart9").hide(); 
	  			})	
	  			
	  			$("#tan1").click(function(){
	  			$(".fenlchange").removeClass().addClass('fenl');
	  			$(".fenlnamechange").removeClass().addClass('fenlname');
	  			$(".fenldatachange").removeClass().addClass('fenldata');
	  			$("#tan1").removeClass().addClass('fenlchange');
				$("#tanname1").removeClass().addClass("fenlnamechange"); 
				$("#tandata1").removeClass().addClass("fenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").hide(); 
				$("#linechart3").hide(); 
				$("#linechart5").show(); 
				$("#linechart6").hide(); 
			    $("#linechart4").hide(); 
	      		$("#linechart7").hide();
			    $("#linechart8").hide(); 
			    $("#linechart9").hide(); 
	  			})		
	  		$("#djs1").click(function(){
	  			$(".fenlchange").removeClass().addClass('fenl');
	  			$(".fenlnamechange").removeClass().addClass('fenlname');
	  			$(".fenldatachange").removeClass().addClass('fenldata');
	  			$("#djs1").removeClass().addClass('fenlchange');
				$("#djsname1").removeClass().addClass("fenlnamechange"); 
				$("#djsdata1").removeClass().addClass("fenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").hide(); 
				$("#linechart3").hide(); 
				$("#linechart6").show(); 
				$("#linechart5").hide(); 
			    $("#linechart4").hide();  
	      		$("#linechart7").hide();
			    $("#linechart8").hide(); 
			    $("#linechart9").hide(); 
	  			})				
	  			$("#dian1").click(function(){
	  			$(".fenlchange").removeClass().addClass('fenl');
	  			$(".fenlnamechange").removeClass().addClass('fenlname');
	  			$(".fenldatachange").removeClass().addClass('fenldata');
	  			$("#dian1").removeClass().addClass('fenlchange');
				$("#dianname1").removeClass().addClass("fenlnamechange"); 
				$("#diandata1").removeClass().addClass("fenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").hide(); 
				$("#linechart3").hide(); 
				$("#linechart7").show(); 
				$("#linechart5").hide(); 
			    $("#linechart6").hide();  
	      		$("#linechart4").hide();
			    $("#linechart8").hide(); 
			    $("#linechart9").hide(); 
	  			})		
	  		
	  			$("#E1").click(function(){
	  			$(".fenlchange").removeClass().addClass('fenl');
	  			$(".fenlnamechange").removeClass().addClass('fenlname');
	  			$(".fenldatachange").removeClass().addClass('fenldata');
	  			$("#E1").removeClass().addClass('fenlchange');
				$("#Ename1").removeClass().addClass("fenlnamechange"); 
				$("#Edata1").removeClass().addClass("fenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").hide(); 
				$("#linechart3").hide(); 
				$("#linechart8").show(); 
				$("#linechart5").hide(); 
			    $("#linechart4").hide();  
	      		$("#linechart7").hide();
			    $("#linechart6").hide(); 
			    $("#linechart9").hide(); 
	  			})		
	  			$("#shr1").click(function(){
	  			$(".fenlchange").removeClass().addClass('fenl');
	  			$(".fenlnamechange").removeClass().addClass('fenlname');
	  			$(".fenldatachange").removeClass().addClass('fenldata');
	  			$("#shr1").removeClass().addClass('fenlchange');
				$("#shrname1").removeClass().addClass("fenlnamechange"); 
				$("#shrdata1").removeClass().addClass("fenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").hide(); 
				$("#linechart3").hide(); 
				$("#linechart4").hide(); 
				$("#linechart9").show(); 
			    $("#linechart6").hide();  
	      		$("#linechart7").hide();
			    $("#linechart8").hide(); 
			    $("#linechart5").hide(); 
	  			})			  				  			
	  		});
 </script>
 
 <!--控制柱状图取值-->			
<script type="text/javascript">

	function getele(){
					try{
						var b=document.getElementsByTagName("td");	  				
		  				var c=[];	  			
			  			for(i=0;i<b.length;i++){  
			  				c[i]=b[i].childNodes[0].nodeValue;
			  			}	
					}
					catch(e){}
					return c;
	}

$(function () {
			u=${startDate};
			v=${endDate}; 	
			m=getele();
			n=${listSize};
			<!--给柱子加颜色-->
			var color=[];
			for(i=0;i<n;i++){
					color[i]='#36aeea';
			}
			n2=10;
			n1=n*n2;
			<!--取x轴-->
			var xlabel=[];
			var j=0;
			for(i=0;i<n1;i+=n2){
				xlabel[j]=m[i];
				   j++;
			}
			<!--取y轴-->
			var lll=[];
			var j=0;
			for(i=1;i<n1;i+=n2){
				lll[j]=parseFloat(m[i]);
			    j++;
			}
			//排序
			var lllxlabel = xlabel;
			var uselllxlabel = [];
			var uselll = [];
			var num;
			for(a=0;a<lll.length;a++){
			uselll[a]=0;
			//alert("uselll[a]是"+uselll[a]);
			num=a;
				 for(b=0;b<lll.length;b++){
				 	if(uselll[a]<=lll[b]){
				 	 uselll[a]=lll[b];
				 	 uselllxlabel[a]=lllxlabel[b];
				 	 num=b;
				 	}
				 }
			//alert("num是"+num);
			lll[num]=0;
			}
			//alert("uselllxlabel是"+uselllxlabel);
			//alert("uselll是"+uselll);

			var pv=[];
			var j=0;
			for(i=2;i<n1;i+=n2){
					
					if(m[i]!=null){
					pv[j]=parseFloat(m[i]);
					}
				   j++;
			}
//排序
			var pvxlabel = xlabel;
			var usepvxlabel = [];
			var usepv = [];
			var num;
			for(a=0;a<pv.length;a++){
			usepv[a]=0;
			//alert("usepv[a]是"+usepv[a]);
			num=a;
				 for(b=0;b<pv.length;b++){
				 	if(usepv[a]<=pv[b]){
				 	 usepv[a]=pv[b];
				 	 usepvxlabel[a]=pvxlabel[b];
				 	 num=b;
				 	}
				 }
			//alert("num是"+num);
			pv[num]=0;
			}
			//alert("usepvxlabel是"+usepvxlabel);
			//alert("usepv是"+usepv);


			var uv=[];
			var j=0;
			for(i=3;i<n1;i+=n2){
					
					if(m[i]!=null){
					uv[j]=parseFloat(m[i]);
					}
				   j++;
			}
//排序
			var uvxlabel = xlabel;
			var useuvxlabel = [];
			var useuv = [];
			var num;
			for(a=0;a<uv.length;a++){
			useuv[a]=0;
			//alert("useuv[a]是"+useuv[a]);
			num=a;
				 for(b=0;b<uv.length;b++){
				 	if(useuv[a]<=uv[b]){
				 	 useuv[a]=uv[b];
				 	 useuvxlabel[a]=uvxlabel[b];
				 	 num=b;
				 	}
				 }
			//alert("num是"+num);
			uv[num]=0;
			}
			//alert("useuvxlabel是"+useuvxlabel);
			//alert("useuv是"+useuv);

			var adbaoguang=[];
			var j=0;
			for(i=4;i<n1;i+=n2){
					
					if(m[i]!=null){
					adbaoguang[j]=parseFloat(m[i]);
					}
				   j++;
			}
//排序
			var adbaoguangxlabel = xlabel;
			var useadbaoguangxlabel = [];
			var useadbaoguang = [];
			var num;
			for(a=0;a<adbaoguang.length;a++){
			useadbaoguang[a]=0;
			//alert("useadbaoguang[a]是"+useadbaoguang[a]);
			num=a;
				 for(b=0;b<adbaoguang.length;b++){
				 	if(useadbaoguang[a]<=adbaoguang[b]){
				 	 useadbaoguang[a]=adbaoguang[b];
				 	 useadbaoguangxlabel[a]=adbaoguangxlabel[b];
				 	 num=b;
				 	}
				 }
			//alert("num是"+num);
			adbaoguang[num]=0;
			}
			//alert("useadbaoguangxlabel是"+useadbaoguangxlabel);
			//alert("useadbaoguang是"+useadbaoguang);
			var adtianchong=[];
			var j=0;
			for(i=5;i<n1;i+=n2){
					
					if(m[i]!=null){
					adtianchong[j]=parseFloat(m[i]);
					}
				   j++;
			}
//排序
			var adtianchongxlabel = xlabel;
			var useadtianchongxlabel = [];
			var useadtianchong = [];
			var num;
			for(a=0;a<adtianchong.length;a++){
			useadtianchong[a]=0;
			//alert("useadtianchong[a]是"+useadtianchong[a]);
			num=a;
				 for(b=0;b<adtianchong.length;b++){
				 	if(useadtianchong[a]<=adtianchong[b]){
				 	 useadtianchong[a]=adtianchong[b];
				 	 useadtianchongxlabel[a]=adtianchongxlabel[b];
				 	 num=b;
				 	}
				 }
			//alert("num是"+num);
			adtianchong[num]=0;
			}
			//alert("useadtianchongxlabel是"+useadtianchongxlabel);
			//alert("useadtianchong是"+useadtianchong);
			var adclick=[];
			var j=0;
			for(i=6;i<n1;i+=n2){
					
					if(m[i]!=null){
					adclick[j]=parseFloat(m[i]);
					}
				   j++;
			}

//排序
			var adclickxlabel = xlabel;
			var useadclickxlabel = [];
			var useadclick = [];
			var num;
			for(a=0;a<adclick.length;a++){
			useadclick[a]=0;
			//alert("useadclick[a]是"+useadclick[a]);
			num=a;
				 for(b=0;b<adclick.length;b++){
				 	if(useadclick[a]<=adclick[b]){
				 	 useadclick[a]=adclick[b];
				 	 useadclickxlabel[a]=adclickxlabel[b];
				 	 num=b;
				 	}
				 }
			//alert("num是"+num);
			adclick[num]=0;
			}
			//alert("useadclickxlabel是"+useadclickxlabel);
			//alert("useadclick是"+useadclick);
			var adclickl=[];
			var j=0;
			for(i=7;i<n1;i+=n2){
					
					if(m[i]!=null){
					adclickl[j]=parseFloat(m[i]);
					}
				   j++;
			}

//排序
			var adclicklxlabel = xlabel;
			var useadclicklxlabel = [];
			var useadclickl = [];
			var num;
			for(a=0;a<adclickl.length;a++){
			useadclickl[a]=0;
			//alert("useadclickl[a]是"+useadclickl[a]);
			num=a;
				 for(b=0;b<adclickl.length;b++){
				 	if(useadclickl[a]<=adclickl[b]){
				 	 useadclickl[a]=adclickl[b];
				 	 useadclicklxlabel[a]=adclicklxlabel[b];
				 	 num=b;
				 	}
				 }
			//alert("num是"+num);
			adclickl[num]=0;
			}
			//alert("useadclicklxlabel是"+useadclicklxlabel);
			//alert("useadclickl是"+useadclickl);

			var ecpm=[];
			var j=0;
			for(i=8;i<n1;i+=n2){
					
					if(m[i]!=null){
					ecpm[j]=parseFloat(m[i]);
					}
				   j++;
			}

//排序
			var ecpmxlabel = xlabel;
			var useecpmxlabel = [];
			var useecpm = [];
			var num;
			for(a=0;a<ecpm.length;a++){
			useecpm[a]=0;
			//alert("useecpm[a]是"+useecpm[a]);
			num=a;
				 for(b=0;b<ecpm.length;b++){
				 	if(useecpm[a]<=ecpm[b]){
				 	 useecpm[a]=ecpm[b];
				 	 useecpmxlabel[a]=ecpmxlabel[b];
				 	 num=b;
				 	}
				 }
			//alert("num是"+num);
			ecpm[num]=0;
			}
			//alert("useecpmxlabel是"+useecpmxlabel);
			//alert("useecpm是"+useecpm);

			var shouru=[];
			var j=0;
			for(i=9;i<n1;i+=n2){
					
					if(m[i]!=null){
					shouru[j]=parseFloat(m[i]);
					}
				   j++;
			}
			
//排序
			var shouruxlabel = xlabel;
			var useshouruxlabel = [];
			var useshouru = [];
			var num;
			for(a=0;a<shouru.length;a++){
			useshouru[a]=0;
			//alert("useshouru[a]是"+useshouru[a]);
			num=a;
				 for(b=0;b<shouru.length;b++){
				 	if(useshouru[a]<=shouru[b]){
				 	 useshouru[a]=shouru[b];
				 	 useshouruxlabel[a]=shouruxlabel[b];
				 	 num=b;
				 	}
				 }
			//alert("num是"+num);
			shouru[num]=0;
			}
			//alert("useshouruxlabel是"+useshouruxlabel);
			//alert("useshouru是"+useshouru);			
			

    $('#linechart1').highcharts({
        chart: {
            type: 'column'
        },
       title: {
            text: '浏览量占比'
        },
        xAxis: {
            categories: uselllxlabel
        },       
        legend: {
            enabled: false
        },
        plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true
                   
                }
            }
        },
		plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true,
                    format: '{point.y:.2f}%'
                }
            }
        },
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
            pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y:.2f}%</b> of total<br/>'
        },
        series: [{
            name: "浏览量占比",
            colorByPoint: true,
              colors:color,
            data: uselll
        }]       
    });   
  $('#linechart2').highcharts({
        chart: {
            type: 'column'
        },
       title: {
            text: 'PV'
        },
        xAxis: {
            categories: usepvxlabel
        },       
        legend: {
            enabled: false
        },
        plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true     
                }
            }
        },
		plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true,
                    format: '{point.y:.2f}'
                }
            }
        },
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
           pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y:.2f}</b> <br/>'
        },
        series: [{
            name: "PV",
            colorByPoint: true,
              colors:color,
            data: usepv
        }]       
    });    
     $('#linechart3').highcharts({
        chart: {
            type: 'column'
        },
       title: {
            text: 'UV'
        },
        xAxis: {
           categories: useuvxlabel
        },       
        legend: {
            enabled: false
        },
        plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true
                   
                }
            }
        },	
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
           pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y:.2f}</b> <br/>'
        },
        series: [{
            name: "UV",
            colorByPoint: true,
              colors:color,
            data: useuv          
        }]        
    });
     $('#linechart4').highcharts({
        chart: {
            type: 'column'
        },
         title: {
            text: '广告曝光数'
        },
        xAxis: {
           categories: useadbaoguangxlabel
        },      
        legend: {
            enabled: false
        },
        plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true
                   
                }
            }
        },		
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
            pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y:.2f}</b> <br/>'
        },
        series: [{
            name: "  广告曝光数",
            colorByPoint: true,
              colors:color,
            data: useadbaoguang         
        }]       
    });
    $('#linechart5').highcharts({
        chart: {
            type: 'column'
        },
       title: {
            text: '广告填充率'
        },
        xAxis: {
            categories: useadtianchongxlabel
        },
       
        legend: {
            enabled: false
        },
        plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true
                   
                }
            }
        },
		plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true,
                    format: '{point.y:.2f}%'
                }
            }
        },
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
            pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y:.2f}%</b> of total<br/>'
        },
        series: [{
            name: "广告填充率",
            colorByPoint: true,
              colors:color,
            data: useadtianchong
        }]       
    });    
     $('#linechart6').highcharts({
        chart: {
            type: 'column'
        },
        title: {
            text: '广告点击数'
        },
        xAxis: {
            categories: useadclickxlabel
        },      
        legend: {
            enabled: false
        },
        plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true
                   
                }
            }
        },	
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
            pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y:.2f}</b> <br/>'
        },
        series: [{
            name: "广告点击数",
            colorByPoint: true,
              colors:color,
            data:  useadclick       
        }]      
    });
    $('#linechart7').highcharts({
        chart: {
            type: 'column'
        },
       title: {
            text: '广告点击率'
        },
        xAxis: {
            categories: useadclicklxlabel
        },       
        legend: {
            enabled: false
        },
        plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true
                   
                }
            }
        },
		plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true,
                    format: '{point.y:.2f}%'
                }
            }
        },
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
            pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y:.2f}%</b> of total<br/>'
        },
        series: [{
            name: "广告点击率",
            colorByPoint: true,
              colors:color,
            data: useadclickl
        }]        
    });
    
     $('#linechart8').highcharts({
        chart: {
            type: 'column'
        },
        title: {
            text: 'eCPM'
        },
        xAxis: {
           categories: useecpmxlabel
        },     
        legend: {
            enabled: false
        },
        plotOptions: {
            series: {
                borderWidth: 0,
                 pointWidth: 30,
                dataLabels: {
                    enabled: true                  
                }
            }
        },		
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
              pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y:.2f}</b> <br/>'
        },
        series: [{
            name: "eCPM",
            colorByPoint: true,
              colors:color,
            data: useecpm         
        }]        
    }); 
     $('#linechart9').highcharts({
        chart: {
            type: 'column'
        },
        title: {
            text: '收入'
        },
        xAxis: {
            categories: useshouruxlabel
        },       
        legend: {
            enabled: false
        },
        plotOptions: {
            series: {
                borderWidth: 0,
                pointWidth: 30,
                dataLabels: {
                    enabled: true
                   
                }
            }
        },		
        tooltip: {
            headerFormat: '<span style="font-size:11px">{series.name}</span><br>',
              pointFormat: '<span style="color:{point.color}">{point.name}</span>: <b>{point.y:.2f}</b> <br/>'
        },
        series: [{
            name: "收入",
            colorByPoint: true,
              colors:color,
            data: useshouru
     }]       
    });
});
</script>
 
 
 
<!-- basic scripts -->

</@override>
<@extends name="/common/simple.ftl"/>

