<@override name="head">
	<title>新增维度</title>
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link href="${ctx}/assets/back/css/font-awesome.min.css" rel="stylesheet"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/authority.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/divselect.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/yf.yang.js"></script>
	
	<style>
		.spanVaildate{
			margin-left:20px;
			color:red;
			position: absolute;
		}
	</style>
	<script type="text/javascript" >
		$(function(){
			
			$("#validation-form").autovalidate();
			//保存按钮
			$("#create-btn-save").unbind('click').click(function(){
				var lis = $('#selected li');
 	    		for(var i=0; i<lis.length;i++) {
 		   			if(i == 0){
						$("#selected_ops").val($(lis[i]).text());
					}else{
						$("#selected_ops").val($("#selected_ops").val()+"-"+$(lis[i]).text());
					}		   
    			}
				var Dimension = new Object();//账号对象
				Dimension['id'] = $("#dimensionId").val();
				Dimension['name'] = $("#name").val();
				Dimension['content'] = $("#selected_ops").val();
				if (!$("#validation-form").validate()) {
					return false;
				}
				$.ajax({
			    	type: "POST",
			        url: "${ctx}/back/main/ad/report/advertiser-report/save",
			        data: Dimension,
			        success: function(data){
					 	location.href = "${ctx}/back/main/ad/report/advertiser-report/dimension";
			        }
				});	
			});
				
			//取消按钮
			$("#create-btn-cancel").unbind('click').click(function(){
				location.href = "${ctx}/back/main/ad/report/advertiser-report/dimension";
			});
			
		});
	</script>
	
</@override>

<@override name="body">
	<!-- PAGE CONTENT BEGINS HERE -->
	<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="content">
			<div id="handler">
				<ul>
					<li class="size1"><i class="icon-home" style="background-image:none;"></i> <a href="${ctx}/back/main/dashboard">首页</a>
					<span class="divider1"><i class="icon-angle-right"></i></span></li>
					<li class="size2"><a href="${ctx}/back/main/ad/report/advertiser-report">数据报表</a></li>
					<span class="divider2"><i class="icon-angle-right"></i></span>
					<li class="size2"><a href="${ctx}/back/main/ad/report/advertiser-report/dimension">维度管理</a></li>
					<span class="divider2"><i class="icon-angle-right"></i></span>
					<li class="size3" id="handlerName">编辑维度</li>
				</ul>  
			</div>
			
			<div id="createForm">
				<form id="validation-form" class="form-horizontal">
				<input id="dimensionId"  type="hidden" name="id" value="${dimension.id}"/>
					<div class="control-group">
						<label style="width:100px;" class="control-label1" for="form-field-4"><span class="lbl1">*</span>维度名称：</label>
						<input class="input-text" autocomplete="off" id="name" name="name" type="text" value="${dimension.name}" verify="unspecial/255/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<ul class="choosen" id="chooseing">
							<#if notdimensionTypeList ??>
							<#list notdimensionTypeList as typename>
								<li>${typename}</li>
							</#list>
							</#if>
						</ul>
						<span id="showspan" style="float:left;margin:131px 0 0 54px;color:red;display:block;">请将左侧维度加入此处</span>
						<ul class="show" id="selected" >
							<#if dimensionTypeList ??>
							<#list dimensionTypeList as typename>
								<li>${typename}<input type='button' class='movedel'/><input type='button' class='movedown'/><input type='button' class='moveup'/></li>
							</#list>
							</#if>
						</ul>
						<input type="hidden" id="selected_ops" name="content" value="${dimension.content}"/>
					</div>
					
					<div id="btn-class" class="form-actions1" style="float:both;">
						<div id="create-btn-save">保存</div>
					    <div id="create-btn-cancel">取消</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
