<@override name="head">
	<title>创建账号</title>
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/authority.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/divselect.js"></script>
	
	<style>
		.spanVaildate{
			margin-left:20px;
			color:red;
			position: absolute;
		}
	</style>
	<script type="text/javascript" >
		$(function(){
			
			$("#validation-form").autovalidate();
			//保存按钮
			$("#create-btn-save").unbind('click').click(function(){
				var addParam = $("#validation-form").serialize();
				if (!$("#validation-form").validate()) {
					return false;
				}else{
					isExistName();//判断账号名称是否重复
					$.ajax({
			           	type: "POST",
			            url: "${ctx}/back/main/client-account/save",
			            data: addParam,
			             success: function(data){
					 		location.href = "${ctx}/back/main/client-account/list";
			             }
					});
				} 
			});
				
			//取消按钮
			$("#create-btn-cancel").unbind('click').click(function(){
				location.href = "${ctx}/back/main/client-account/list";
			});
				
			//显示密码点击事件
			$("#input-password").click(function(){
				if($(this).attr("checked")){
					$("#password-span").html('<input class="input-text" autocomplete="off" id="password" name="password" type="text" value="'+$("#password").val()+'" verify="unspecial/100/1/0">');
					$("#ensurePassword-span").html('<input class="input-text" autocomplete="off" id="ensurePassword" name="ensurePassword" type="text" value="'+$("#ensurePassword").val()+'" verify="unspecial/100/1/0">');
				}else{
					$("#password-span").html('<input class="input-text" autocomplete="off" id="password" name="password" type="password" value="'+$("#password").val()+'" verify="unspecial/100/1/0">');
					$("#ensurePassword-span").html('<input class="input-text" autocomplete="off" id="ensurePassword" name="ensurePassword" type="password" value="'+$("#ensurePassword").val()+'" verify="unspecial/100/1/0">');
				}
				//确认密码与密码一致
				$("#ensurePassword").blur(function(){
					validPassword();
				});
			});
				
			//确认密码与密码一致
			$("#ensurePassword").blur(function(){
				validPassword();
			});
				
			function validPassword(){
				var password = $("#password").val();
				var ensurePassword = $("#ensurePassword").val();
				if(ensurePassword != ""){
					if(ensurePassword != password){
						$("#ensurePassword").css("box-shadow","0 0 6px red").attr('title','确认密码必须与密码一致！');
						$("#ensurePassword").parent("span").parent("div").find("span.spanVaildate").html("确认密码必须与密码一致！");
						return false;
					}else{
						$("#ensurePassword").css("box-shadow","none").attr('title','');
						$("#ensurePassword").parent("span").parent("div").find("span.spanVaildate").html("");
					}
				}
			}
			
			$("#accountName").blur(function(){
				var reg=/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
				if($(this).val().match(reg)!=null){
					$(this).css("box-shadow","none").attr('title','');
					$(this).parent("div").find("span.spanVaildate").html("");
					isExistName();
				}else{
					$(this).css("box-shadow","0 0 6px red").attr('title','格式必须为邮箱类型， 如: example@email.com');
					$(this).parent("div").find("span.spanVaildate").html("格式必须为邮箱类型， 如: example@email.com");
					return false;
				}
			});
			
			function isExistName(){
				var clientAccountName = $("#accountName").val();
				$.ajax({
		           	type: "POST",
		            url: "${ctx}/back/main/client-account/isExist",
		            data: {clientAccountName:clientAccountName},
		             success: function(data){
				 		if(data == "YES"){
				 			$("#accountName").css("box-shadow","0 0 6px red").attr('title','你输入的账号已存在！');
				 			$("#accountName").parent("div").find("span.spanVaildate").html("你输入的账号已存在！");
				 			return false;
				 		}else{
				 			$("#accountName").css("box-shadow","none").attr('title','');
				 			$("#accountName").parent("div").find("span.spanVaildate").html("");
				 		}
		             }
				});
			}
			
			//点击媒体显示银行账户
			$("#input-radio-oper").click(function(){
				$(".hideOperator").css("display","block");
				$(".hideAdverstier").css("display","none");
				$("#title").attr("verify","unspecial/255/0/0");
				$("#bank").attr("verify","unspecial/255/1/0");
				$("#bankAccountName").attr("verify","unspecial/255/1/0");
				$("#bankAccount").attr("verify","number/255/1/0");
			});
			//点击需求方显示发票抬头
			$("#input-radio-adver").click(function(){
				$(".hideAdverstier").css("display","block");
				$(".hideOperator").css("display","none");
				$("#title").attr("verify","unspecial/255/1/0");
				$("#bank").attr("verify","unspecial/255/0/0");
				$("#bankAccountName").attr("verify","unspecial/255/0/0");
				$("#bankAccount").attr("verify","number/255/0/0");
			});
			
		});
	</script>
	
</@override>

<@override name="body">
	<!-- PAGE CONTENT BEGINS HERE -->
	<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="handler">
			<ul>
				<li class="size1"><i class="icon-home"></i> <a href="${ctx}/back/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li class="size2"><a href="${ctx}/back/main/client-account/list">客户账号管理</a></li>
				<span class="divider2"><i class="icon-angle-right"></i></span>
				<li class="size3" id="handlerName">创建账号</li>
			</ul>  
		</div>
		<div id="content" style="padding-bottom:44px;">	
			<div id="createForm">
				<form id="validation-form" class="form-horizontal">
				
					<div class="control-group" style="margin-bottom:10px;">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>账号类型：</label>
						<label class="form-align-radio"><input id="input-radio-oper" autocomplete="off" name="sysType" type="radio" value="2" checked="checked"><span class="lbl" style="position:absolute;left:100px;"></span><span>媒体</span></label> 
						<label class="form-align-radio"><input id="input-radio-adver" autocomplete="off" name="sysType" type="radio" value="3"><span class="lbl" style="position:absolute;left:155px;"></span><span>需求方</span></label>
					</div>
					
					<div class="control-group">
						<label style="width:100px;" class="control-label1" for="form-field-4"><span class="lbl1">*</span>账号：</label>
						<input class="input-text" autocomplete="off" id="accountName" name="accountName" type="text" value="" verify="email/20/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group" id="password-div">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>密码：</label>
						<span id="password-span"><input class="input-text" autocomplete="off" id="password" name="password" type="password" value="" verify="unspecial/100/1/0"></span><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group" id="ensurePassword-div">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>确认密码：</label>
						<span id="ensurePassword-span"><input class="input-text" autocomplete="off" id="ensurePassword" name="ensurePassword" type="password" value="" verify="unspecial/100/1/0"></span>
						<input id="input-password" autocomplete="off" type="checkbox"><span class="lbl" style="position:absolute;margin:2px 5px 0 -15px;"></span><span id="input-password-span" style="margin-left:5px;">显示密码</span><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>联系人：</label>
						<input class="input-text" autocomplete="off" id="linkMan" name="linkMan" type="text" value="" verify="unspecial/255/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>移动电话：</label>
						<input class="input-text" autocomplete="off" id="mobilePhone" name="mobilePhone" type="text" value="" verify="mobile/11/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>固定电话：</label>
						<input class="input-text" autocomplete="off" id="tel" name="tel" type="text" value="" verify="tel/12/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>公司名称：</label>
						<input class="input-text" autocomplete="off" id="companyName" name="companyName" type="text" value="" verify="unspecial/255/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4">&nbsp;&nbsp;网站：</label>
						<input class="input-text" autocomplete="off" id="homePage" name="homePage" type="text" value="" verify="website/255/0/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4">&nbsp;&nbsp;公司地址：</label>
						<input class="input-text" autocomplete="off" id="address" name="address" type="text" value="" verify="unspecial/255/0/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4">&nbsp;&nbsp;邮编：</label>
						<input class="input-text" autocomplete="off" id="zip" name="zip" type="text" value="" verify="zipcode/6/0/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4">&nbsp;&nbsp;电子邮件：</label>
						<input class="input-text" autocomplete="off" id="email" name="email" type="text" value="" verify="email/255/0/0"><span class="spanVaildate"></span>
					</div>
					<div class="control-group hideOperator">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>银行名称：</label>
						<input class="input-text" autocomplete="off" id="bank" name="bank" type="text" value="" verify="unspecial/255/1/0"><span class="spanVaildate"></span>
					</div>
					<div class="control-group hideOperator">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>开户人：</label>
						<input class="input-text" autocomplete="off" id="bankAccountName" name="bankAccountName" type="text" value="" verify="unspecial/255/1/0"><span class="spanVaildate"></span>
					</div>
					<div class="control-group hideOperator">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>银行账户：</label>
						<input class="input-text" autocomplete="off" id="bankAccount" name="bankAccount" type="text" value="" verify="number/255/1/0"><span class="spanVaildate"></span>
					</div>
					<div class="control-group hideAdverstier" style="display:none;">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>发票抬头：</label>
						<input class="input-text" autocomplete="off" id="title" name="title" type="text" value="" verify="unspecial/255/0/0" style="margin-top:0px;color:#aaa;"><span class="spanVaildate"></span>
					</div>
					<div class="control-group" style="margin-bottom:10px;">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>账号状态：</label>
						<label class="form-align-radio"><input id="input-radio-open" autocomplete="off" name="status" type="radio" value="1" checked="checked"><span class="lbl" style="position:absolute;left:100px;"></span><span>开启</span></label> 
						<label class="form-align-radio"><input id="input-radio-down" autocomplete="off" name="status" type="radio" value="0"><span class="lbl" style="position:absolute;left:155px;"></span><span>暂停</span></label>
					</div>
					<div id="btn-class" class="form-actions1">
						<div id="create-btn-save">保存</div>
					    <div id="create-btn-cancel">取消</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
