<@override name="head">
	<title>客户账号管理</title>
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/font-awesome.min.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/authority.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/bootstrap.min.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/divselect.js"></script>
	
	<script type="text/javascript" >
		$(function(){
			if($("#sysType").val() == 0){
				$("#all").css('border-bottom-color','#36aeea');
			}else if($("#sysType").val() == 2){
				$("#oper").css('border-bottom-color','#36aeea');
			}else if($("#sysType").val() == 3){
				$("#adver").css('border-bottom-color','#36aeea');
			}
			//页面中审核通过，审核不通过，未审核链接跳转按钮
			$('#selectConditionBar a').live("click", function() {
				$(this).siblings().css('border-bottom-color','#f4f5f7');	
				$(this).css('border-bottom-color','#36aeea');
				if($(this).text() == "全部"){
					$("#sysType").val(0);
				}else if($(this).text() == "媒体"){
					$("#sysType").val(2);
				}else if($(this).text() == "需求方"){
					$("#sysType").val(3);
				}
				$('#formPage').submit();
			});
			
			//创建账号
			$("#btn-create").unbind('click').click(function(){
				location.href = "${ctx}/back/main/client-account/create";
			});
			
			//编辑
			$("#btn-edit").live("click", function() {
				var accountId = parseInt($(this).attr("value"));
				location.href = "${ctx}/back/main/client-account/edit?accountId="+accountId;
			});
			
			//复选框按钮
			$('#tablefig th input:checkbox').live("click", function() {
				var that = this;
				$(this).closest('table').find('tr > td:first-child input:checkbox').each(function(){
					this.checked = that.checked;
				});
			});

			//批量开启,批量暂停
			$("#all-btn-enable,#all-btn-disable").click(function(){
				var checkboxs = $("#tablefig tbody input[type='checkbox']:checked");
				var _param = checkboxs.serialize();
				var url = ""; var type = "";
				if($(this).attr("id") == "all-btn-enable"){
					url = "${ctx}/back/main/client-account/enable";
					type = "开启";
				}else if($(this).attr("id") == "all-btn-disable"){
					url = "${ctx}/back/main/client-account/disable";
					type = "暂停";
				}
				if(checkboxs.length==0){
					alert("请选择需要"+type+"的用户！");
					return false;
				}
				$.post(url, _param, function(data) {
					$('#formPage').submit();
				});
			});
			
			//开启,暂停
			$('#btn-enable,#btn-disable').live('click' ,function(){
				var url = "";
				var accountId = parseInt($(this).attr("value"));
				if($(this).attr("id") == "btn-enable"){
					url = "${ctx}/back/main/client-account/enable";
				}else if($(this).attr("id") == "btn-disable"){
					url = "${ctx}/back/main/client-account/disable";
				}
				$.post(url, {id:accountId}, function(data) {
					$('#formPage').submit();
				});
			});
			
			// 分页中超链接跳转
			$('#pagecontent .pagination ul li a[href]').live('click' ,function(){
				var _page = $(this).attr('href').substr(1);
				var _form = $('#formPage');
				_form.find('input:hidden[name="page"]').val(_page);
				_form.submit();
				return false;
			});
			
		});
		
		//导出execl
		function exportExcel(){
			$("#exportExcel").attr("href","${ctx}/back/main/client-account/exportDataReportExcel?sysType="+$("#sysType").val()+"&searchValue="+$("#searchValue").val());
		};
		
	</script>
	<style>
		 #second{
		 margin-left:20px;
		 margin-bottom: 15px;
		 }
	     #buttons{
	     clear:both;
	     }
	</style>
</@override>

<@override name="body">
	<!-- PAGE CONTENT BEGINS HERE -->
<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="handler">
			<ul>
				<li class="size1"><i class="icon-home" style="background-image:none;"></i> <a href="${ctx}/back/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li class="size2">客户账号管理</li>
			</ul>
		</div>
		<div id="selectConditionBar">
	        <span>账号类型：</span>
	        <a id="all" value="0">全部</a>
	        <a id="oper" value="2">媒体</a>
			<a id="adver" value="3">需求方</a>
	    </div>
		<div id="content">
			<form id="formPage" action="${ctx}/back/main/client-account/list" method="post" style="margin:0px;">
				<input type="hidden" id="sysType" name="sysType" value="${sysType!}">
		  		<div id="buttons">
			  		<div id="btn-create" class="btna">创建账号</div>      
			        <div id="all-btn-enable" class="btna">批量开启</div>  
			        <div id="all-btn-disable" class="btna">批量停用</div> 
			        <div id="serachData">
			        	<input type="hidden" id="page" name="page" value="${pager.page}">
						<input id="searchValue" type="text" name="searchValue" value="${searchValue!}"/>
						<input id="serachData_img" type="submit" value="" />
					</div>
		 		</div>
				<div id="account-table" style="margin:20px 0px 0px 0px;">
					<table border="1" class="tablefig" id="tablefig" style="width:100%;">
						<thead>
							<tr>
								<th width="5%">
									<label><input type="checkbox" class="input_checkbox"><span class="lbl"></span></label>
								</th>
								<th width="5%">ID</th>
								<th width="10%">账号</th>
								<th width="10%">公司名称</th>
								<th width="10%">联系人</th>
								<th width="10%">移动电话</th>
								<th width="10%">固定电话</th>
								<th width="10%">账号类型</th>
								<th width="5%">状态</th>
								<th width="15%">最后登录时间</th>
								<th width="20%">操作</th>
							</tr>
						</thead>
						<tbody>
						<#if clientAccountsList ??>
						<#list clientAccountsList as account>
							<tr class="">
								<td class="center">
									<label><input  autocomplete="off" type="checkbox" name="id" value="#{account.id}"><span class="lbl"></span></label>
								</td>
								<td class="breakword">${account.id!}</td>
								<td class="breakword">${account.accountName!}</td>
								<td class="breakword">${account.companyName!}</td>
								<td class="hide-piece">${account.linkMan!}</td>
								<td class="breakword">${account.mobilePhone!}</td>
								<td class="hide-piece">${account.tel!}</td>
								<td><#if account.sysType==2>媒体<#elseif account.sysType==3>需求方</#if></td>
								<td><#if account.status==1>正常<#else>暂停</#if></td>
								<td>${account.loginTime?datetime}</td>
								<td>
									<div id="btndiv">
										<div id="btn-edit" class="btn11" value="${account.id}">编辑</div>
										<#if account.status==1>
										<div id="btn-disable" class="btn11" value="${account.id}">停用</div>
										<#elseif account.status==0>
										<div id="btn-enable" class="btn11" value="${account.id}">开启</div>
										</#if>
									</div>
								</td>
							</tr>
						</#list>
						</#if>
					</tbody>
					</table>
					<div id="daochu1" style="margin-top:20px;">
						<a class="ljbtn2" id="exportExcel" href="javascript:void(0);" onClick="exportExcel()">导出Excel</a>
					</div>
								
					<div id="pageDiv" style="margin:-35px -10px 20px 0px;">
		               	<#include "/common/pagination/simple.ftl"/>
		            </div>	
				</div>
			</form>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
