<@override name="head">
	<title>广告投放系统</title>
	<!--css-->
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/finance.css"/>
	<!--Include Required Prerequisites js-->
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>

</@override>
<@override name="body">
	<#include "/back/main/public-head.ftl">
	<div id= "pagecontent">
		<div id="shortcutBar">
			<ul>
				<li >
					<i class="icon-home"></i>
					<a class="homepage" href="${ctx}/back/main/dashboard">首页</a>
					<span class="divider1"><i class="icon-angle-right"></i></span>
				</li>
				<li ><a class="homepage1" href="${ctx}/back/main/finance/finance-management">财务管理</a></li>
				<li >
					<span class="divider1"><i class="icon-angle-right"></i></span>
					<a class="homepage2" href="">需求方充值</a>
				</li>				         
			</ul>
		</div>
		<div id="recharge">
			<form id="form1" action="${ctx}/back/main/finance/finance-management/recharge" method="post">
				<div>
					<span>选择需求方：</span>
					<select id="agentId" name="agentId" class="agentId">
						<option value="-1">请选择代理商</option>
					</select>
				</div>
				<div>
					<span>充值：&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
					<input type="text" name="money" value="100">
					<span>元</span>
					<span class='remind'></span>
				</div>
				<div>
				<button type="submit" name="submit" value="submit">提交</button>
				<button type='button' href='${ctx}/back/main/finance/finance-management'>取消</button>
				</div>
			</form>
		</div>
		<div id="searchBar">
			<span>充值记录&nbsp;:</span>
			<form action="${ctx}/back/main/finance/finance-management/deposit" method="post" class="search-form" >
				<input  autocomplete="off"  type="hidden" name="page" value="${pager.page!}">
		   		<input  autocomplete="off"  type="hidden" name="searchKey" value="name">
		   		<input  autocomplete="off"  class="search_btn" type="text" name="searchValue" value="请输入日期进行搜索" onkeydown="if(event.keyCode==13){return false;}">
		   		<img id="serachData_img" src="${ctx}/assets/back/images/fangdajing1.png"/>
			</form>
		</div>
		
		<div id="tableList">
			<table class="table">
				<thead>
					<tr>
						<th>日期</th>
						<th>广告主/代理商</th>
						<th>充值金额</th>
						<th>余额</th>
						<th>操作</th>
					</tr>
				</thead>
				<tbody>
					<#if advBalanceList ??>
					<#list advBalanceList as advBalance>
					<tr>
						<td>${advBalance.actTime?date}</td>
						<td>${advBalance.agentName!}</td>
						<td>${advBalance.charge!}</td>
						<td>${advBalance.balance!}</td>
						<td><a href='${ctx}/back/main/finance/finance-management/backOut?advBalanceId=${advBalance.id}'>撤销</a></td>
					</tr>
				 	</#list>
		            </#if>
				</tbody>
			</table>
		</div>
		<div id="footBar">
			<button id="exportExcel" href="${ctx}/back/main/finance/finance-management/exportExcel">导出Excel</button>
			<div id="paged">
		       <#include "/common/pagination/simple.ftl"/>
		    </div>
		</div>
	</div>
</@override>
<@extends name="/common/simple.ftl"/>
<!-- 弹出框插件 -->
<script type="text/javascript" src="${ctx}/assets/back/js/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/bootbox.min.js"></script>
<script type="text/javascript">
	$(function(){
		//个人信息栏的js控制
		$("#divselect").click(function(){
			$("#divselect ul").slideToggle("fast");
		});
		
		//搜索输入框的样式改变
		$(document).on('focus',"#searchBar input[name='searchValue']",function(){
			$(this).val("");
		});
		$(document).on('blur',"#searchBar input[name='searchValue']",function(){
			if($(this).val()== ""){
				$(this).val("请输入日期进行搜索");
			}
		});
		
		//取消按钮
		$(document).on('click',"#form1 button[type='button']",function(){
			var _href = $(this).attr("href");
			window.location.assign(_href);
		});
		
		/*
		*提交表单，验证是否选择代理商以及充值不能为负
		*
		*
		*/
		$('#form1 input').change(function(){
			var money = parseInt($(this).val());
			$(this).val(money);
		});
		$('#form1 select').change(function(){
			$('#form1 select').css("border",'none');
		});
		$(document).on('click',"#form1 button[type='submit']",function(e){
			e.preventDefault();//阻止表单提交
			if($('#form1 select').val() == -1){
				$('#form1 select').css("border",'1px solid red');
				return false;
			};
			var _url = $('#form1').attr('action') + '?' + $('#form1').serialize();
			window.location.assign(_url);
		});
		
		//搜索数据
		$(document).on('click','#serachData_img',function(){
			console.info($(this));
			var $searchValue = $("#searchBar .search-form input[name=searchValue]")
			if($searchValue.val() == "请输入日期进行搜索"){
				$searchValue.val(null);
			};
			var _form = $('#pagecontent .search-form');
			var _url = _form.attr('action');
			var _param = _form.serialize();
			console.log("search url:"+_url+", param:"+_param);
			//$('html').load(_url,_param);
			/* $.post(_url, _param, function(data) {
				$('html').html(data);
			}); */
			var _url = $('#searchBar form').attr('action') + '?' + $('#searchBar form').serialize();
			window.location.assign(_url);
			return false;
		});
		
		// 分页中超链接跳转
		$(document).on('click','#pagecontent .pagination ul li a[href]',function(){
			var _page = $(this).attr('href').substr(1);
			var _form = $('#pagecontent .search-form');
			_form.find('input:hidden[name="page"]').val(_page);
			_form.find('img').click();
			return false;
		});
		
		//以下实现导出excel
		$(document).on('click','#exportExcel',function(){
			var _href = $(this).attr('href');
			var $searchValue = $("#searchBar .search-form input[name=searchValue]")
			if($searchValue.val() == "请输入日期进行搜索" || $searchValue.val() == ""){
				$searchValue.val(null);
				window.location.assign(_href);
			} else {
				window.location.assign(_href + "?searchValue=" + $searchValue.val());
			}
			return false;
		});
		
		
		/*以下是获取所有代理商下拉框的实现
		*/
		//这里设置获取该代理商， 后端查询所有代理商，不需要参数;
	    var _url = "${ctx}/widget/selector/provide/adv-agent"; //请求地址
	    //调用获取代理商的方法
	    loadDataForPullDownList($('#agentId'), "advAgentsList", _url, "请选择代理商");
		function loadDataForPullDownList(controlView, parentId, url, defaultLabel) {
			//清空下拉框列表
			controlView.empty();
			//增加一个默认的列
			controlView.append(
				'<option value="-1">' + defaultLabel + '</option>'
			);
			//json请求,请求地址是url, 返回数据为data,回调函数去处理
			$.getJSON(url, function(data) {
				//打印控制台信息
				//console.log(data);
				//console.log(data[parentId]);
				//遍历后端传回来的json数据，追加在select后面，value是id，label是值
				$.each(data[parentId], function(key, val) {
					controlView.append(
						'<option value=' + val.value + '>' + val.label + '</option>'
					);
				});
			});
			//设置默认显示的列是-1；
			controlView.val("-1");
		}
		
		/*
		*代理商充值撤销操作
		*	@param advBalanceId
		*	@return 删除成功返回ok， 删除失败返回false,提示账户不存在
		*/
		$(document).on('click','#tableList a',function(e){
			e.preventDefault();
			var _href = $(this).attr('href');
			$.get(_href,function(data){
				if(data == 'ok'){
					$('#serachData_img').trigger('click');
				}else{
					bootbox.alert("账户不存在！");
				}
			});
		})
	});
</script>