<@override name="head">
<title>用户登录</title>
<script type="text/javascript" src='${ctx}/assets/back/js/jquery-1.9.1.min.js'></script>
<script type="text/javascript">
$(function(){
	$('title').each(function(){
		if($(this).text() === '广告投放系统') {
			console.log("跳转到登录页面");
			window.parent.location = "${ctx}/login";
			return false;
		}
	});
	$("body").addClass("login-layout");
	$('form button[href]').click(function(){
		var _href = $(this).attr('href');
		if (_href&&_href!='#') {
			window.location = _href;
		}
		return false;
	});
	$('.toolbar a.user-signup-link').click(function() {
		$('form').submit();
		return false;
	});
	
	$(".language-switch").click(function() {
		var _href = $(this).attr("href");
		$.get(_href, function(data) {
			window.location = window.location.href
		})		
		return false;
	});
 
});
</script>
<style>
body{
 font-size: 12px;
}
#username{
	width:200px;
	height:20px;
	padding-left:25px;
	line-height:20px !important;
	border-radius:4px !important;
}
#password{
	width:200px;
	height:20px;
	padding-left:25px;
	line-height:20px !important;
	margin-top:13px;
	border-radius:4px !important;
}
#log_in{
	width:233px;
	height:32px;
	margin-top:35px;
	color:#ffffff;
	border:none;
	border-radius:3px;
	background-color:#0170c9;

}
</style>
</@override>
<@override name="body">
<div class="container-fluid" id="main-container">
<div class="login-logo"></div>
	<div id="main-content">
		<div class="row-fluid">
			<div class="span12">
				<div class="login-container">
				<div class="row-fluid login-imgcenter"><img src="${ctx}/assets/back/images/datacrosslogo.png"  style="height:72px;margin-left:26px;"/></div>
				<div class="space-6"></div>
				<div class="row-fluid">
				<div class="position-relative">
					<@block name="widget-box">
					<div id="login-box" class="visible widget-box no-border">
						<div class="widget-body">
						 <div class="widget-main">
							
							<div class="space-6"></div>
								<form id="loginForm" name="loginForm" method="post"
			action="${ctx}/submitlogin.html">
				<div class="name">
					<label>请输入您的信息</label>
					<input type="text" class="text" id="username" placeholder="用户名"  onkeydown="if(event.keyCode==13){return false;}" name="username" tabindex="1">&nbsp;&nbsp;&nbsp;
					<img src="${ctx}/assets/back/images/email.png" title="用户名" style="margin-left:-240px;margin-top:-3px;">
				
				</div>
				<div class="pwd">
					<input type="password" class="text" id="password" placeholder="密码"  onkeydown="if(event.keyCode==13){return false;}"  name="password" tabindex="2">&nbsp;&nbsp;&nbsp;
					<img src="${ctx}/assets/back/images/key.png" title="密码" style="margin-left:-240px;margin-top:10px;">
				
				</div>
				<div class="login">
					<input type="button"  id="log_in" class="submit" tabindex="3" value="登录" onclick="checkUserForm();">
					<div class="check"></div>
				</div>
				<div class="tip"></div>
				</form>
						 </div><!--/widget-main-->
						
						</div><!--/widget-body-->
					</div><!--/login-box-->
					</@block>
				</div><!--/position-relative-->
				</div>
				</div>
			</div><!--/span-->
		</div><!--/row-->
	</div>
	<script type="text/javascript">
	$(function(){
		$("#password").keydown(function(e){
	    if(!e){
	        e=window.event;
	        }
	        if((e.keyCode||e.which)===13){
	          //  $(":button").click();//回车键按下执行的方法
	          //  $('#searchBar img').trigger("click");\
	            checkUserForm();
	        
	    }
		});
		
		$("#username").keydown(function(e){
	    if(!e){
	        e=window.event;
	        }
	        if((e.keyCode||e.which)===13){
	          //  $(":button").click();//回车键按下执行的方法
	          //  $('#searchBar img').trigger("click");\
	            checkUserForm();
	        
	    }
		});
	});
	
	
	
	
function checkUserForm() {
	var userName = $("#username").val();
	var userPassword = $("#password").val();
	if (userName == "" || userPassword == "") {
		alert("用户名或密码不能为空");
		return false;
	}
	var b;
	$.ajax({
				type : "POST",
				url : "${ctx}/loginCheck.html?data="
						+ new Date(),
				data : {
					username : userName,
					password : userPassword
				},
				dataType: "json",
				async : false,
				success : function(data) {
					if (data.error == "0") {
						b = false;
					} else {
						b = true;
						alert(data.error);
					}
				}
			});
	if (b) {
		return true;
	}
	document.loginForm.submit();
}
</script>
</div><!--/.fluid-container-->
</@override>
<@extends name="/common/simple.ftl"/>