<@override name="head">
	<title>地域报表</title>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link rel="stylesheet" type="text/css" href="${ctx}/assets/operator/css/ad-report.css">
	<link rel="stylesheet" type="text/css" href="${ctx}/assets/operator/css/regionReport.css">
	<link href="${ctx}/assets/operator/css/font-awesome.min.css" rel="stylesheet"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/daterangepicker.css" />
	<link rel="stylesheet" href="${ctx}/assets/operator/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/bootstrap.min.css"/>
	
<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/operator/js/moment.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.custom.js"></script>
<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.daterangepicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/operator/js/date.js"></script>
<script type="text/javascript" src="${ctx}/assets/operator/js/divselect.js"></script>
<script type="text/javascript" src="${ctx}/assets/operator/js/zbcc.js"></script>
  <script type="text/javascript" src="http://cdn.hcharts.cn/highcharts/highcharts.js"></script>
  <script type="text/javascript" src="http://cdn.hcharts.cn/highcharts/modules/exporting.js"></script>
  <script type="text/javascript" src="http://cdn.hcharts.cn/highcharts/modules/data.js"></script> 
<script type="text/javascript" src="${ctx}/assets/operator/js/drilldown.js"></script> 

	<script type="text/javascript">
		$(function(){
			
			$("#img-city").live("click",function(){
				var img = $(this);
				var cnName = img.attr("value");
				if(img.attr("type") == "close"){
					$.ajax({
				    	type:"POST",
				    	url:"${ctx}/operator/main/ad/report/advertiser-report/arealCtiy",
				    	data:{cnName:cnName,page:$("#page").val(),dateRangePicker:$("#dateRangePicker").val()},
				    	success:function(data){
				    		var html = "";
				    		if(data.length >0){
				    			for(var i = 0;i<data.length;i++){
				    				html += '<tr id='+cnName+' class="changeColor" style="background-color:#CCCCCC;">';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;margin-left:20px;"><img src="${ctx}/assets/operator/images/defaultLeaf.gif" style="position: relative;top:-2px;left:-5px;"/>'+data[i].cn_city+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].viewRate+'%</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].pv+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].uv+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].impression+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].fillRate+'%</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].click+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].clickRate+'%</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].eCpm+'</td>';
				    				html += '<td class="td2" id="tdriqi" style="text-align:center;">'+data[i].income+'</td>';
				    				html += '</tr>';
				    			}
				    		img.parents('tr').after(html);
				    		}
				    		img.attr("src","${ctx}/assets/operator/images/folderOpen.gif");
				    	}     
					});	
					img.attr("type","open");
				}else if(img.attr("type") == "open"){
				    $('tr').remove("#"+cnName);//删除id为cname的所有 tr
				    img.attr("src","${ctx}/assets/operator/images/folderClose.gif");
				    img.attr("type","close");
					//location.href = "${ctx}/main/ad/report/advertiser-report/areal";
				}
			});
			
			// 分页中超链接跳转
			$('#pagecontent .pagination ul li a[href]').live('click' ,function(){
				var _page = $(this).attr('href').substr(1);
				var _form = $('#formPage');
				_form.find('input:hidden[name="page"]').val(_page);
				_form.submit();
				return false;
			});
    	});
    	
    	//到处execl
		function exportExcel(){
			if($("#dateRangePicker").val()!=""){
				$("#exportExcel").attr("href","${ctx}/operator/main/ad/report/advertiser-report/exportOtherReportExcel?location=1&dateRangePicker="+$("#dateRangePicker").val());
			}else{
				$("#exportExcel").attr("href","${ctx}/operator/main/ad/report/advertiser-report/exportOtherReportExcel?location=1");
			}
		};
	</script>

 <style type="text/css">
        #tex{
            border:1px solid #dfdfdf;
        }
        #dateRangePicker{
            border: medium none;
		    font-size: 12px;
		    height: 21px;
		    width: 160px;
		    border: 1px solid #dfdfdf;
		    padding:0 0 0 20px;
		    position: relative;
    		top: 4px; 
    		left:-15px;
        }
        .icon-calendar{
            z-index:9999;
           	background-image:none;
           	position:absolute;
           	margin:7px 0 0 -10px;
        }
        #sign{
            border: medium none;
            border-radius: 5px;
            color: #FFF;
            background: #36aeea none repeat scroll 0% 0%;
            cursor: pointer;
            margin-top:-4px;
            margin-left:-5px;
            height: 21px;
            line-height:21px;
            display: inline;
            font-size: 12px;
            text-align: center;
            width: 90px;
        }

    </style>
</@override>
<@override name="body">
<div id=content_bg>
	<#include "/operator/main/public-head.ftl">
    <div id= "pagecontent">
   		<div id="page-edit">
    		
		    
		     <div id="second">
					<div class="report6 re"><a class="alj" href="${ctx}/operator/main/ad/report/advertiser-report" >总体报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/operator/main/ad/report/advertiser-report/size" >尺寸报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/operator/main/ad/report/advertiser-report/position" >位置报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/operator/main/ad/report/advertiser-report/system" >系统报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/operator/main/ad/report/advertiser-report/type" >类型报表</a></div>
					<div class="report6all  re"><a class="alj" href="${ctx}/operator/main/ad/report/advertiser-report/areal" >地域报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/operator/main/ad/report/advertiser-report/place"  >场景报表</a></div> 
					<div class="report6 re"><a class="alj" href="${ctx}/operator/main/ad/report/advertiser-report/apmac">热点报表</a></div> 		    </div>
   			<div id="third" style="margin:10px 0 0 19px;">
				<ul style="margin:0 0 5px 9px;">
			        <li class="size1"><i class="icon-home homepic_areal" style="background-image:none;margin-top:2px;"></i> <a href="${ctx}/operator/main/dashboard" style="color:#36aeea">首页</a>
				    <span class="divider1"><i class="icon-angle-right"></i></span></li>
			        <li class="size2" style="margin:0 -10px;"><a href="${ctx}/operator/main/ad/report/advertiser-report" style="color:#36aeea">数据报表</a></li>
			        <li><span class="divider2" style="margin: 0 0 0 10px;"><i class="icon-angle-right"></i></span></li>
			        <li style="color: #4c637b;" class="size3">地域报表</li>
			    </ul>  
 			</div> 
 			
			<form id="formPage" action="${ctx}/operator/main/ad/report/advertiser-report/areal" method="post">
			<input id="page" autocomplete="off"  type="hidden" name="page" value="${pager.page!}">	
			<input type="hidden" id="dateTab" name="dateTab" value="${dateTab!}">
    		<div id="date">
				<span id="date-one" style="left:-15px;position:relative;">
					<a class="today da" value="today">今天</a> |
					<a id="yesterday" class="yesterday da" value="yesterday">昨天</a> |
					<a class="lastSevenDays da" value="lastSevenDays">前七天</a> |
					<a class="lastWeek da" value="lastWeek">上周</a> |
					<a class="thisMonth da" value="thisMonth">本月</a> |
					<a class="lastMonth da" value="lastMonth">上月</a>
				</span>
				<i class="icon-calendar" style="background-image:none;"></i>
				<input type="text" name="dateRangePicker" id="dateRangePicker" value="${dateRangePicker!}"/>
		   		<input id="sign" type="submit" value="查询"/>
		  </div>
		
		   <div id="fig">
				<table border="1" class="tablefig" id="tablefig" style="width:98.5%;margin-top:-2px;">
					<thead>
						<tr class="tr1"  id ='tr11'>
							
		                    <th class="td1" style="text-align:center; width:10%">地域</th>
		                    <th class="td1" style="text-align:center; width:5.5%">浏览量占比</th>
		                    <th class="td1" style="text-align:center; width:5.5%">PV</th>
		                    <th class="td1" style="text-align:center; width:5.5%">UV</th>
		                    <th class="td1" style="text-align:center; width:5.5%">广告曝光数</th>
		                    <th class="td1" style="text-align:center; width:5.5%">广告填充率</th>
		                    <th class="td1" style="text-align:center; width:5.5%">广告点击数</th>
		                    <th class="td1" style="text-align:center; width:5.5%">广告点击率</th>
		                    <th class="td1" style="text-align:center; width:5.5%">eCPM</th>
		                    <th class="td1" style="text-align:center; width:5.5%">收入</th>
						</tr>
					
					</thead>
					<tbody>
					<#if reportList ??>
		            <#list reportList as report>
						<tr id="tr22">
			       
			                <td class="td2" id="tdriqi" style="text-align:center;"><img id="img-city" type="close" value="${report.cn!}" src='${ctx}/assets/operator/images/folderClose.gif' style="position: relative;top:-2px;left:-5px;cursor:pointer;"/>${report.cn!}</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.viewRate!}%</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.pv!}</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.uv!}</td>  
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.impression!}</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.fillRate!}%</td> 
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.click!}</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.clickRate!}%</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.eCpm!}</td>
			                <td class="td2" id="tdriqi" style="text-align:center;">${report.income!}</td>
			            </tr>
					</#list>
					</#if>
					</tbody>
				</table>
	        </div>
	       
			<div id="daochu" >
				<a class="ljbtn2" id="exportExcel" href="javascript:void(0);" onClick="exportExcel()">导出Excel</a>
			</div>
						
			<div id="pagemove_system" style="padding:20px 20px 0 0;">
							<div class="pageDiv pagemove">
							       <#include "/common/pagination/simple.ftl"/>
							</div>	
			</div>
        
        </form>
        </div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
 	     
<script type="text/javascript">
    Date.prototype.format = function(format)
    {
        var o = {
            "M+" : this.getMonth()+1, //month
            "d+" : this.getDate(),    //day
            "h+" : this.getHours(),   //hour
            "m+" : this.getMinutes(), //minute
            "s+" : this.getSeconds(), //second
            "q+" : Math.floor((this.getMonth()+3)/3),  //quarter
            "S" : this.getMilliseconds() //millisecond
        }
        if(/(y+)/.test(format)) format=format.replace(RegExp.$1,
                (this.getFullYear()+"").substr(4 - RegExp.$1.length));
        for(var k in o)if(new RegExp("("+ k +")").test(format))
            format = format.replace(RegExp.$1,
                    RegExp.$1.length==1 ? o[k] :
                            ("00"+ o[k]).substr((""+ o[k]).length));
        return format;
    }

    function getlastDate(last)
    {
        //获取系统时间
        var LSTR_ndate=new Date();
        var LSTR_Year=LSTR_ndate.getFullYear();
        var LSTR_Month=LSTR_ndate.getMonth();
        var LSTR_Date=LSTR_ndate.getDate();
        //处理
        var uom = new Date(LSTR_Year,LSTR_Month,LSTR_Date);
        uom.setDate(uom.getDate()-last);//取得系统时间的前一天,重点在这里,负数是前几天
        var LINT_MM=uom.getMonth();
        LINT_MM++;
        var LSTR_MM=LINT_MM > 10?LINT_MM:("0"+LINT_MM)
        var LINT_DD=uom.getDate();
        var LSTR_DD=LINT_DD > 10?LINT_DD:("0"+LINT_DD)
        //得到最终结果
        var uom = (uom.format('yyyy-MM-dd'));
        return uom;
    }
    
    function getlastMonth_start(){
    var now = new Date(); 
    var nowMonth = now.getMonth(); 
    var lastMonthDate = new Date(); 
    lastMonthDate.setDate(1);
    lastMonthDate.setMonth(lastMonthDate.getMonth()-1); 
    
    }

    $('#date #date-one a').click(function(e){
        e.preventDefault;
        var ind = $(this).index();
        var input = $('#dateRangePicker');
        switch (ind){
            case 0://今天
                var startDate = (Date.today().format('yyyy-MM-dd'));
                var endDate = (Date.today().format('yyyy-MM-dd'));
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 1://昨天
                var startDate = getlastDate(1);
                var endDate = getlastDate(1);
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 2://前七天
                var startDate = getlastDate(7);
                var endDate = getlastDate(1);
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
             case 3://上周
               	var startDate=(moment().add(-1,'week').startOf('week').format('YYYY-MM-DD'));
                var endDate=(moment().add(-1,'week').endOf('week').format('YYYY-MM-DD'));     
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 4://本月
                var startDate=(moment().startOf('month').format('YYYY-MM-DD'));
                var endDate=(Date.today().format('yyyy-MM-dd'));                                                                                       
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 5://上月
                var startDate=(moment().add(-1,'month').startOf('month').format('YYYY-MM-DD'));
                var endDate=(moment().add(-1,'month').endOf('month').format('YYYY-MM-DD'));                                                                                       
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
        }
        $("#dateTab").val($(this).attr("value"));
        $(this).addClass('dateChange').siblings('.dateChange').removeClass('dateChange');
    });
    
</script>

<script type="text/javascript">
  
  //  var $tooltip = $("<div class='tooltip right in' style='display:none;'><div class='tooltip-arrow'></div><div class='tooltip-inner'></div></div>").appendTo('body');
    $('#dateRangePicker').dateRangePicker();
    if($('#dateRangePicker').val() == ""){
		$('#dateRangePicker').val(getlastDate(1)+" to "+getlastDate(1));
		$("#date-one #yesterday").addClass('dateChange');
	}
			
	$('#date-one a').each(function(){
		var value = $(this).attr("value");
		if($("#dateTab").val() == value){
			$(this).addClass('dateChange');
		}
	});
	//点击日期控件的按钮时，去掉前面时间标签的样式
	$(".apply-btn").click(function(){
		$("#dateTab").val("");
		$('#date-one a').removeClass('dateChange');
	});
     //控制页码
    $('.pagemove .pagination ul li a[href]').click(function(){
			console.log('aaa');
			var _page = $(this).attr('href').substr(1);//获取当前点击的页码
			console.log(_page);
			var _form = $('#formPage');
			_form.find('input:hidden[name="page"]').val(_page);//将当前点击的页码赋值给搜索form中页码输入框
			console.log(_form.find('input:hidden[name="page"]').val());
			$('#sign').click(); //触发搜索
		});
</script>
		     
		     


