<@override name="breadcrumb">	
	<title>创意管理</title>
		
		 <script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
	     <script type="text/javascript" src="${ctx}/assets/operator/js/divselect.js"></script>
	     <script type="text/javascript" src="${ctx}/assets/operator/js/hping_checkbox.js"></script>

	 
	    <link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	    <link rel="stylesheet" type="text/css" href="${ctx}/assets/operator/css/Hzone.css"/>
	    <link rel="stylesheet" type="text/css" href="${ctx}/assets/operator/css/H_ad_target.css"/>   
	    
	 
	    <script type="text/javascript">
	  
	   		 function loadDataForPullDownList(controlView, parentId, url, defaultLabel) {
		    	//清空下拉框列表
		    	controlView.empty();
		    	//增加一个默认的列
		    	controlView.append(
		    		'<option value="-1">' + defaultLabel + '</option>'
		    	);
		    	//json请求,请求地址是url, 返回数据为data,回调函数去处理
		    	$.getJSON(url, function(data) {
		    		//打印控制台信息
		    		//console.log(data);
		    		//console.log(data[parentId]);
		    		//遍历后端传回来的json数据，追加在select后面，value是id，label是值
		    		$.each(data[parentId], function(key, val) {
		    			controlView.append(
		    				'<option value=' + val.value + '>' + val.label + '</option>'
		    			);
		    		});
		    	});
		    	//设置默认显示的列是-1；
		    	controlView.val("-1");
		    }
	
		    //清除下拉框数据
		    function clearPullDownList(controlView, defaultLabel) {
		    	controlView.empty();
		    	controlView.append(
		    		'<option value="-1">' + defaultLabel + '</option>'
		    	);
		    }
	
		    //调用loadDataForPullDownList，给广告主准备数据
		    function loadAdvertiser() {
		    	loadDataForPullDownList($('#selectedAdvertiserId'), "advertiserList", "/ssp_operator/widget/selector/provide/advertiser?parentId=1", "全部广告主");
		    }
	
		    ////调用loadDataForPullDownList，给订单准备数据
		    function loadCampaignGroup(advertiserId) {
		    	loadDataForPullDownList($('#selectedCampaignGroupId'), "orderList", "/ssp_operator/widget/selector/provide/order?parentId=" + advertiserId, "全部订单");
		    }
	
		    //调用loadDataForPullDownList，给活动准备数据
		    function loadCampaign(campaignGroupId) {
		    	loadDataForPullDownList($('#selectedCampaignId'), campaignGroupId, "/ssp_operator/widget/selector/provide/campaign?parentId=" + campaignGroupId, "全部活动");
		    }
	
		    //调用loadDataForPullDownList，给策略准备数据
		    function loadAdgroup(campaignId) {
		    	loadDataForPullDownList($('#selectedAdgroupId'), campaignId, "/ssp_operator/widget/selector/provide/ad-group?parentId=" + campaignId, "全部策略");
		    }
	
	
		    $(document).ready(function(){
		    	//进入页面首先将广告主的下拉列表数据拿出来
		    	loadAdvertiser();
	
		    	//广告主value change调用此函数， 清除活动列表和策略列表
		    	$('#selectedAdvertiserId').change(function() {
		    		clearPullDownList($('#selectedCampaignId'), "全部活动");
		    		clearPullDownList($('#selectedAdgroupId'), "全部策略");
		    		var id = $(this).val();
		    		loadCampaignGroup(id);
		    	});
		    	
		    	
		    	//订单value change调用此函数， 清除策略列表
		    	$('#selectedCampaignGroupId').change(function() {
		    		clearPullDownList($('#selectedAdgroupId'), "请选择策略");
		    		var id = $(this).val();
		    		loadCampaign(id);
		    	});
		    	
		    	//活动value change调用此函数
		    	$('#selectedCampaignId').change(function() {
		    		var id = $(this).val();
		    		loadAdgroup(id);
		    	});
		    });
	    
	    </script> 
	    
 
</@override>	
	
<@override name="page">
		<!-- PAGE CONTENT BEGINS HERE -->
	
<div id=content_bg>
	 <#include "/operator/main/public-head.ftl">

	<div id= "pagecontent">
	  <!--首先是尺寸，类型，设备，场景状态的选择-->
      <div id="#controlAll">

        <div class="control-group group-row-space">
             <label class="control-label reset-label">状态：</label>
             <label class="form-align-radio">
                <a style="text-decoration:none" href="${ctx}/main/ad/target/ad/list">全部</a>
             </label>
             <label class="form-align-radio">
                <a style="text-decoration:none" href="${ctx}/main/ad/target/ad/list?status=1">开启</a>
             </label>
             <label class="form-align-radio">
                <a style="text-decoration:none" href="${ctx}/main/ad/target/ad/list?status=0">停用</a>
             </label>                
         </div>
         
      </div>  <!--尺寸，类型····等选择的div结束-->
      <!--下面是四个按钮的div及搜索框--中间还要加四个下拉框-->
       <div id="btn-group">               
	            <div id="dropdown-menu">
	                <a href="${ctx}/main/ad/target/create-banner/list?adGroupId=23"><button class="btn-menu">创建创意</button></a>
	                <a  href="${ctx}/main/ad/target/ad/enable"><button class="btn-menu">批量开启</button></a>
	                <a href="${ctx}/main/ad/target/ad/disable"><button class="btn-menu">批量停用</button></a>
	                <a href="${ctx}/main/ad/target/ad/delete"><button class="btn-menu">批量删除</button></a>
	            </div>
	         <div id="xialakuang">
	            <div class="dropdown-box">
                            <label class="dropdown-box-label" for="selectedAdvertiserId">广告主：</label>

                            
                                <select id="selectedAdvertiserId" name="selectedAdvertiserId" userid="-1">
                                    <option value="-1" userid="-1">全部广告主</option>
                                </select>
                           
             	  </div>
             	  
             	   <div class="dropdown-box">
                            <label class="dropdown-box-label" for="selectedCampaignGroupId">订单：</label>

                            
                                <select id="selectedCampaignGroupId" name="selectedCampaignGroupId" userid="-1">
                                    <option value="-1" userid="-1">全部订单</option>
                                </select>
                           
             	  </div>
             	  
             	   <div class="dropdown-box">
                            <label class="dropdown-box-label" for="selectedCampaignId">活动：</label>

                            
                                <select id="selectedCampaignId" name="selectedCampaignId" userid="-1">
                                    <option value="-1" userid="-1">全部活动</option>
                                </select>
                            
             	  </div>
             	  
             	   <div class="dropdown-box">
                            <label class="dropdown-box-label" for="selectedAdgroupId">投放：</label>

                            
                                <select id="selectedAdgroupId" name="selectedAdgroupId" userid="-1">
                                    <option value="-1" userid="-1">全部策略</option>
                                </select>
                          
             	   </div>
             	   
             </div> 
             	        
			     <form id="search-from" action="${ctx}/main/ad/target/ad/list?adGrougId=23" method="post">	
			        <div id="search-box">	         	
			         	<input type="hidden" name="page" value="${pager.page!}">
						<input type="hidden" name="searchKey" value="name">
						<input id="search-input" autocomplete="off"  type="text" name="searchValue">
						<button id="search-button"><img src="${ctx}/assets/operator/images/fangdajing1.png"></img></button>
					</div>		        	 						
				</form>	
						
		</div>                        
 <!--接下来是广告位的table-->
   
	    <div class="span12" >
		   <table id="table_hp"  style="border-collapse:collapse;">
			 <thead>
				<tr style="border-bottom:2px solid #f4f5f7">
					<th class="center" style="width:5%;">
						<label class="fxk-label"><input id="all" class="fxk-check-box" name="id" autocomplete="off"   type="checkbox" >
						<span class="fxk-span"></span>
						</label>
					</th>
					<th class="dataToggle hide-piece" style="width:5%;">ID</th>
					<th class="dataToggle hide-piece" style="width:18%;">创意</th>
					<th class="dataToggle hide-piece" style="width:5%;">创意名称</th>
					<th class="dataToggle hide-piece" style="width:8%;">尺寸</th>
					<th class="dataToggle hide-piece" style="width:5%;">类型</th>
					<th class="hidden-480" style="width:11%;">最后更新日期</th>
					<th class="dataToggle hide-piece" style="width:8%;">状态</th>
					<th class="caozuo" style="width:35%;">操作</th>
				  </tr>
			</thead>
									
			<tbody>
				<#if bannerTemplateList ??>
				<#list bannerTemplateList as bannerTemplate>
					<tr style="border-bottom:2px solid #f4f5f7">
						<td class="center" style="width:5%">
							<label class="fxk-label"><input class="fxk-check-box" autocomplete="off"   type="checkbox" name="TBannerId" value="#{bannerTemplate.TBannerId}">
							<span class="fxk-span"></span>
							</label>
						</td>
						<td class="breakword" style="width:5%;">${bannerTemplate.TBannerId!}</td>
					   <td class="breakword" style="width:18%;">${bannerTemplate.path!}</td>
						<td class="breakword" style="width:5%;">${bannerTemplate.name!}</td>
						<td class="breakword" style="width:8%;">${bannerTemplate.width!}x${bannerTemplate.height!}</td>
						<td class="breakword" style="width:5%;"><#if bannerTemplate.type==1>图片<#else>视频</#if></td>		
						<td class="td2" style="width:11%;"><a href="${ctx}/main/ad/target/ad/update" style="color:#36aeea; ">${bannerTemplate.updated?datetime}</a></td>	
						<td class="breakword" style="width:8%;"><#if bannerTemplate.status==0>开启<#else>停用</#if></td>
						<td class="caozuo" style="width:35%;">
							<button  class="hp_table_td_button" onclick="javascript:window.location='${ctx}/main/ad/target/ad/edit/${bannerTemplate.TBannerId}'" > 编辑</button>
							<button  class="hp_table_td_button" onclick="javascript:window.location='${ctx}/operator/main/ad/report/advertiser-report/list'" >查看报表</button>
							<#if bannerTemplate.status==0>
							<button class="hp_table_td_status" onclick="javascript:window.location='${ctx}/main/ad/target/ad/disable?id=${bannerTemplate.TBannerId}'" >停用</button>
							<#elseif bannerTemplate.status=1>
							<button class="hp_table_td_status" onclick="javascript:window.location='${ctx}/main/ad/target/ad/enable?id=${bannerTemplate.TBannerId}'" >开启</button>
							</#if>
						    <button class="hp_table_td_delete"  onclick="javascript:window.location='${ctx}/main/ad/target/ad/delete?id=${bannerTemplate.TBannerId!}'" >删除</button>	 
						</td>
					</tr>
				 </#list>
				</#if>
			  </tbody>
		    </table>
	     </div>
    

			<div id="daochu">
				<button class="btn2" >导出Excel</button>	
			</div>
	
				<div class="span6">
				        <a href="?page=1" class="qianmian"><div class="page2">&lt;&lt;</div></a>
    					<a href="?page=1" class="page1" ><div class="page2">1</div></a>
						
    					<a href="?page=2"><div class="page2">&gt;&gt;</div></a>
    					<label id="allpage">共1页 </label>
				</div>
		
		</div>
	</div>
		<!-- PAGE CONTENT ENDS HERE -->
	
</@override>
<@extends name="/common/page.ftl"/>		