<@override name="breadcrumb">
		<li><i class="icon-home"></i> <a href="${ctx}/operator/main/dashboard">首页</a><span
			class="divider"><i class="icon-angle-right"></i></span></li>
		<@sec.authorize access="hasAnyRole('ROLE_ADMIN,ROLE_MANAGER')">
		<li><a href="${ctx}/operator/main/ad/zone">广告位管理</a><span class="divider"><i
				class="icon-angle-right"></i></span></li>
		</@sec.authorize>
		<li class="active">编辑广告位</li>
</@override>
<@override name="head">
<title>广告位创建</title>
<!-- basic scripts -->

	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/page.yf.yang.css"/>
	<!-- <link rel="stylesheet" href="${ctx}/assets/operator/css/uploadify.css"/> -->
	<!--Include Required Prerequisites js-->
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/bootbox.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.validate.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/yf.yang.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/divselect.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.min.js"></script>
	<!-- <script type="text/javascript" src="${ctx}/assets/operator/js/jquery.uploadify.js"></script> -->
	<script type="text/javascript" src="${ctx}/assets/operator/js/ajaxfileupload.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/ace-elements.min.js"></script>
	<style>
		.spanVaildate{
			margin-left:20px;
			color:red;
			position: absolute;
		}
	</style>
	
	<script type="text/javascript">
		$(document).ready(function() {
			$("#form_validate").autovalidate();
			$("#btn-save").click(function(){
				if (!$("#form_validate").validate()) {
					return false;
			     }
			});
			
			//取消按钮
			$(".cancelinfo").click(function(){
				window.location.href = "${ctx}/operator/main/ad/zone";
			});
			
			if($("#uploadfilehidden").val() !=""){
				$("#imgspan").css("display","block");
			 	$("#smallImg").css("display","block");
			}else{
				$("#imgspan").css("display","none");
			 	$("#smallImg").css("display","none");
			}
			
			//文件上传ajax文件上传
			$('#uploadfilestr').unbind('click').click(function() {
			  	var _href = $(this).attr('href');  
			    $.ajaxFileUpload({
			        url:_href, 
			        secureuri:false,
			        fileElementId:'uploadfile',
			        dataType: 'json',
			        success: function (result, status) {
			        	removeFile("uploadfile","filepicture",result);
			        	var path = result.data['url'];
			        	if (result.status == 'ok') {
			        		var orgImg = path.substring(0,path.indexOf(","));
			 				var smallImg = path.substring(path.indexOf(",")+1);
				        	$("#uploadfilehidden").val(orgImg);
				        	$("#default_path_small").val(smallImg);
			 				$("#smallImg").attr("src",smallImg);
			 				$("#imgspan").css("display","block");
			 				$("#smallImg").css("display","block");
							var result = 0;
							removeFile("uploadfile","filepicture",result);
							bootbox.alert("上传成功！");
			        	}else if (result.status == 'error') {
			        		$("#uploadfilehidden").val("");
				        	$("#default_path_small").val("");
			        		$("#imgspan").css("display","none");
			 				$("#smallImg").css("display","none");
			        		bootbox.alert(result.msg);
			            }
			        },
			        error: function (data, status, e)
			        {
			        	removeFile("uploadfile","filepicture");
			        	$("#uploadfilehidden").val("");
				        $("#default_path_small").val("");
			        	$("#imgspan").css("display","none");
			 			$("#smallImg").css("display","none");
			        	console.log(e);
			        }
			        
			    });
			    return false;
		    });
		    
		    $('#uploadfile').ace_file_input({
			    no_file:'<#if pictureName??>${pictureName!}<#else>No File ...</#if>',
			    btn_choose:'选择',
			    btn_change:'改变',
			    droppable:false,
			    onchange:null,
			    thumbnail:false,
			    whitelist:'jpg|gif'
			});
		
			//上传文件时conle file 删除 file
			 function removeFile(_elemId,_removeId,result){
			    var filename = $('#'+_elemId).parent().find("span").attr("data-title");
	      		var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null;//判断是否是谷歌浏览器
			    if(filename==null || filename==''){
			    	filename = "No File ...";
			    }
			 	var option = {}; 
			    var defaultOptions = {
				    no_file:'No File ...',
				    btn_choose:'选择',
				    btn_change:'改变',
				    droppable:false,
				    onchange:null,
				    thumbnail:false,
				    whitelist:'jpg|gif'
				};
				if(isChrome && result == 0){
					option = {whitelist:'jpg|gif',no_file:filename };
				}else if(isChrome && result == 1){
					option = {whitelist:'jpg|gif',no_file:'No File ...' };
				}else{
					option = {whitelist:'jpg|gif',no_file:filename };
				}
			    var opts = $.extend(defaultOptions,option);
				var newfile = $("#"+_elemId).clone();
				$("#"+_removeId).find(".ace-file-input").remove();
				$("#"+_removeId+" #uploadfilehidden").after(newfile);
				$("#uploadfile").ace_file_input(opts);
			 }
			 
			 //鼠标划过小图片显示大图片
			 $("#smallImg").mousemove(function(event){
				var event = event || window.event;
				$("#enlarge_images").css("display","block");
				var imgsrc = $(this).attr("src");
				imgsrc = imgsrc.substring(0,imgsrc.lastIndexOf(".")-6)+imgsrc.substring(imgsrc.lastIndexOf("."),imgsrc.length);
				$("#enlarge_images").html('<img src="'+imgsrc+'" />');
				$("#enlarge_images").css("top",document.body.scrollTop + event.clientY + 10 + "px");
				$("#enlarge_images").css("left",document.body.scrollLeft + event.clientX + 10 + "px");
			});
			$("#smallImg").mouseout(function(event){
				$("#enlarge_images").html("");
				$("#enlarge_images").css("display","none");
			});
		}); 
	</script>
	
</@override>

<@override name="body">
	<!-- PAGE CONTENT BEGINS HERE -->
	<div id=content_bg>
		<#include "/operator/main/public-head.ftl">		
		<div id= "pagecontent">
			<div id= "content">
				<div id="handler">
					<ul>
				    	<li class="size1"><i class="icon-home homepic"></i> <a href="${ctx}/operator/main/dashboard" style="color:#36aeea">首页&nbsp;&nbsp;</a>
					    <span class="divider1"><i class="icon-angle-right"></i></span></li>
					    <li class="size2"><a href="${ctx}/operator/main/ad/zone">广告位管理</a></li>
					    <li><span class="divider2"><i class="icon-angle-right"></i></span></li>
					    <li class="size3">编辑广告位</li>
				    </ul>  
	 			 </div>
		
			     <form id="form_validate" action="${ctx}/operator/main/ad/zone/save" method="post">
			     	<input  autocomplete="off"  type="hidden" name="id" value="${zone.id}"/>
					<div id="created_ops">
						<div class="choose_ops">
							<span class="star">*</span><span>广告主名称</span>
							<div class="opsdiv_control">
								<input name="name" type="text" value="${zone.name}" verify="unspecial/255/1/0"></span><span class="spanVaildate"></span>							
							</div>
						</div>
						<div class="choose_ops">
							<span class="star">*</span><span>类型</span>
							<div class="opsdiv_control">
							    <input type="radio" name="device" class="input_control" id="Mobile Web" <#if zone.device==1>checked</#if> value="1" />
								<label class="label1" for="Mobile Web">网页</label>
								<input type="radio" name="device" class="input_control" id="APP" <#if zone.device==2>checked</#if> value="2" />
								<label class="label1" for="APP" class="first_control">APP</label>		
							</div>
						</div>
						<div class="choose_ops">
							<span class="star">*</span><span>位置</span>
							<div class="opsdiv_control">
								<input id="authenpage" type="radio" name="position" class="input_control" <#if zone.position==1>checked</#if> value="1" />
								<label for="authenpage" class="first_control label1">认证页</label>
								<input id="jump" type="radio" name="position" class="input_control" <#if zone.position==2>checked</#if> value="2" />
								<label class="label1" for="jump">跳转页</label>
								<input id="net" type="radio" name="position" class="input_control" <#if zone.position==3>checked</#if> value="3" />
								<label class="label1" for="net">上网过程</label>
							</div>
						</div>
						<div class="choose_ops">
							<span class="star">*</span><span>尺寸</span>  
							<div class="opsdiv_control">
							<#if SizeList ??>
							<#list SizeList as size>	
								<input type="radio" id="#{size.width}X#{size.height}"  class="input_control" <#if zone.sizeId==size.id>checked</#if> value="${size.id}" name="sizeId">
								<label for="#{size.width}X#{size.height}" class="first_control label1">${size.width}X${size.height}</label>
							</#list>
							</#if>
							</div>
						</div>
						<div class="choose_ops" style="margin-bottom:70px;margin-top:50px;">
							<div style="float:left">
								<span>垫底广告</span>
								<div id="picture-divs" class="opsdiv_control">
									<label class="label1" style="margin-top:-26px;">上传素材</label>
									<div id="filepicture" style="float:left;margin:-40px 0 0 100px;">
										<input type="hidden" name="default_path" id="uploadfilehidden" value="${zone.default_path!}" />
							        	<input type="file" name="file" id="uploadfile" class='videoSt0'/>
							           	<div style="float:left;margin:-48px 0 0 225px;">
							                <button id="uploadfilestr" type="button" href="${ctx}/operator/main/ad/zone/fileupload">上传</button>
							                <span class="help_inline">jpg/gif&nbsp;&nbsp;2M以下</span>
							           	</div>
							        </div>
							        <div id="fileurl" class="controls radioC">
							            <label class="label1">点击地址</label>
										<input id="default_url" type="text" name="default_url" style="position:absolute;margin:-35px 0 0 100px;" value="${zone.default_url!}" verify="text/255/1/0"></span><span class="spanVaildate" style="margin:-35px 0 0 440px;"></span>
							        </div>
						   		 </div>
							</div>
							<div style="margin-left:423px;">
								<div class="choose_ops">
									<div class="opsdiv_control" style="margin-left:125px;">
										<label class="label1" id="imgspan" style="position:relative;top:-10px;left:37px;display:none;">缩略图</label>
										<img id="smallImg" src="${zone.default_path_small!}" style="height:60px;width:150px;margin-top:-20px;margin-left:78px;display:none;cursor:pointer;"/>
										<div id="enlarge_images"></div>
										<input id="default_path_small" type="hidden" name="default_path_small" value="${zone.default_path_small!}"/>
									</div>
								</div>
							</div>
						</div>
						<div class="choose_ops" style="clear:both;">
							<span class="star">*</span><span>素材再次自审</span>
							<div class="opsdiv_control" style="margin-top:-32px;">
							    <input type="radio" name="recheck" class="first_control" id="yes" <#if zone.recheck==0>checked</#if> value="1" />
								<label class="label1" for="yes">是</label>
								<input type="radio" name="recheck" class="input_control" id="no" <#if zone.recheck==1>checked</#if> value="0"/>
								<label for="no" class="input_control label1" style="margin-top:-1px;">否</label><span class="help_inline">（云联已对广告素材做过审核）</span>
							</div>
						</div>
						<div class="choose_ops">
							<span>行业黑名单</span>
							<div class="opsdiv_control">
								<input type="button" value="全部" class="add_all btn_hover" id="add_all">
								<input type="button" value="清空" class="clear_all btn_hover" id="clear_all">
							</div>
						</div>
						<div class="choose_ops" style="margin-left:10px;">
							<ul id="all_industry">
								<span class="ul_title">全部行业</span>
								<#if notzoneIndustryList ??>
									<#list notzoneIndustryList as z>
										<input autocomplete="off" type="hidden" value="#{z.id}">
										<li value="#{z.id}">${z.name}</li>
									</#list>
								<#else>
									<#if industryList ??>
									<#list industryList as industry>
										<input autocomplete="off" type="hidden" value="#{industry.id}">
										<li value="#{industry.id}">${industry.name}</li>
									</#list>
									</#if>
								</#if>
							</ul>
	
							<ul id="blacklist">
								<span class="ul_title" id="ul_title">黑名单行业</span>
								<input type="hidden" value="${industryStr}" id="industry_blacklist" name="industry" />
								<#if industryList ??>
								<#list industryList as industry>
									<#list zoneIndustryList as z>
										<#if industry.id == (z.industryId?number)>
											<li value="#{industry.id}">${industry.name}<input type='button' class='movedel'/></li>
										</#if>
									</#list>
								</#list>
								</#if>
							</ul>
	
						</div>
						<div style="height:3px;clear: both;"></div>
						<div class="choose_ops" id="ops_lastul">
							<span>网站黑名单</span>
							<div class="opsdiv_control" style="margin-left:100px;">
								<input type="text" value="" id="blackname" />
								<input type="button" value="添加" class="add_all btn_hover" id="add_web" style="top:-5px;"/>
								<input type="button" value="清空" class="clear_all btn_hover" id="clear_allweb" style="top:-5px;"/>
							</div>
						</div>
	
						<div class="choose_ops">
							<ul id="web_blacklist">	
							<input type="hidden" value="${zoneDomainStr}" id="web_blacklistvalue" name="domain" />
							<#if zoneDomainList ??>
							<#list zoneDomainList as zoneDomain>
								<li>${zoneDomain.domain}<input type='button' class='movedel'/></li>
							</#list>
							</#if>												
							</ul>
						</div>
	
						<div style="clear:both;height:20px"></div>
						<div id="creat_okbutton">
							 <input id="btn-save" type="submit" class="saveinfo" value="保存" />
							 <input type="reset" class="cancelinfo" value="取消"/>
						</div>
	
					</div>
				 </form>		
			</div>
		</div>
	</div>
</@override>
<@extends name="/common/simple.ftl"/>