<@override name="head">
	<!--linked css-->
	<title>广告主信息修改记录</title>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/zone-update.css"/>
	<!--linked js-->
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
</@override>

<@override name="body">
	<#include "/operator/main/public-head.ftl">
	<div id= "pagecontent">
		<div id="data_show">
			<table cellspacing="0" cellpadding="0">
				<thead>
					<tr class="add">
						<th class="th1">变更时间</th>
						<th class="th2">操作人</th>
						<th class="th3">登录IP</th>
						<th class="th4">操作类型</th>
						<th>变更详情</th>
					</tr>	
				</thead> 
				 
				<tbody>
					<#if logList ??>
					<#list logList as log>
		   	        	<tr class="odd">
							<td >${log.operTime?datetime!}</td>
		   	   	 			<td >${log.accountName!}</td>
		   	   	 			<td >${log.userIp!}</td>
		   	   	 			<td >${log.actionType!}</td>
		   	   	 			<td >${log.action!}</td>
		   	   	 		</tr>
					</#list>
					</#if>
				</tbody>
			</table>	
		</div>
	  
	  	<div id="footBar">
			<button id="exportExcel" href="${ctx}/operator/main/ad/zone/exportLogReportExcel?zoneId=${zoneId}">导出Excel</button>
			<button id="button1" type="button" >返回</button>
			<div id="paged">
		       <#include "/common/pagination/simple.ftl"/>
		    </div>
		</div>
	</div>

</@override>
<@extends name="/common/simple.ftl"/>

<!--修改个人信息js 控制上下切换-->
<script type="text/javascript">
	$(document).ready(function(){
		  $("#divselect").click(function(){
		  	$("#divselect ul").slideToggle("fast");
		  });
	
		//设置首页背景
		var path = window.location.pathname;
		if(path.indexOf("zone") != -1){
			$("#top .nav li a:eq(1)").css("background-image","url(${ctx}/assets/operator/images/tophover_bg.jpg)");
		};
		
		//返回按钮
		$("#button1").click(function(){
			window.history.back(-1); 
		});
		
		//导出excel
		$("#exportExcel").click(function(){
			var _href = $(this).attr('href');
			window.location.assign(_href); 
		});
		
		// 分页中超链接跳转
		$(document).on('click','#pagecontent .pagination ul li a[href]',function(){
			var _page = $(this).attr('href').substr(1);
			var _href = window.location.href;
			var _index = _href.indexOf('&page=');
			if(_index == -1){
				var _url = _href + '&page=' + _page;
			} else {
				var _url = _href.substring(0,_index) + '&page=' + _page;
			}
			window.location.assign(_url); 
			return false;
		});
	});
</script>