<@override name="head">
	<title>热点管理</title>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/ap-apmac.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/divselect.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/ap-apmac.js"></script>
	<style>
		.spanVaildate{
			margin-left:20px;
			color:red;
			position: absolute;
		}
	</style>
	<script type="text/javascript" >
		$(function(){
			
			$("#wifiForm").autovalidate();
			//保存按钮
			$("#create-btn-save").unbind('click').click(function(){
				if (!$("#wifiForm").validate()) {
					return false;
				}
				if($("#cn").val() == ""){
					$("#main_cnul").css({"box-shadow":"0 0 6px red","width":"150px"}).attr("title","请选择省份");
					$("#cnul_selectdiv").find('span.spanVaildate').html("请选择省份");
					return false;
				}
				if($("#cnCity").val() == ""){
					$("#main_cnCityul").css({"box-shadow":"0 0 6px red","width":"150px"}).attr("title","请选择省份对应的城市");
					$("#cnCityul_selectdiv").find('span.spanVaildate').html("请选择省份对应的城市");
					return false;
				}
				if($("#place").val() == ""){
					$("#main_placeul").css({"box-shadow":"0 0 6px red","width":"150px"}).attr("title","请选择场景");
					$("#placeul_selectdiv").find('span.spanVaildate').html("请选择场景");
					return false;
				}
				$("#wifiForm").submit();
			});
				
			//取消按钮
			$("#create-btn-cancel").unbind('click').click(function(){
				location.href = "${ctx}/operator/main/ap/apmac/list";
			});
				
			$("#cnul_box").mouseleave(function(){
		 		if($("#cn").val() == ""){
					$("#main_cnul").css({"box-shadow":"0 0 6px red","width":"150px"}).attr("title","请选择省份");
					$("#cnul_selectdiv").find('span.spanVaildate').html("请选择省份");
				}else{
					$("#main_cnul").css("box-shadow","none").attr("title","");
					$("#cnul_selectdiv").find('span.spanVaildate').html("");
				}
		 	});
		 	$("#cnCityul_box").mouseleave(function(){
		 		if($("#cnCity").val() == ""){
					$("#main_cnCityul").css({"box-shadow":"0 0 6px red","width":"150px"}).attr("title","请选择省份对应的城市");
					$("#cnCityul_selectdiv").find('span.spanVaildate').html("请选择省份对应的城市");
				}else{
					$("#main_cnCityul").css("box-shadow","none").attr("title","");
					$("#cnCityul_selectdiv").find('span.spanVaildate').html("");
				}
		 	});
		 	$("#placeul_box").mouseleave(function(){
		 		if($("#place").val() == ""){
					$("#main_placeul").css({"box-shadow":"0 0 6px red","width":"150px"}).attr("title","请选择场景");
					$("#placeul_selectdiv").find('span.spanVaildate').html("请选择场景");
				}else{
					$("#main_placeul").css("box-shadow","none").attr("title","");
					$("#placeul_selectdiv").find('span.spanVaildate').html("");
				}
		 	});
		});
		
	</script>
	
</@override>

<@override name="body">
<!-- PAGE CONTENT BEGINS HERE -->
<div id=content_bg>
	<#include "/operator/main/public-head.ftl">
    <div id="pagecontent">
		<div id="handler">
			<ul>
				<li class="size1"><i class="icon-home" style="background-image:none;margin-top:3px;"></i> <a href="${ctx}/operator/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li class="size2"><a href="${ctx}/operator/main/ap/apmac/list">热点管理</a></li>
				<span class="divider2"><i class="icon-angle-right"></i></span>
				<li class="size3">新建热点详情</li>
			</ul>  
		</div>
		<div id="content">	
			<div id="createForm">
				<form id="wifiForm" action="${ctx}/operator/main/ap/apmac/save" method="post" class="form-horizontal" >
					<input autocomplete="off" type="hidden" name="operatorId" value="${operatorId!}"/>
					<div class="control-group">
						<label style="width:100px;" class="control-label1" for="form-field-4"><span class="lbl1">*</span>热点名称：</label>
						<input tabindex="1" class="input-text" autocomplete="off" id="name" name="name" type="text" value="" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>SSID：</label>
						<input tabindex="4" class="input-text" autocomplete="off" id="SSID" name="SSID" type="text" value="" verify="text/255/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group" id="cnul_selectdiv">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>省：</label>
						<span class="spanVaildate" style="margin-left:250px;"></span>
						<ul id="main_cnul" style="margin-left:80px;">
							<li class="select_box" id="cnul_box">
								<span id="cnul_span">省</span>
								<ul class="son_ul" id="cn_son_ul" style="left:-25px;"></ul>
							</li>
						</ul>
						<input type="hidden" name="cn" id="cn" value="">
					</div>
					
					<div class="control-group" id="cnCityul_selectdiv" style="margin-top:-10px;">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>市：</label>
						<span class="spanVaildate" style="margin-left:250px;"></span>
						<ul id="main_cnCityul" style="margin-left:80px;">
							<li class="select_box" id="cnCityul_box">
								<span id="cnCityul_span">市</span>
								<ul class="son_ul" id="cnCityul_son_ul" style="left:-25px;"></ul>
							</li>
						</ul>
						<input type="hidden" name="cnCity" id="cnCity" value="">
					</div>
					
					<div class="control-group" style="margin-top:-10px;">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>详细地址：</label>
						<input tabindex="5" class="input-text" autocomplete="off" id="address" name="address" type="text" value="" verify="unspecial/1000/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>经度：</label>
						<input tabindex="4" class="input-text" autocomplete="off" id="longitude" name="longitude" type="text" value="" verify="longitude/255/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>纬度：</label>
						<input tabindex="4" class="input-text" autocomplete="off" id="latitude" name="latitude" type="text" value="" verify="latitude/255/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>apmac：</label>
						<input tabindex="4" class="input-text" autocomplete="off" id="apmac" name="apmac" type="text" value="" verify="mac/17/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group" id="placeul_selectdiv">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>场景：</label>
						<span class="spanVaildate" style="margin-left:250px;"></span>
						<ul id="main_placeul" style="margin-left:80px;">
							<li class="select_box" id="placeul_box">
								<span id="placeul_span">场景</span>
								<ul class="son_ul" id="placeul_son_ul" style="left:-25px;"></ul>
							</li>
						</ul>
						<input type="hidden" name="place" id="place" value="">
					</div>
					
					<div id="btn-class" class="form-actions1" style="margin-top:10px;">
						<div id="create-btn-save">保存</div>
					    <div id="create-btn-cancel">取消</div>
					</div>
				</form>
			</div>
		</div>
	</div>
<!-- PAGE CONTENT ENDS HERE --/>
</div><!--/row-->
</@override>
<@extends name="/common/simple.ftl"/>
