<@override name="head">
	<title>热点管理</title>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/ap-apmac.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/bootstrap.min.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/bootbox.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/divselect.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/ap-apmac.js"></script>
	
	<script type="text/javascript" >
		$(function(){
		
			$("#diagramHead span:last-child").css("border-bottom","1px solid #ffffff");
			$("#diagramHead span:first-child").click(function(){
				$("#diagramHead span:first-child").css("border-bottom","1px solid #ffffff");
				$("#diagramHead span:last-child").css("border-bottom","1px solid #d5dee8");
				location.href = "${ctx}/operator/main/ap/apmac/list";
			});
			
			$("#diagramHead span:last-child").click(function(){
				$("#diagramHead span:first-child").css("border-bottom","1px solid #d5dee8");
				$("#diagramHead span:last-child").css("border-bottom","1px solid #ffffff");
				location.href = "${ctx}/operator/main/ap/apmac/relationship";
			});
			
			// 分页中超链接跳转
			$('#pagecontent .pagination ul li a[href]').live('click' ,function(){
				var _page = $(this).attr('href').substr(1);
				var _form = $('#wifiForm');
				_form.find('input:hidden[name="page"]').val(_page);
				_form.submit();
				return false;
			});
		});
		
		//导出execl
		function exportExcel(){
			$("#exportExcel").attr("href","${ctx}/operator/main/ap/apmac/exportRelationshipExcel?searchValue="+$("#searchValue").val());
		};
		
	</script>
	
</@override>

<@override name="body">
<div id=content_bg>
	<#include "/operator/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="handler">
			<ul>
				<li class="size1"><i class="icon-home" style="background-image:none;margin-top:3px;"></i> <a href="${ctx}/operator/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li class="size2"><a href="${ctx}/operator/main/ap/apmac/list">热点管理</a></li>
				<span class="divider2" style="margin:0 0 0 10px;"><i class="icon-angle-right"></i></span>
				<li class="size3">场景对应关系</li>
			</ul>  
		</div>
		<div id="content">
			<div id="diagramHead">
				<span>热点详情</span>
				<span>场景对应关系</span>
			</div>
			<div id="relationship">
				<form id="wifiForm" action="${ctx}/operator/main/ap/apmac/relationship" method="post">
				  	<div id="buttons">
				        <div id="serachData">
				        	<input type="hidden" id="page" name="page" value="${pager.page}">
							<input id="searchValue" type="text" name="searchValue" value="${searchValue!}"/>
							<input id="serachData_img" type="submit" value="" />
						</div>
				    </div>
					<div id="account-table" style="margin-top:0px;">
						<table border="1" id="tablefig">
							<thead>
								<tr>
									<th class="td1" style="width:5%">场景</th>
				                    <th class="td1" style="width:5%">数聚场景</th>
								</tr>
							</thead>
							<tbody>
							<#if placeOperatorList ??>
				            <#list placeOperatorList as placeOperator>
				            	<tr id="tr22">
					                <td class="td2">${placeOperator.name!}</td> 
					                <td class="td2">${placeOperator.placeName!}</td> 
					            </tr>
					        </#list>  
				            </#if>
							</tbody>
						</table>
						
						<div id="daochu" >
							<a class="ljbtn2" id="exportExcel" href="javascript:void(0);" onClick="exportExcel()">导出Excel</a>
						</div>
									
						<div id="pageDiv">
			               	<#include "/common/pagination/simple.ftl"/>
			            </div>	
		            </div>
				</form>
			</div>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
