<@override name="head">
	<title>账号管理</title>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/authority.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/bootstrap.min.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/bootbox.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/divselect.js"></script>
	
	<script type="text/javascript" >
		$(function(){
		
			//创建账号
			$("#btn-create").unbind('click').click(function(){
				location.href = "${ctx}/operator/main/authority/create.ftl";
			});
			
			//编辑
			$("#btn-edit").live("click", function() {
				var accountId = parseInt($(this).attr("value"));
				location.href = "${ctx}/operator/main/authority/edit?accountId="+accountId;
			});
			
			//复选框按钮
			$('#tablefig th input:checkbox').live("click", function() {
				var that = this;
				$(this).closest('table').find('tr > td:first-child input:checkbox').each(function(){
					this.checked = that.checked;
				});
			});

			//批量开启,批量暂停
			$("#all-btn-enable,#all-btn-disable").click(function(){
				var checkboxs = $("#tablefig tbody input[type='checkbox']:checked");
				var _param = checkboxs.serialize();
				var url = "";
				if($(this).attr("id") == "all-btn-enable"){
					url = "${ctx}/operator/main/authority/enable";
				}else if($(this).attr("id") == "all-btn-disable"){
					url = "${ctx}/operator/main/authority/disable";
				}
				if(checkboxs.length > 0){
					bootbox.confirm("确定" +$(this).text() + "吗?", function(ensure) {					
						if (ensure) {	
							$.post(url, _param, function(data) {
								$('#formPage').submit();
							});
						}
					});
				}else{
					bootbox.alert("请选择需要"+$(this).text()+"的用户！");
				}
			});
			
			//开启,暂停
			$('#btn-enable,#btn-disable').live('click' ,function(){
				var url = "";
				var accountId = parseInt($(this).attr("value"));
				if($(this).attr("id") == "btn-enable"){
					url = "${ctx}/operator/main/authority/enable";
				}else if($(this).attr("id") == "btn-disable"){
					url = "${ctx}/operator/main/authority/disable";
				}
				$.post(url, {id:accountId}, function(data) {
					$('#formPage').submit();
				});
			});
			
			// 分页中超链接跳转
			$('#pagecontent .pagination ul li a[href]').live('click' ,function(){
				var _page = $(this).attr('href').substr(1);
				var _form = $('#formPage');
				_form.find('input:hidden[name="page"]').val(_page);
				_form.submit();
				return false;
			});
			
		});
		
		//导出execl
		function exportExcel(){
			if($("#searchValue").val()!=""){
				$("#exportExcel").attr("href","${ctx}/operator/main/authority/exportDataReportExcel?value="+$("#searchValue").val());
			}else{
				$("#exportExcel").attr("href","${ctx}/operator/main/authority/exportDataReportExcel");
			}
		};
		
	</script>
	
</@override>

<@override name="body">
	<!-- PAGE CONTENT BEGINS HERE -->
	<div id=content_bg>
	<#include "/operator/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="handler" style="margin:0 0 0 -7px;">
			<ul>
				<li class="size1"><i class="icon-home" style="background-image:none;margin-top:3px;"></i> <a href="${ctx}/operator/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li class="size2">权限管理</li>
			</ul>  
		</div>
		<div id="content">
			<form id="formPage" action="${ctx}/operator/main/authority/list" method="post">
		  	<div id="buttons" style="clear:both;margin:10px 0 10px -5px;">
		  		<div id="btn-create" class="btn1">创建账号</div>      
		        <div id="all-btn-enable" class="btn1">批量开启</div>  
		        <div id="all-btn-disable" class="btn1">批量暂停</div> 
		        <div id="serachData">
		        	<input type="hidden" id="page" name="page" value="${pager.page}">
					<input id="searchValue" type="text" name="searchValue" value="${searchValue!}"/>
					<input id="serachData_img" type="submit" value="" />
				</div>
		    </div>
		</div>
		<div id="account-table">
			<table border="1" class="tablefig" id="tablefig">
				<thead>
					<tr>
						<th width="5%">
							<label><input type="checkbox" class="input_checkbox"><span class="lbl"></span></label>
						</th>
						<th width="5%">ID</th>
						<th width="20%">账号</th>
						<th width="10%">姓名</th>
						<th width="15%">联系电话</th>
						<th width="5%">状态</th>
						<th width="15%">最后登录时间</th>
						<th width="25%">操作</th>
					</tr>
				</thead>
				<tbody>
				<#if accountList ??>
				<#list accountList as account>
					<tr class="">
						<td class="center">
							<label><input  autocomplete="off" type="checkbox" name="id" value="#{account.id}"><span class="lbl"></span></label>
						</td>
						<td class="breakword">${account.id!}</td>
						<td class="breakword">${account.accountName!}</td>
						<td class="breakword">${account.realName!}</td>
						<td class="hide-piece">${account.tel!}</td>
						<td><#if account.state=="1">正常<#else>暂停</#if></td>
						<td>${account.createTime?datetime}</td>
						<td>
							<div id="btndiv">
								<div id="btn-edit" class="btn11" value="${account.id}">编辑</div>
								<#if account.state=="1">
								<div id="btn-disable" class="btn11" value="${account.id}">暂停</div>
								<#elseif account.state=="0">
								<div id="btn-enable" class="btn11" value="${account.id}">开启</div>
								</#if>
							</div>
						</td>
					</tr>
				</#list>
				</#if>
			</tbody>
			</table>
			
			<div id="daochu" >
				<a class="ljbtn2" id="exportExcel" href="javascript:void(0);" onClick="exportExcel()">导出Excel</a>
			</div>
						
			<div id="pageDiv">
               	<#include "/common/pagination/simple.ftl"/>
            </div>	
            
			</form>
			
		</div>
	</div>
<!-- PAGE CONTENT ENDS HERE --/>
</div><!--/row-->
</@override>
<@extends name="/common/simple.ftl"/>
