<@override name="breadcrumb">
		<li><i class="icon-home"></i> <a href="${ctx}/operator/main/dashboard">首页</a><span
			class="divider"><i class="icon-angle-right"></i></span></li>

</@override>
<@override name="page">
	<!--/page-header-->
	<div class="row-fluid">
		<!-- PAGE CONTENT BEGINS HERE -->
		
		
		<form id="validation-form" class="form-horizontal" action="${ctx}/operator/main/code-class/save">
			<input  autocomplete="off"  type="hidden" name="id" value="${codeClass.id}"/>             
			<div class="control-group">
				<label class="control-label" for="form-field-4"><sup>*</sup>请输入您要创建的访客找回分类名称：</label>
				<div class="controls">
					<input  autocomplete="off"  type="text" id="form-field-4" placeholder="" value="${codeClass.codeName}" name="codeName"> <span
						class="help-inline" for="form-field-4"></span>
				</div>
			</div>

			<div class="control-group">
				<label class="control-label" for="form-field-5"><sup>*</sup>请输入您要创建的访客找回分类参数值：</label>
				<div class="controls">
					<input  autocomplete="off"  type="text" id="form-field-5" placeholder="" value="${codeClass.codePara}" name="codePara"> <span
						class="help-inline" for="form-field-5"></span>
				</div>
			</div>
			
			
			
			
			<div class="control-group">
				<label class="control-label" for="form-field-5"><sup>*</sup>javascript代码：</label>
				<div class="controls">
					<input  autocomplete="off"  type="text" id="form-field-5" placeholder="" value="${codeClass.script}" name="script"> <span
						class="help-inline" for="form-field-5"></span>
				</div>
			</div>
			
			
			
			
			<div class="control-group">
				<label class="control-label" for="form-field-5"><sup>*</sup>图片代码：</label>
				<div class="controls">
					<input  autocomplete="off"  type="text" id="form-field-5" placeholder="" value="${codeClass.picture}" name="picture"> <span
						class="help-inline" for="form-field-5"></span>
				</div>
			</div>

			
			<div class="form-actions">
				<button class="btn btn-info" type="submit">
					<i class="icon-ok"></i> 保存
				</button>
				&nbsp; &nbsp; &nbsp;
				<a class="btn" href="${ctx}/operator/main/code-class" type="reset">
					<i class="icon-undo"></i> 取消
				</a>
			</div>
		</form>
		
		
		
		<div class="space-24ger"></div>
		<!-- PAGE CONTENT ENDS HERE -->
	</div>
	<!--/row-->
</@override>
<@extends name="/common/page.ftl"/>
<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.validate.min.js"></script>
<script type="text/javascript">
$(".pswToggle input[type=checkbox]").on('click',function(){
    var inp = $(this).parents('form').find("input[name=password],input[name=ensurePassword]")
    if(inp.attr("type")=='password'){
        inp.attr('type','text');
    }else{
        inp.attr('type','password');
    }
});

$(".pswDisable input[type=checkbox]").on('click',function(){
    var inp = $(this).parents('form').find("input[name=password],input[name=ensurePassword]");
    if(inp.attr('disabled')){
        inp.removeAttr('disabled');
        $(".pswToggle input[type=checkbox]").removeAttr('disabled');
    }else{
        inp.attr('disabled','disabled');
         $(".pswToggle input[type=checkbox]").attr('disabled','disabled');
          inp.val("");
    }
});

jQuery.validator.addMethod("pswcheck", function (value, element) {
               return this.optional(element) || /^(?![0-9]+$)(?![a-zA-Z]+$)[A-Za-z0-9]+$/.test(value);
        }, "请输入字母和数字组合");

jQuery.validator.addMethod("phone", function (value, element) {
    return this.optional(element) || /0\d{2}-\d{8}|0\d{2}-\d{7}|0\d{3}-\d{7}|0\d{3}-\d{8}|(1[3-8]{1}[0-9]{9})/.test(value);
}, "请输入正确的电话号码！");

$('#validation-form').validate({
    errorElement: 'span',
    errorClass: 'help-inline',
    focusInvalid: false,
    ignore:".ignore",
    onfocusout: function(element) {
                    $(element).valid();
                },
    rules: {
        username: {
            required:true,
            email:true
        },
        password: {
            required:true,
            minlength: 6,
            maxlength:16,
            pswcheck:'required'
        },
        ensurePassword: {
            required:true,
            minlength: 6,
            maxlength:16,
            equalTo: "input[name=password]",
             pswcheck:'required'
        },
        contactName: {
            required: true,
            minlength:2
        },
        phone: {
            required: true,
            phone: 'required'
        },
        userGroupType:{
            required:true
        },
        status:{
            required:true
        }
    },
    messages: {
        username: {
            required:"请输入邮箱！",
            email: "请输入正确的邮箱格式！"
        },
        password: {
            required:"请输入密码！",
            minlength: "输入正确的密码长度！",
            maxlength:"密码长度过长！"
        },
        ensurePassword: {
            required: "请输入密码！",
            minlength: "输入正确的密码长度！",
            maxlength:"密码长度过长！",
            equalTo:"请输入相同的密码！"
        },
        contactName:{
            required:"请输入姓名！",
            minlength:"请输入正确的姓名长度！"
        },
        phone:{
            required:"请输入电话号码！"
        },
        userGroupType:{
            required:"请选择！"
        },
        status:{
            required:"请选择！"
        }
    },
    invalidHandler: function (event, validator) { //display error alert on form submit
        $('.alert-error', $('.login-form')).show();
    },
    highlight: function (e) {
        $(e).closest('.control-group').removeClass('info').addClass('error');
    },
    success: function (e) {
        $(e).closest('.control-group').removeClass('error').addClass('info');
        $(e).remove();
    },
    errorPlacement: function (error, element) {
        if(element.is(':checkbox') || element.is(':radio')) {
            var controls = element.closest('.controls');
            if(controls.find(':checkbox,:radio').length > 1) controls.append(error);
            else error.insertAfter(element.nextAll('.lbl').eq(0));
        }
        else if(element.is('.chzn-select')) {
            error.insertAfter(element.nextAll('[class*="chzn-container"]').eq(0));
        }
        else error.insertAfter(element);
    },
    submitHandler: function (form) {
    	// 防止表单二次提交
		$(this).attr('disabled', 'disabled');
		var _url = $('form').attr('action');
		var _param = $('form').serialize();
		$.post(_url,_param,function(data) {
			$('#main-content').html(data);
		});
    },
    invalidHandler: function (form) {
    }
});
</script>