<@override name="head">	
	<title>提现</title>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link href="${ctx}/assets/operator/css/font-awesome.min.css" rel="stylesheet"/ rel="stylesheet">
	<link rel="stylesheet" href="${ctx}/assets/operator/css/withdraw_deposit_H.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/bootstrap.min.css"/>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.js"></script>
    <script type="text/javascript" src="${ctx}/assets/operator/js/divselect.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.validate.min.js"></script>
    
    <style>
		.spanVaildate{
			margin:13px 0 0 20px ;
			color:red;
			position: absolute;
		}
	</style>
    <script>
    	$(document).ready(function(){
		      // 分页中超链接跳转
			$('#pagecontent .pagination ul li a[href]').live('click' ,function(){
				var _page = $(this).attr('href').substr(1);
				var _form = $('#withdraw_form2');
				_form.find('input:hidden[name="page"]').val(_page);
				_form.submit();
				return false;
			});	
			
			$("#input_money").blur(function(){
				validateMoney();
			});
			
			$("#tixian").click(function(){
				var falg = validateMoney();
				if(falg == false){
					return false;
				}
				$('#withdraw_form2').submit();
			});
			
			$("#c_cancle").click(function(){
				window.location.href = "${ctx}/operator/main/financial/financial-management/list";
			});
			
		});
		
		function validateMoney(){
			var reg=/^\d{1,8}\.?\d{0,2}$/;
			if($("#input_money").val().match(reg)!=null){
				if(($("#input_money").val().indexOf('.') == -1 && $("#input_money").val().length > 8) || $("#input_money").val() <= 0){
					$("#input_money").css("box-shadow","0 0 6px red").attr('title','提现金额必须大于0且整数位最多8位');
					$("#input_money").parent("div").find("span.spanVaildate").html("提现金额必须大于0且整数位最多8位");
					return false;
				}else if($("#input_money").val()>parseInt($("#availableMoney").val())){
					$("#input_money").css("box-shadow","0 0 6px red").attr('title','提现金额必须小于等于可用金额');
					$("#input_money").parent("div").find("span.spanVaildate").html("提现金额必须小于等于可用金额");
					return false;
				}else{
					$("#input_money").css("box-shadow","none").attr('title','');
					$("#input_money").parent("div").find("span.spanVaildate").html("");
				}
			}else{
				$("#input_money").css("box-shadow","0 0 6px red").attr('title','提现金额必须大于0整数位最多8位且最多有2位小数');
				$("#input_money").parent("div").find("span.spanVaildate").html("提现金额必须大于0整数位最多8位且最多有2位小数");
				return false;
			}
		}
    </script>
   
</@override>

<@override name="body">
		<!-- PAGE CONTENT BEGINS HERE -->	
	
<div id=content_bg>
	<#include "/operator/main/public-head.ftl">
  	<div id= "pagecontent" >
  		<div id="third" style="margin-top:20px;">
			<ul>
				<li class="size1"><i class="icon-home" style="background-image:none;margin-top:3px;"></i> <a href="#">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
			    <li class="size2"><a href="${ctx}/operator/main/financial/financial-management/list">财务管理</a></li>
			    <li><span class="divider2"><i class="icon-angle-right"></i></span></li>
			    <li class="size3">提现</li>
			 </ul>  
 		</div>
 		<form id="withdraw_form1" action="${ctx}/operator/main/financial/financial-management/withdraw-deposit" method="post">
  			<div id="up_div">
  				<div id="avail_money">
			 		<label id="label1">&nbsp;&nbsp;可用金额:&nbsp;&nbsp;&nbsp;${availableMoney}</label>
		    	</div>
	
				<div class="withdraw_form_div">
					<label id="label2">提现：</label>
					<input id="input_money" type="text" name="money" value="">&nbsp;&nbsp;元
					<input type="hidden" id="availableMoney" name="availableMoney" value=${availableMoney}>
					<span class="spanVaildate"></span>
				</div>
				
				<div class="withdraw_form_div">
					<input id="tixian" type="submit" value="提现">
					<div id="c_cancle">取消</div>
				</div>
  			</div>
  		</form>
		<form id="withdraw_form2" action="${ctx}/operator/main/financial/financial-management/withdraw-deposit/list" method="post">
			<input type="hidden" id="page" name="page" value="${pager.page}">
			<div id="withdraw_div">
				<label id="label3">提现记录：</label>
				<table id="withdraw_table" style="border-collapse:collapse;">
					<thead>
						<tr >
							<th style="width:22%;">日期</th>
							<th style="width:22%;">交易号</th>
							<th style="width:20%;">提现状态</th>
							<th style="width:18%;">提现金额</th>
							<th style="width:18%;">可提现金额</th>
						</tr>
					</thead>
					<tbody>
						<#if operatorBalanceList ??>
						<#list operatorBalanceList as operatorBalance>
						  <tr >
							<td style="width:22%;">${operatorBalance.actTime?date}</td>
							<td style="width:22%;">${operatorBalance.num}</td>
							<td style="width:20%;"><#if operatorBalance.state == 1>申请中<#elseif operatorBalance.state == 2>审核不通过<#elseif operatorBalance.state == 3>已提现</#if></td>
							<td style="width:18%;">${operatorBalance.amount}</td>
							<td style="width:18%;">${operatorBalance.balance}</td>
						  </tr>
					 	</#list>
				        </#if>
					</tbody>
				</table>
				
			</div>
			
			<div id="daochu" style="margin-left:20px;">
	         	<a class="ljbtn2" href="${ctx}/operator/main/financial/financial-management/withdraw-deposit/list/exportExcel">导出Excel</a>
			</div>
				
			<div id="pageDiv">
		        <#include "/common/pagination/simple.ftl"/>
		    </div>
		</form>	
		
	</div>  
	
		<!-- PAGE CONTENT ENDS HERE -->
</div>
</@override>
<@extends name="/common/simple.ftl"/>
