$().ready(function(){

  
jQuery.validator.addMethod("tel", function (value, element) {
    return this.optional(element) || /0\d{2}-\d{8}|0\d{2}-\d{7}|0\d{3}-\d{7}|0\d{3}-\d{8}|(1[3-8]{1}[0-9]{9})/.test(value);
}, "请输入正确的电话号码！");

//jQuery.validator.addMethod("isDefault", function (value, element) {
////	console.log(element);  		//element为<input id="myselect" class="c_input" type="text" ··· value="请选择所属行业" name="industry">
//	var text=$("#myselect").prop('value');
//	return text!="请选择所属行业";
//}, "请至少选择一个行业！");


$('#form_validate').validate({
    errorElement: 'label',
    errorClass: 'invalid',
    focusInvalid: false,
    onfocusout: function(element) {
                    $(element).valid();
                },
    rules: {
        name: {
//       	only: $("#form-field-1").val(),
            required:true,
            minlength:2,
            maxlength:32,

        },
        
     
        regName: {
            required: true,
            minlength:2,
            maxlength:32,
        },
  
        
        contacts:{
        	required: true,
            minlength:2,
            maxlength:32,
        },
        
        tel: {
            required: true,            
            tel: 'required'
        },
        email:{
        	required: true,
        	 email: 'required'
        }
        
    
    },
    messages: {
        name: {
            required:"请输入广告主名称",
            minlength:"账号长度太短",
            maxlength:"账号长度过长.",

        },
       
        
        regName:{
            required:"请输入正确的公司注册名",
            minlength:"注册名长度太短，请修改",
            maxlength:"注册名太长，请修改"
        },
        
        contacts:{
            required:"请输入正确的联系人名",
            minlength:"联系人长度太短，请修改",
            maxlength:"联系人太长，请修改"
        },
        
        tel:{
            required:"请输入手机号码"
        },
        email:{
        	required:"邮箱地址不能为空",
        	email:	"邮箱格式不正确，请重新输入"
        }
    },

    highlight: function (e) {
    //	console.log(e);		//e元素代表当前输入框<input>
       
        $(e).css({'border':'1px solid red'});
    	
    },
    success: function (e) {
    //	console.log(e);  //这里的e貌似又代表错误信息提示框<label>

        $(e.prev()).css({'border':'1px solid #ccc'});

    },
    errorPlacement: function (error, element) {
//    	alert(element.next().length);    //长度就是1

//    	element.next()[0].innerHTML="请输入正确的信息，谢谢";
//		console.log(element);
    	
    	element.next($(".help_inline")).remove();	//去掉原本的提示信息，显示输入错误时的提示信息
       error.insertAfter(element);
  
    	
    },
    

});
	
})
