package com.cloudcross.ssp.operator.service;

import java.util.List;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.operator.model.AdGroupZone;

/**
 * 投放与广告位关联服务接口定义
 * @author chenyou
 *
 */
public interface IAdGroupZoneService extends IGenericService<AdGroupZone> {
	//根据投放id删除投放和广告位对应的信息
	boolean deleteByAdGroupId(Long adGroupId);
	//根据投放id找到所有的广告位id，并且得到的这个集合要按广告位id升序排序
	List<AdGroupZone> findAllByAdGroupId(Long adGroupId);
}
