package com.cloudcross.ssp.operator.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;
import com.cloudcross.ssp.operator.model.DeliverAnalysis;


/**
 * 报表服务
 * @author colin
 *
 */
public interface IAdReportService extends IGenericService<DeliverAnalysis> {
	
	int findCountForDeliverEffectAnalysis(Map<String, Object> paramMap);

	List<DeliverAnalysis> findDeliverEffectAnalysis(
			Map<String, Object> paramMap, Pager pager);
	List<DeliverAnalysis> findDeliverEffectAnalysis(
			Map<String, Object> paramMap);
	
	int countBySize(Map<String, Object> paramMap);
	List<DeliverAnalysis> findBySize(
			Map<String, Object> paramMap, Pager pager);
	List<DeliverAnalysis> findBySize(
			Map<String, Object> paramMap);
	
	List<DeliverAnalysis> findByPosition(
			Map<String, Object> paramMap);
	
	int countBySystem(Map<String, Object> paramMap);
	
	List<DeliverAnalysis> findBySystem(
			Map<String, Object> paramMap, Pager pager);
	
	List<DeliverAnalysis> findBySystem(
			Map<String, Object> paramMap);
	
	List<DeliverAnalysis> findByDevice(
			Map<String, Object> paramMap);
	
	List<DeliverAnalysis> findByArealCity(
			Map<String, Object> paramMap);
	
	List<DeliverAnalysis> findByAreal(
			Map<String, Object> paramMap);
	
	int countByPlace(Map<String, Object> paramMap);
	
	List<DeliverAnalysis> findByPlace(
			Map<String, Object> paramMap, Pager pager);
	
	List<DeliverAnalysis> findByPlace(
			Map<String, Object> paramMap);
	
	int countByApmac(Map<String, Object> paramMap);
	
	List<DeliverAnalysis> findByApmac(
			Map<String, Object> paramMap, Pager pager);
	
	List<DeliverAnalysis> findByApmac(
			Map<String, Object> paramMap);
	
	int countByAllAreal(Map<String, Object> paramMap);
	
	List<DeliverAnalysis> findByAllAreal(
			Map<String, Object> paramMap, Pager pager);
	
	 //根据查询条件查询总的pv，uv，曝光数等等
    DeliverAnalysis findSum(Map<String, Object> paramMap);
    
    List<DeliverAnalysis> findAllArea(Map<String, Object> paramMap);
	
}
