package com.cloudcross.ssp.operator.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;
import com.cloudcross.ssp.operator.model.Banner;

/**
 * 投放活动对应创意表的服务接口
 * @author wanfu
 *
 */
public interface IBannerService extends IGenericService<Banner> {
	//定义根据运营商id，搜索框的值，计算素材个数的方法
	int countByOperatorIdandParams(Long operatorId,Map<String, Object> paramMap);
	//定义根据运营商id，搜索框的值，和相应的页码 返回素材列表的方法
	List<Banner> findByOperatorIdandParams(Long operatorId,Map<String, Object> paramMap, Pager pager);
	//新增素材审核
	boolean addOperatorBanner(Long bannerId,int status,Long operatorId);
	//更新素材审核
	boolean updataOperatorBanner(Long bannerId,int status,Long operatorId);

}
