package com.cloudcross.ssp.operator.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.operator.model.Campaign;


public interface ICampaignService extends IGenericService<Campaign>{
	public List<Campaign> findByOrderId(Long orderId);
	public long findByName(String name);
	public boolean deleteByID(long id);//通过活动id来查对应的活动
	public List<Campaign> findByStatus(Map<String, Object> paramMap);
}
