package com.cloudcross.ssp.operator.service;
import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.operator.model.Zone;


public interface IZoneService extends IGenericService<Zone> {
	long findByName(String name);
	String deleteById(long id);
	public List<String> findAdgroupNameByZoneIdAndSchedule(Map<String, Object> paramMap);
	//首页中通过设备查找用到，勿删
	public List<Zone> findByDevice(Integer device);
	/**
	 * 根据设备和场景id查询广告位信息
	 * @author chenyou
	 */
	List<Zone> findByDeviceAndPlaceId(Map<String, Object> paramMap);
	public Zone findZone(Long zoneId);
	public List<Zone> findByOperatorId(Integer operatorId);
	List<Zone> findDeliverEffectAnalysis(Map<String, Object> paramMap);
	//public AjaxResult fileUpload(HttpServletRequest request,HttpServletResponse response);
	
	
}
