<@override name="head">
<title>总体报表</title>
<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
<link rel="stylesheet" href="${ctx}/assets/back/css/zbone.css"/>
<link rel="stylesheet" href="${ctx}/assets/back/css/zone.css"/>
<link rel="stylesheet" type="text/css" href="${ctx}/assets/back/css/ad-report.css">
<link rel="stylesheet" href="${ctx}/assets/back/css/daterangepicker.css" />
<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/moment.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/jquery.custom.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/jquery.daterangepicker.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/date.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/jquery.validate.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/divselect.js"></script>

<!-- 下拉框js -->

<script type="text/javascript" >
		//给下拉列表框准备数据
function loadDataForPullDownList1(controlView, parentId, url, defaultLabel) {
		//清空下拉框列表
		controlView.empty();
		//json请求,请求地址是url, 返回数据为data,回调函数去处理
		$.getJSON(url, function(data) {
			//打印控制台信息
			
			//console.log(data);
			//console.log(data[parentId]);
			$.each(data[parentId], function(key, val) {
				if(${selectedOperatorId}==val.value){
				controlView.append(
					'<option selected="selected" value=' + val.value + '>' + val.label + '</option>'
				);
				}
			});
			//增加一个默认的列
			controlView.append(
				'<option value="-1">' + defaultLabel + '</option>'
			);
			//遍历后端传回来的json数据，追加在select后面，value是id，label是值
			$.each(data[parentId], function(key, val) {
				if(${selectedOperatorId}!=val.value){
				controlView.append(
					'<option value=' + val.value + '>' + val.label + '</option>'
				);
				}
			});
		});
		//设置默认显示的列是-1；
		controlView.val("-1");
	}
	
	function loadDataForPullDownList2(controlView, parentId, url, defaultLabel) {
		//清空下拉框列表
		controlView.empty();
		//json请求,请求地址是url, 返回数据为data,回调函数去处理
		$.getJSON(url, function(data) {
			//打印控制台信息
			//console.log(data);
			//console.log(data[parentId]);
			$.each(data[parentId], function(key, val) {
				if(${selectedZoneId}==val.value){
				controlView.append(
					'<option value=' + val.value + '>' + val.label + '</option>'
				);
				}
			});
			//增加一个默认的列
			controlView.append(
				'<option value="-1">' + defaultLabel + '</option>'
			);
			//遍历后端传回来的json数据，追加在select后面，value是id，label是值
			$.each(data[parentId], function(key, val) {
				if(${selectedZoneId}!=val.value){
				controlView.append(
					'<option value=' + val.value + '>' + val.label + '</option>'
				);
				}
			});
		});
		//设置默认显示的列是-1；
		controlView.val("-1");
	}
	//清除下拉框数据
	function clearPullDownList(controlView, defaultLabel) {
		controlView.empty();
		controlView.append(
			'<option value="-1">' + defaultLabel + '</option>'
		);
	}
	
	//调用loadDataForPullDownList，给媒体准备数据
	function loadOperator() {
		loadDataForPullDownList1($('#selectedOperatorId'), "operatorList", "/ssp_web_back/widget/selector/provide/operator?parentId=1", "全部媒体");
	}
	//调用loadDataForPullDownList，给广告位准备数据
	function loadZone(operatorId) {
		loadDataForPullDownList2($('#selectedZoneId'), "zoneList", "/ssp_web_back/widget/selector/provide/zone?parentId=" + operatorId, "全部广告位");
	}
	
$(document).ready(function(){
		loadOperator();
		p=${selectedOperatorId};
		//alert(p);
		loadZone(p);
		//媒体value change调用此函数， 清除活动列表和策略列表
		$('#selectedOperatorId').change(function() {
			clearPullDownList($('#selectedZoneId'), "全部广告位");
			var id = $(this).val();
			loadZone(id);
			if(id == -1){
				$(".media-choose  input[name=selectedOperatorId]").val(null);
			} else {
				$(".media-choose  input[name=selectedOperatorId]").val(id);
			}
			$(".adver-choose  input[name=zoneId]").val(null);
			
			transcalender();
		});	
		//广告位value change调用此函数， 清除活动列表和策略列表
		$('#selectedZoneId').change(function() {
			var id = $(this).val();
			if(id == -1){
				$(".adver-choose  input[name=selectedZoneId]").val(null);
			} else {
				$(".adver-choose  input[name=selectedZoneId]").val(id);
			}
			transcalender();
		});	
});	
		
</script>
<script type="text/javascript">
        	$(document).ready(function(){
			$("#pv1").removeClass().addClass('ffenlchange');
			$("#pvname1").removeClass().addClass("ffenlnamechange"); 
			$("#pvdata1").removeClass().addClass("ffenldatachange"); 
			$("#linechart2").hide(); 
			$("#linechart3").hide();  
			$("#linechart4").hide();  
			$("#linechart5").hide(); 
			$("#linechart6").hide();  
			$("#linechart7").hide();
			$("#linechart8").hide(); 
			$("#linechart9").hide();   
	  		$("#pv1").click(function(){
	  			$(".ffenlchange").removeClass().addClass('ffenl');
	  			$(".ffenlnamechange").removeClass().addClass('ffenlname');
	  			$(".ffenldatachange").removeClass().addClass('ffenldata');
	  			$("#pv1").removeClass().addClass('ffenlchange');
				$("#pvname1").removeClass().addClass("ffenlnamechange"); 
				$("#pvdata1").removeClass().addClass("ffenldatachange"); 
				$("#linechart2").hide(); 
				$("#linechart1").show(); 
				$("#linechart3").hide();
				$("#linechart4").hide(); 
				$("#linechart5").hide(); 
	  			})	
	  		$("#uv1").click(function(){
	  			$(".ffenlchange").removeClass().addClass('ffenl');
	  			$(".ffenlnamechange").removeClass().addClass('ffenlname');
	  			$(".ffenldatachange").removeClass().addClass('ffenldata');
	  			$("#uv1").removeClass().addClass('ffenlchange');
				$("#uvname1").removeClass().addClass("ffenlnamechange"); 
				$("#uvdata1").removeClass().addClass("ffenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").show(); 
				$("#linechart3").hide();
				$("#linechart4").hide(); 
				$("#linechart5").hide();  
	  			})	
	  			
	  		$("#bgs1").click(function(){
	  			$(".ffenlchange").removeClass().addClass('ffenl');
	  			$(".ffenlnamechange").removeClass().addClass('ffenlname');
	  			$(".ffenldatachange").removeClass().addClass('ffenldata');
	  			$("#bgs1").removeClass().addClass('ffenlchange');
				$("#bgsname1").removeClass().addClass("ffenlnamechange"); 
				$("#bgsdata1").removeClass().addClass("ffenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").hide(); 
				$("#linechart3").show(); 
				$("#linechart4").hide(); 
				$("#linechart5").hide(); 
	  			})	
	  			
	  		$("#djs1").click(function(){
	  			$(".ffenlchange").removeClass().addClass('ffenl');
	  			$(".ffenlnamechange").removeClass().addClass('ffenlname');
	  			$(".ffenldatachange").removeClass().addClass('ffenldata');
	  			$("#djs1").removeClass().addClass('ffenlchange');
				$("#djsname1").removeClass().addClass("ffenlnamechange"); 
				$("#djsdata1").removeClass().addClass("ffenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").hide(); 
				$("#linechart3").hide(); 
				$("#linechart4").show(); 
				$("#linechart5").hide(); 
	  			})				
	
	  			$("#shr1").click(function(){
	  			$(".ffenlchange").removeClass().addClass('ffenl');
	  			$(".ffenlnamechange").removeClass().addClass('ffenlname');
	  			$(".ffenldatachange").removeClass().addClass('ffenldata');
	  			$("#shr1").removeClass().addClass('ffenlchange');
				$("#shrname1").removeClass().addClass("ffenlnamechange"); 
				$("#shrdata1").removeClass().addClass("ffenldatachange"); 
				$("#linechart1").hide(); 
				$("#linechart2").hide(); 
				$("#linechart3").hide(); 
				$("#linechart4").hide(); 
				$("#linechart5").show(); 
	  			})	
	  				
	  		});
	  		
			
	  			
</script>

<script type="text/javascript">
			 
		 //将毫秒转化为日期
			function getDate(tm){ 
					var tt=new Date(parseInt(tm)).toLocaleDateString();
				
					return tt; 
			} 
 
			function getele1(){
					try{
		  				var d=document.getElementsByName("hr");
		  				var c=[];
		  				var e=[];
		  				for(i=0;i<=d.length;i++){
		  					c[i]=d[i].childNodes[0].nodeValue;
		  					e[i]=c[i];
		  				}
		  				
		  			}
					catch(e){}
					return c;
			}
		
$(function () {

			u=${startDate};
			v=${endDate}; 	
			if(u==v){
							var m=getele1();
							n=24;
							var color=[];
							for(i=0;i<n;i++){
								color[i]='red';
							}
							n1=n*6;
							var xlabel=[];		
							var j=0;
								for(i=0;i<n1;i+=6){
										xlabel[j]=m[i];
										j++;
								}
							//	alert(xlabel);
						   //取y轴
							var uv=[];
							var j=0;
							for(i=2;i<n1;i+=6){
									uv[j]=parseFloat(m[i]);
								 j++;
							}
							var pv=[];
							var j=0;
							for(i=1;i<n1;i+=6){
									pv[j]=parseFloat(m[i]);
									 j++;
							}							
							var adbaoguang=[];
							var j=0;
							for(i=3;i<n1;i+=6){		
									adbaoguang[j]=parseFloat(m[i]);
									j++;
							}
							var adclick=[];
							var j=0;
							for(i=4;i<n1;i+=6){
									adclick[j]=parseFloat(m[i]);
									j++;
							}
							var shouru=[];
							var j=0;
							for(i=5;i<n1;i+=6){
									shouru[j]=parseFloat(m[i]);
								   j++;
							}	
							setinterval=1;			
	}else{
					var selectedOperatorId=$(".media-choose  input[name=selectedOperatorId]").val();
				 	var selectedZoneId=$(".adver-choose  input[name=selectedZoneId]").val();
				 	if(selectedZoneId==null){selectedZoneId=-1}
					var dateRangePicker=$("#dateRangePicker").val();
					url = "${ctx}/back/main/ad/operator/operator-report/listChartData?dateRangePicker="+dateRangePicker+"&selectedOperatorId="+selectedOperatorId+"&selectedZoneId="+selectedZoneId;
					var pv = [];
					var uv = [];
					var adbaoguang = [];
					var adclick = [];
					var shouru = [];
					var xlabel = []
					var k = 0;
 					$.ajaxSettings.async = false; //getJSON同步执行
					$.getJSON(url, function(data) {
						$.each(data, function(key, val) {
	
						   		xlabel[k] = val.reportDate;
						   		xlabel[k] = getDate(xlabel[k]);
								pv[k] = val.pv;
								uv[k] = val.uv;
								adbaoguang[k] = val.impression;
								adclick[k] = val.click;
								shouru[k] = val.income;
								k++;
							});	
						});	
					setinterval=parseInt(xlabel.length/10);										
}			
    $('#linechart1').highcharts({
        title: {
            text: 'PV',
          
        },
        xAxis: {
            categories: xlabel,
            tickInterval: setinterval 
        },
        yAxis: {
            plotLines: [{
                value: 0,
                width: 1,
               color: '#36aeea'
           }]
        },
        
        legend: {
           layout: 'vertical',
            align: 'right',
            verticalAlign: 'middle',
            borderWidth: 0
        },
        series: [{
            name: 'PV',
            data: pv,
            color:'#36aeea'
        }]
    });
    $('#linechart2').highcharts({
        title: {
            text: 'UV',
        },
        xAxis: {
            categories:xlabel,
             tickInterval: setinterval 
        },
        yAxis: {
            plotLines: [{
                value: 0,
                width: 1,
                color: '#36aeea'
            }]
        },
        legend: {
            layout: 'vertical',
            align: 'right',
            verticalAlign: 'middle',
            borderWidth: 0
        },
        series: [ {
            name: 'UV',
            data: uv,
            color:'#36aeea'
        }]
    });
     $('#linechart3').highcharts({
        title: {
            text: '广告曝光数',
        },
        xAxis: {
            categories: xlabel,
            tickInterval: setinterval 
        },
        yAxis: {
            plotLines: [{
                value: 0,
                width: 1,
                color: '#36aeea'
            }]
        },
        legend: {
            layout: 'vertical',
            align: 'right',
            verticalAlign: 'middle',
            borderWidth: 0
        },
        series: [ {
            name: '广告曝光数',
            data: adbaoguang,
            color:'#36aeea'
        }]
    });
     $('#linechart4').highcharts({
        title: {
            text: '广告点击数',
        },
        xAxis: {
            categories: xlabel,
             tickInterval: setinterval 
        },
        yAxis: {
          
            plotLines: [{
                value: 0,
                width: 1,
                color: '#36aeea'
            }]
        },
        legend: {
            layout: 'vertical',
            align: 'right',
            verticalAlign: 'middle',
            borderWidth: 0
        },
        series: [ {
            name: '广告点击数',
            data: adclick,
            color:'#36aeea'
        }]
    });
    
     $('#linechart5').highcharts({
        title: {
            text: '收入',
        },
       
        xAxis: {
            categories: xlabel,
             tickInterval: setinterval 
        },
        yAxis: {
          
            plotLines: [{
                value: 0,
                width: 1,
            }]
        },
        legend: {
            layout: 'vertical',
            align: 'right',
            verticalAlign: 'middle',
            borderWidth: 0
        },
        series: [ {
            name: '收入',
            data: shouru,
            color:'#36aeea'
        }]
    });
});
						   		
</script>
<script src="${ctx}/assets/back/js/highcharts.js"></script>
<script src="${ctx}/assets/back/js/exporting.js"></script>
<script type="text/javascript">
function transcalender(){
					var url = ""; 
					var type = "";
					var ids = [];
					var page = $("#page").val();
					a=$(".media-choose  input[name=selectedOperatorId]").val();
				 	c=$(".adver-choose  input[name=selectedZoneId]").val();
				 	if(c==null){c=-1}
				 	//如果b为空，默认为昨天的
				 	if($("#dateRangePicker").val()==""){
				 	$(".yesterday").trigger("click");
				 	}
				 	b=$("#dateRangePicker").val();
				 	//判断是否超过一年
				 	var outyear=b.split("to",1);
					outyear = outyear[0].replace(/-/g,"/");  
				 	var yeartomi = (new Date(outyear)).getTime();
				 	var todaydate1 = new Date();
				 	todaydate = todaydate1.getTime();
				 	if(todaydate-yeartomi<=31536000000){
					 	url = "${ctx}/back/main/ad/operator/operator-report?dateRangePicker=" + b+"&selectedZoneId="+c+"&page="+page+"&selectedOperatorId="+a; 
				 	
				 	}else{
				 		alert("您好，请选择一年之内的时间！");
				 		$(".yesterday").trigger("click");
				 		var date = $("#dateRangePicker").val();
					 	url = "${ctx}/back/main/ad/operator/operator-report?dateRangePicker="+date+"&selectedZoneId="+c+"&page="+page+"&selectedOperatorId="+a; 	
				 	}
				 	console.log(url); 
					location.href = url;
}
function transdaochu(){
					var url = ""; 
					a=$(".media-choose  input[name=selectedOperatorId]").val();
				 	c=$(".adver-choose  input[name=selectedZoneId]").val();
				 	//alert(c);
				 	b=$("#dateRangePicker").val();
				 	url = "${ctx}/back/main/ad/operator/operator-report/exportDataReportExcel?dateRangePicker=" + b+"&selectedZoneId="+c+"&selectedOperatorId="+a;  
				 	location.href = url;
}

</script>	
 <style type="text/css">
 		 #tex{
            border:1px solid #dfdfdf;
        }
        #dateRangePicker{
            width: 180px;
            border: none;
            margin-top: 1px;
            height: 17px;
            padding: 0px;
            font-size:14px;          
        }
        .icon-calendar{
            margin-left:6px;
           // border: 1px solid black;
            margin-top: 6px;       
        }
       select {
       		position:relative;
       		left:-2px;
       		top:-2px;
       		font-size:12px;
       		width:183px;
       		line-height:14px;
       		border:1px solid #dfdfdf;
       	
       		color:#4c637b;} 
      .media-choose{
       		float:left;
       		margin-left:5px;
       		}
       	.adver-choose{
       		float:left;
       		}

#pagecontent{
	height:1000px;


}
select::-ms-expand { display: none; }	
     #selectedOperatorId{
     	width:150px;
     	border: none;
     	
     	border-radius:5px;
        appearance:none;
	    -moz-appearance:none; /* Firefox */
	    -webkit-appearance:none; /* Safari 和 Chrome */
	    background:url(${ctx}/assets/back/images/triangle1.png) no-repeat scroll 95% 50%;
	    background-color:#f2f6fa;
     }
      #selectedOperatorId option{
      border:none;
      }
     #selectedZoneId{
     	width:150px;
     	border:none;
     	border-radius:5px;
     	height:30px;
        appearance:none;
	    -moz-appearance:none; /* Firefox */
	    -webkit-appearance:none; /* Safari 和 Chrome */
	    background:url(${ctx}/assets/back/images/triangle1.png) no-repeat scroll 95% 50%;
	    background-color:#f2f6fa;
     }



   </style>
</@override>

<@override name="body">
   <div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id= "pagecontent">
   		<div id="page-edit">
		    <div id="second">
					<div class="report6all re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report" >总体报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/size" >尺寸报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/position" >位置报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/system" >系统报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/type" >类型报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/areal" >地域报表</a></div>
					<div class="report6 re"><a class="alj" href="${ctx}/back/main/ad/operator/operator-report/place"  >场景报表</a></li>
					<div></div>
				
		    </div>
		 
</br>
<br>
<br> 
 			 <div id="third">
			         <ul>
			         <li class="size1"><i class="icon-home homepic"></i> <a href="${ctx}/back/main/dashboard" style="color:#36aeea">首页&nbsp;&nbsp;</a>
				     <span class="divider1"><i class="icon-angle-right"></i></span></li>
			         <li style="color: #4c637b;">&nbsp;&nbsp;数据报表</li>
			         
			         </ul>  
 			 </div>  
   
</br>
  <br>  
    <div id="form">
        <form id="myform" action="${ctx}/back/main/ad/operator/operator-report" method="post">	
        <input id="page" autocomplete="off"  type="hidden" name="page" value="${pager.page!}">	
		 <div class="control-group control-group-lfet">	
				<div class="controls-reset">
							<div class="row-fluid input-append date row-fluid-revise">
							    <div class="controls-reset">
							    	<div class="media-choose">
											<select id="selectedOperatorId" name="selectedOperatorId" >
											 <option value="-1">全部媒体</option>
											</select>
											<input type="hidden" id="aa" name="selectedOperatorId" value="${selectedOperatorId!}"/>
									</div>
							    	<div class="adver-choose">
											<select id="selectedZoneId" name="selectedZoneId" >
											<option value="-1">全部广告位</option>
											</select>
											<input type="hidden" id="aa"  name="selectedZoneId" value="${selectedZoneId!}"/>
									</div>
									<div class="calder">
										<div class="singlechoo">
											<span class="help-inline">
												<a class="today da">今天</a> |
												<a class="yesterday da">昨天</a> |
												<a class="lastSevenDays da">前七天</a> |
												<a class="lastWeek da">上周</a> |
												<a class="thisMonth da">本月</a> |
												<a class="lastMonth da">上月</a> 
									  		</span>
								  		</div>
										<div class="widthdate">
										
										<span id="tex"><i class="icon-calendar"></i>   
											<input  type="text" name="dateRangePicker"  id="dateRangePicker" value="${dateRangePicker!}"/>
								        </span>
			   							</div>	
			   							<div class="widthcheck">
			   								 <button onclick="transcalender()" style="float:right" class="check_cal" id="check_cal ">查询</button>
										</div>	
									</div>
						    
							</div>
				</div>
		</div>

			 		 <div class="ffenall">	
					   		
					   		<div  id="pv1" class="ffenl">
					   			<div id="pvname1" class="ffenlname">&nbsp;&nbsp;&nbsp;&nbsp;PV</div>
					   			<div id="pvdata1" class="ffenldata">${sumReport.pv}</div>
					   		</div>
					   		<div  id="uv1" class="ffenl">
					   			<div id="uvname1" class="ffenlname">&nbsp;&nbsp;&nbsp;&nbsp;UV</div>
					   			<div id="uvdata1" class="ffenldata">${sumReport.uv}</div>
					   		</div>
					   		<div id="bgs1" class="ffenl">
					   			<div id="bgsname1" class="ffenlname">&nbsp;&nbsp;&nbsp;&nbsp;广告曝光数</div>
					   			<div id="bgsdata1"  class="ffenldata">${sumReport.impression}</div>
					   		</div>
					   		
					   		<div id="djs1" class="ffenl">
					   			<div id="djsname1" class="ffenlname">&nbsp;&nbsp;&nbsp;&nbsp;广告点击数</div>
					   			<div  id="djsdata1" class="ffenldata">${sumReport.click}</div>
					   		</div>
					   		
					   		<div id="shr1" class="ffenl">
					   			<div id="shrname1" class="ffenlname">&nbsp;&nbsp;&nbsp;&nbsp;收入</div>
					   			<div id="shrdata1" class="ffenldata">${sumReport.income}</div>
					   		</div>
					   	</div>
	   	
			         <div class="chart_index"> 
			         	 <div  id="linechart1" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
			         	 <div  id="linechart2" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
			         	 <div  id="linechart3" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
			         	 <div  id="linechart4" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
			         	 <div  id="linechart5" style="min-width: 84%; height: 325px; margin: 0 auto"></div>
					 </div>
				 
					<div class="fig">
			            <table border="1" class="tablefig1" id="tablefig">
			                <thead>
			                <tr class="tr1"  id ='tr11' style="background:#f2f6fa;">
			                    <th class="td1"  style="text-align:center; width:10%">日期</th>
			                    <th class="td1" style="text-align:center; width:10%" >PV</th>
			                    <th class="td1" style="text-align:center; width:10%" >UV</th>
			                    <th class="td1" style="text-align:center;  width:10%" >广告曝光数</th>
			                    <th class="td1" style="text-align:center; width:10%">广告填充率</th>
			                    <th class="td1" style="text-align:center; width:10%">广告点击数</th>
			                    <th class="td1" style="text-align:center; width:10%">广告点击率</th>
			                    <th class="td1" style="text-align:center; width:10%">eCPM</th>
			                    <th class="td1" style="text-align:center; width:10%" >收入</th>
			                </tr> 
			                </thead>
			                <tbody>
			                    <#if reportList ??>
			                <#list reportList as report>
				                <tr id="tr22">
				                    <td class="td2" id="tdriqi" style="text-align:center;">${report.reportDate?string('yyyy/MM/dd')}</td> 
				                    <td class="td2" id="tdpv"  class="shishi" style="text-align:center;">${report.pv!}</td>
				                    <td class="td2" id="tduv" style="text-align:center;">${report.uv!}</td>
				                    <td class="td2" id="tdimpression" style="text-align:center;" class="hidden-impression">${report.impression!}</td>
				                    <td class="td2" id="tdfillrate" style="text-align:center;" class="hidden-impression">${report.fillRate!}%</td>
				                    <td class="td2" id="tdclick" style="text-align:center;">${report.click!}</td>
				                    <td class="td2" id="tdclickrate" style="text-align:center;">${report.clickRate!}%</td>  
				                    <td class="td2" id="tdecpm" style="text-align:center;" class="hidden-income">${report.eCpm!}</td>
				                    <td class="td2" id="tdincome" style="text-align:center;" class="hidden-income">${report.income!}</td>
				                </tr>
				                </#list>  
			                    </#if>
			                </tbody>
		           		 </table>
		           	</div>
		           	<div class="hourrpt">
				 	   <#if rptZoneHourList ??>
			                <#list rptZoneHourList as hourrpt>
				                <div id="tr22">
				                  	 <div name="hr" >${hourrpt.hour!}</div>
				                    <div name="hr" >${hourrpt.pv!}</div>
				                    <div name="hr" >${hourrpt.uv!}</div>
				                    <div name="hr" >${hourrpt.impression!}</div>
				                    <div name="hr" >${hourrpt.click!}</div>
				                    <div name="hr" >${hourrpt.income!}</div>
				                </div>
				                </#list>  
			            </#if>
				 	</div>
		            <div id="daochu" >
							<!--<button class="btn2" >导出Excel</button>-->
							<a class="ljbtn2" onclick="transdaochu()" >导出Excel</a>
					
					</div>
					<div id="pagemove">
							<div class="pageDiv pagemove">
							       <#include "/common/pagination/simple.ftl"/>
							</div>	
					</div>
				 
	     
         </form>
	  </div>        
	 </div>       
    </div>
  </div>
  <script type="text/javascript" src="${ctx}/assets/back/js/bootstrap-datepicker.min.js"></script>
    <script type="text/javascript" src="${ctx}/assets/back/js/bootstrap-timepicker.min.js"></script>
    <script type="text/javascript" src="${ctx}/assets/back/js/bootstrap-datetimepicker.zh-CN.js"></script>
    <script type="text/javascript" src="${ctx}/assets/back/js/daterangepicker.min.js"></script>
    <script type="text/javascript" src="${ctx}/assets/back/js/jquery.autosize-min.js"></script>
    <script type="text/javascript" src="${ctx}/assets/back/js/jquery.maskedinput.min.js"></script>
    <script type="text/javascript" src="${ctx}/assets/back/js/date.js"></script>
    <script type="text/javascript" src="${ctx}/assets/back/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript" src="${ctx}/assets/back/js/jquery.dataTables.bootstrap.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.custom.js"></script>
<script type="text/javascript">
    Date.prototype.format = function(format)
    {
        var o = {
            "M+" : this.getMonth()+1, //month
            "d+" : this.getDate(),    //day
            "h+" : this.getHours(),   //hour
            "m+" : this.getMinutes(), //minute
            "s+" : this.getSeconds(), //second
            "q+" : Math.floor((this.getMonth()+3)/3),  //quarter
            "S" : this.getMilliseconds() //millisecond
        }
        if(/(y+)/.test(format)) format=format.replace(RegExp.$1,
                (this.getFullYear()+"").substr(4 - RegExp.$1.length));
        for(var k in o)if(new RegExp("("+ k +")").test(format))
            format = format.replace(RegExp.$1,
                    RegExp.$1.length==1 ? o[k] :
                            ("00"+ o[k]).substr((""+ o[k]).length));
        return format;
    }

    function getlastDate(last)
    {
        //获取系统时间
        var LSTR_ndate=new Date();
        var LSTR_Year=LSTR_ndate.getFullYear();
        var LSTR_Month=LSTR_ndate.getMonth();
        var LSTR_Date=LSTR_ndate.getDate();
        //处理
        var uom = new Date(LSTR_Year,LSTR_Month,LSTR_Date);
        uom.setDate(uom.getDate()-last);//取得系统时间的前一天,重点在这里,负数是前几天
        var LINT_MM=uom.getMonth();
        LINT_MM++;
        var LSTR_MM=LINT_MM > 10?LINT_MM:("0"+LINT_MM)
        var LINT_DD=uom.getDate();
        var LSTR_DD=LINT_DD > 10?LINT_DD:("0"+LINT_DD)
        //得到最终结果
        var uom = (uom.format('yyyy-MM-dd'));
        return uom;
    }

   $('.controls-reset .help-inline a').click(function(e){
        e.preventDefault;
        var ind = $(this).index();
        var input = $('#dateRangePicker');
        switch (ind){
            case 0://今天
                var startDate = (Date.today().format('yyyy-MM-dd'));
                var endDate = (Date.today().format('yyyy-MM-dd'));
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 1://昨天
                var startDate = getlastDate(1);
                var endDate = getlastDate(1);
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 2://前七天
                var startDate = getlastDate(7);
                var endDate = getlastDate(1);
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
             case 3://上周
               	var startDate=(moment().add(-1,'week').startOf('week').format('YYYY-MM-DD'));
                var endDate=(moment().add(-1,'week').endOf('week').format('YYYY-MM-DD'));     
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 4://本月
                var startDate=(moment().startOf('month').format('YYYY-MM-DD'));
                var endDate=(Date.today().format('yyyy-MM-dd'));                                                                                       
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
            case 5://上月
                var startDate=(moment().add(-1,'month').startOf('month').format('YYYY-MM-DD'));
                var endDate=(moment().add(-1,'month').endOf('month').format('YYYY-MM-DD'));                                                                                       
                var val = startDate+' to '+endDate;
                input.val(val);
                break;
        }
        
    });
    </script>   
    
<script type="text/javascript">
//控制页码
      $('#dateRangePicker').dateRangePicker();
      $(function(){
      	$('#pagemove .pagination ul li a[href]').click(function(){
			console.log('aaa');
			var _page = $(this).attr('href').substr(1);//获取当前点击的页码
			console.log(_page);
			var _form = $('#myform');
			_form.find('input:hidden[name="page"]').val(_page);//将当前点击的页码赋值给搜索form中页码输入框
			console.log(_form.find('input:hidden[name="page"]').val());
			//$('#check_cal').click();//触发搜索
			transcalender();
			return false;
		});
		//控制昨天今天上周颜色
	  
	  	$(".singlechoo .help-inline a").click(function(){
	  		$(".singlechoo .help-inline a").css("color","#36aeea");
	  		$(this).css("color","#4c637b")
	  	
	  	})	 	
      });
</script>    
		     

<!-- basic scripts -->

</@override>
<@extends name="/common/simple.ftl"/>

