<@override name="head">
	<title>维度管理</title>
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link href="${ctx}/assets/back/css/font-awesome.min.css" rel="stylesheet"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/authority.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/bootstrap.min.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/divselect.js"></script>
	
	<script type="text/javascript" >
	
		$(function(){
		
			//新增维度
			$("#btn-add").unbind('click').click(function(){
				location.href = "${ctx}/back/main/ad/report/advertiser-report/create";
			});
			
			//编辑
			$("#btn-edit").live("click", function() {
				var id = parseInt($(this).attr("value"));
				location.href = "${ctx}/back/main/ad/report/advertiser-report/edit?id="+id;
			});
			
			//复选框按钮
			$('#tablefig th input:checkbox').live("click", function() {
				var that = this;
				$(this).closest('table').find('tr > td:first-child input:checkbox').each(function(){
					this.checked = that.checked;
				});
			});
			
			//设置默认值
			$("#input-radio").live("click", function() {
				var id = $(this).attr("value");
				$.post("${ctx}/back/main/ad/report/advertiser-report/updateDimensionDefault", {dimensionId:id}, function(data) {
					$('#formPage').submit();
				});
			});

			//批量删除
			$("#all-btn-delete").click(function(){
				var checkboxs = $("#tablefig tbody input[type='checkbox']:checked");
				var _param = checkboxs.serialize();
				if(checkboxs.length==0){
					alert("请选择需要删除的维度！");
					return false;
				}
				$.post("${ctx}/back/main/ad/report/advertiser-report/delete", _param, function(data) {
					$('#formPage').submit();
				});
			});
			
			//删除
			$('#btn-delete').live('click' ,function(){
				var id = parseInt($(this).attr("value"));
				$.post("${ctx}/back/main/ad/report/advertiser-report/delete", {id:id}, function(data) {
					$('#formPage').submit();
				});
			});
			
			// 分页中超链接跳转
			$('#pagecontent .pagination ul li a[href]').click(function(){
				var _page = $(this).attr('href').substr(1);
				var _form = $('#formPage');
				_form.find('input:hidden[name="page"]').val(_page);
				_form.submit();
				return false;
			});
			
		});
		
	</script>
	
</@override>

<@override name="body">
	<!-- PAGE CONTENT BEGINS HERE -->
	<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="content">
			<div id="handler">
				<ul>
					<li class="size1"><i class="icon-home" style="background-image:none;"></i> <a href="${ctx}/back/main/dashboard">首页</a>
					<span class="divider1"><i class="icon-angle-right"></i></span></li>
					<li class="size2"><a href="${ctx}/back/main/ad/report/advertiser-report">数据报表</a></li>
					<span class="divider2"><i class="icon-angle-right"></i></span></li>
					<li class="size3" id="handlerName">维度管理</li>
				</ul>  
			</div>
			<form id="formPage" action="${ctx}/back/main/ad/report/advertiser-report/dimension" method="post">
			<input type="hidden" id="page" name="page" value="${pager.page}">
		  	<div id="buttons">
		  		<div id="btn-add" class="btn1">新增维度</div>      
		        <div id="all-btn-delete" class="btn1">批量删除</div>  
		    </div>
		</div>
		<div id="account-table">
			<table border="1" class="tablefig" id="tablefig">
				<thead>
					<tr>
						<th width="10%">
							<label><input type="checkbox" class="input_checkbox"><span class="lbl"></span></label>
						</th>
						<th width="20%">名称</th>
						<th width="25%">维度</th>
						<th width="20%">默认</th>
						<th width="25%">操作</th>
					</tr>
				</thead>
				<tbody>
				<#if dimensionList ??>
				<#list dimensionList as dimension>
					<tr class="">
						<td class="center">
							<label><input  autocomplete="off" type="checkbox" name="id" value="#{dimension.id!}"><span class="lbl"></span></label>
						</td>
						<td class="breakword">${dimension.name!}</td>
						<td class="breakword">${dimension.content!}</td>
						<td class="breakword">
							 <input name="isDefault" id="input-radio" type="radio" value="${dimension.id}" <#if dimension.isDefault==1>checked</#if> style="margin:-3px 5px 0 0;"><span  class="lbl">设为默认</span>
						</td>
						<td>
							<div id="btndiv">
								<div id="btn-edit" class="btn11" value="${dimension.id}">编辑</div>
								<div id="btn-delete" class="btn11" value="${dimension.id}">删除</div>
							</div>
						</td>
					</tr>
				</#list>
				</#if>
			</tbody>
			</table>
						
			<div id="pageDiv">
               	<#include "/common/pagination/simple.ftl"/>
            </div>	
            
			</form>
			
		</div>
	</div>
<!-- PAGE CONTENT ENDS HERE --/>
</div><!--/row-->
</@override>
<@extends name="/common/simple.ftl"/>
