<@override name="head">
	<title>广告投放系统</title>
	<!--css-->
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/audit.css"/>
	<!--js dependence-->
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
</@override>
<@override name="body">
	<#include "/back/main/public-head.ftl">
	<div id= "pagecontent">
		<div id="subNav">
			<span class='sub2' href='${ctx}/back/main/audit/audit-banner'>素材审核</span>
			<span class='sub' href='${ctx}/back/main/audit/audit'>资质审核</span>
		</div>
		<div id="shortcutBar">
			<ul>
				<li ><i class="icon-home"></i> <a class="homepage" href="${ctx}/back/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li ><a class="homepage2" href="${ctx}/back/main/audit/audit">资质审核</a></li>			         
			</ul>  
		</div>
		<div id="searchBar">
			<button class="batch_btn" href="${ctx}/back/main/audit/audit/check" value='${auditId!}'>审核通过</button>
			<button class="batch_btn" href="${ctx}/back/main/audit/audit/check" value='${auditId!}'>审核不通过</button>
		</div>
		<div id="tableList">
			<div>
				<span>广告主名称&nbsp;:&nbsp;${audit.name!}</span>
				<span>广告主行业&nbsp;:&nbsp;${audit.industryName!}</span>
				<span>广告主注册名&nbsp;:&nbsp;${audit.regName!}</span>
				<span>网址&nbsp;:&nbsp;<a href="${audit.homePage!}">${audit.homePage!}</a></span>
				<span>联系人&nbsp;:&nbsp;${audit.contacts!}</span>
				<span>电话&nbsp;:&nbsp;${audit.tel!}</span>
				<span>邮箱&nbsp;:&nbsp;${audit.email!}</span>
			</div>
			
			<table class="table">
			    <thead>
			        <tr>
			            <th>资质</th>
			            <th>素材</th>
			            <th>最后更新时间</th>
			        </tr>
			    </thead>
			    <tbody>
				    <tr class="">
				        <td >ICP</td>
				        <td><img src="${ctx}/assets/back/images/login-logo.png"></td>
				        <td>${audit.updated?datetime!}</td>
				    </tr>
				    <tr class="">
				        <td >企业营业执照</td>
				        <td><img src="${ctx}/assets/back/images/login-logo.png"></td>
				        <td>${audit.updated?datetime!}</td>
				    </tr>
				    <tr class="">
				        <td >法人代表身份证</td>
				        <td><img src="${ctx}/assets/back/images/login-logo.png"></td>
				        <td>${audit.updated?datetime!}</td>
				    </tr>
				    <tr class="">
				        <td >企业机构代码证</td>
				        <td><img src="${ctx}/assets/back/images/login-logo.png"></td>
				        <td>${audit.updated?datetime!}</td>
				    </tr>
			    </tbody>
			</table>
		</div>
	</div>
</@override>
<@extends name="/common/simple.ftl"/>

<!-- 弹出框插件 -->
<script type="text/javascript" src="${ctx}/assets/back/js/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/bootbox.min.js"></script>
<script type="text/javascript">
	$(function(){
		$("#subNav span").click(function(){
			var _href = $(this).attr('href');
			window.location.assign(_href);
		});
		
		//个人信息栏的js控制
		$("#divselect").click(function(){
			$("#divselect ul").slideToggle("fast");
		});
		
		//搜索输入框的样式改变
		$("#searchBar input[name='searchValue']").focus(function(){
			$(this).val("");
		});
		$("#searchBar input[name='searchValue']").blur(function(){
			if($(this).val()== ""){
				$(this).val("请输入需要搜索的内容");
			}
		});
		$('#searchBar button').click(function(){
			var _href = $(this).attr('href');
			var _value = $(this).attr('value');
			var _text = $(this).text();
			if(_text == '审核通过'){
				var _param = {
            			'auditId':_value,
            			'checkStatus':1,
            	};
				$.post(_href,_param,function(data){
					if(data == "ok"){
						window.location = document.referrer;
					} else {
						bootbox.alert("审核失败!");
					}
				})
			} else{
				 bootbox.prompt("请输入审核不通过的理由", function(result) {
		            if(result === null){
		            	
		            } else if (result == '') {
		            	bootbox.alert("请输入审核不通过的理由");
		            } else {
		            	var _param = {
		            			'auditId':_value,
		            			'checkMemo':result,
		            			'checkStatus':-1,
		            	};
		            	$.post(_href,_param,function(data){
		            		if(data == "ok"){
		            			window.location = document.referrer; 
							} else {
								bootbox.alert("审核失败!");
							}
						})
		            }
		        });
			}
		});
	});
</script>