<@override name="head">
	<title>创建账号</title>
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/authority.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/divselect.js"></script>
	
	<style>
		.spanVaildate{
			margin-left:20px;
			color:red;
			position: absolute;
		}
	</style>
	<script type="text/javascript" >
		$(function(){
			
			$("#validation-form").autovalidate();
			//保存按钮
			$("#create-btn-save").unbind('click').click(function(){
				//var addParam = $("#validation-form").serialize();
				var Account = new Object();//账号对象
				Account['accountName'] = $("#accountName").val();
				Account['password'] = $("#password").val();
				Account['realName'] = $("#realName").val();
				Account['tel'] = $("#tel").val();
				Account['state'] = $('input[name="state"]:checked').val();
				var authority = "";
				$("#checkboxs input[type=checkbox]:checked").each(function(){
				    authority+=$(this).val()+",";
				});
				authority = authority.substring(0,authority.length-1);
				if (!$("#validation-form").validate()) {
					return false;
				}
				var flag = isExistName();//判断账号名称是否重复
				if(!flag){
					$.ajax({
				       type: "POST",
				       url: "${ctx}/back/main/authority/save?authority="+authority+"&ensurePassword="+$("#ensurePassword").val(),
				       data: Account,
				       success: function(data){
						 location.href = "${ctx}/back/main/authority/list";
				       }
					});
				}
			});
				
			//取消按钮
			$("#create-btn-cancel").unbind('click').click(function(){
				location.href = "${ctx}/back/main/authority/list";
			});
				
			//显示密码点击事件
			$("#input-password").click(function(){
				if($(this).attr("checked")){
					$("#password-span").html('<input class="input-text" autocomplete="off" id="password" name="password" type="text" value="'+$("#password").val()+'" verify="unspecial/100/1/0">');
					$("#ensurePassword-span").html('<input class="input-text" autocomplete="off" id="ensurePassword" name="ensurePassword" type="text" value="'+$("#ensurePassword").val()+'" verify="unspecial/100/1/0">');
				}else{
					$("#password-span").html('<input class="input-text" autocomplete="off" id="password" name="password" type="password" value="'+$("#password").val()+'" verify="unspecial/100/1/0">');
					$("#ensurePassword-span").html('<input class="input-text" autocomplete="off" id="ensurePassword" name="ensurePassword" type="password" value="'+$("#ensurePassword").val()+'" verify="unspecial/100/1/0">');
				}
				//确认密码与密码一致
				$("#ensurePassword").blur(function(){
					validPassword();
				});
			});
				
			//确认密码与密码一致
			$("#ensurePassword").blur(function(){
				validPassword();
			});
				
			function validPassword(){
				var password = $("#password").val();
				var ensurePassword = $("#ensurePassword").val();
				if(ensurePassword != ""){
					if(ensurePassword != password){
						$("#ensurePassword").css("box-shadow","0 0 6px red").attr('title','确认密码必须与密码一致！');
						$("#ensurePassword").parent("span").parent("div").find("span.spanVaildate").html("确认密码必须与密码一致！");
						return false;
					}else{
						$("#ensurePassword").css("box-shadow","none").attr('title','');
						$("#ensurePassword").parent("span").parent("div").find("span.spanVaildate").html("");
					}
				}
			}
			
			$("#accountName").blur(function(){
				if($(this).val() != ""){
					var reg=/^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
					if($(this).val().match(reg)!=null){
						$(this).css("box-shadow","none").attr('title','');
						$(this).parent("div").find("span.spanVaildate").html("");
						isExistName();
					}else{
						$(this).css("box-shadow","0 0 6px red").attr('title','格式必须为邮箱类型， 如: example@email.com');
						$(this).parent("div").find("span.spanVaildate").html("格式必须为邮箱类型， 如: example@email.com");
						return false;
					}
				}
			});
			
			function isExistName(){
				var flag = false;
				var accountName = $("#accountName").val();
				$.ajax({
		           	type: "POST",
		            url: "${ctx}/back/main/authority/isExist",
		            data: {accountName:accountName},
		             success: function(data){
				 		if(data == "YES"){
				 			$("#accountName").css("box-shadow","0 0 6px red").attr('title','你输入的账号已存在！');
				 			$("#accountName").parent("div").find("span.spanVaildate").html("你输入的账号已存在！");
				 			flag = true;
				 		}else{
				 			$("#accountName").css("box-shadow","none").attr('title','');
				 			$("#accountName").parent("div").find("span.spanVaildate").html("");
				 			flag = false;
				 		}
		             }
				});
				return flag;
			}
			
		});
	</script>
	
</@override>

<@override name="body">
	<!-- PAGE CONTENT BEGINS HERE -->
	<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="handler">
			<ul>
				<li class="size1"><i class="icon-home"></i> <a href="${ctx}/back/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li class="size2"><a href="${ctx}/back/main/authority/list">权限管理</a></li>
				<span class="divider2"><i class="icon-angle-right"></i></span>
				<li class="size3" id="handlerName">创建账号</li>
			</ul>  
		</div>
		<div id="content" style="padding-bottom:44px;">	
			<div id="createForm">
				<form id="validation-form" class="form-horizontal">
					<div class="control-group">
						<label style="width:100px;" class="control-label1" for="form-field-4"><span class="lbl1">*</span>账号：</label>
						<input tabindex="1" class="input-text" autocomplete="off" id="accountName" name="accountName" type="text" value="" verify="email/255/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group" id="password-div">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>密码：</label>
						<span id="password-span"><input tabindex="2" class="input-text" autocomplete="off" id="password" name="password" type="password" value="" verify="unspecial/100/1/0"></span><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group" id="ensurePassword-div">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>确认密码：</label>
						<span id="ensurePassword-span"><input tabindex="3" class="input-text" autocomplete="off" id="ensurePassword" name="ensurePassword" type="password" value="" verify="unspecial/100/1/0"></span>
						<input id="input-password" autocomplete="off" type="checkbox"><span class="lbl" style="position:absolute;margin:2px 5px 0 -15px;"></span><span id="input-password-span" style="margin-left:5px;">显示密码</span><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>姓名：</label>
						<input tabindex="4" class="input-text" autocomplete="off" id="realName" name="realName" type="text" value="" verify="unspecial/255/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>联系电话：</label>
						<input tabindex="5" class="input-text" autocomplete="off" id="tel" name="tel" type="text" value="" verify="tel-mobile/12/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group" style="margin-bottom:10px;">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>账号状态：</label>
						<label class="form-align-radio"><input id="input-radio-open" autocomplete="off" name="state" type="radio" value="1" checked="checked"><span class="lbl" style="position:absolute;left:100px;"></span><span>开启</span></label> 
						<label class="form-align-radio"><input id="input-radio-down" autocomplete="off" name="state" type="radio" value="0"><span class="lbl" style="position:absolute;left:155px;"></span><span>暂停</span></label>
					</div>
					
					<div id="checkboxs" class="control-group" style="margin-bottom:10px;">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>权限：</label>
						<input class="input-checkbox" id="input-checkbox1" type="checkbox" name="authority" value="71" /><span class="lbl" style="position:absolute;left:100px;"></span><span class="input-checkbox-span">需求方报表</span>
						<input class="input-checkbox" type="checkbox" name="authority" value="61" /><span class="lbl" style="position:absolute;left:203px;"></span><span class="input-checkbox-span">媒体数据报表</span>
						<input class="input-checkbox" type="checkbox" name="authority" value="62" /><span class="lbl" style="position:absolute;left:319px;"></span><span class="input-checkbox-span">审核</span>
						<input class="input-checkbox" type="checkbox" name="authority" value="73" /><span class="lbl" style="position:absolute;left:385px;"></span><span class="input-checkbox-span">财务管理</span>
						<input class="input-checkbox" type="checkbox" name="authority" value="63" /><span class="lbl" style="position:absolute;left:477px;"></span><span class="input-checkbox-span">客户账号管理</span>
					</div>
					
					<div id="btn-class" class="form-actions1">
						<div id="create-btn-save">保存</div>
					    <div id="create-btn-cancel">取消</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
