<@override name="head">
	<title>编辑账号</title>
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/authority.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/back/js/divselect.js"></script>
	
	<style>
		.spanVaildate{
			margin-left:20px;
			color:red;
			position: absolute;
		}
		/*#create-btn-save:hover{
		     background:#344c67;
		}**/
	</style>
	
	<script type="text/javascript" >
		$(function(){
			
			$("#validation-form").autovalidate();
			//保存按钮
			$("#edit-btn-save").unbind('click').click(function(){
				var editParam = $("#validation-form").serialize();
				if (!$("#validation-form").validate()) {
					return false;
				} 
				if($("#ensurePassword").val() !="" && $("#ensurePassword").val() !=$("#password").val()){
					$("#ensurePassword").css("box-shadow","0 0 6px red").attr('title','确认密码必须与密码一致！');
					$("#ensurePassword").parent("span").parent("div").find("span.spanVaildate").html("确认密码必须与密码一致！");
					return false;
				}
				$.ajax({
		            type: "POST",
		             url: "${ctx}/back/main/client-account/save",
		             data: editParam,
		            success: function(data){
				 		location.href = "${ctx}/back/main/client-account/list";
		            }
				});
			});
				
			//取消按钮
			$("#edit-btn-cancel").unbind('click').click(function(){
				location.href = "${ctx}/back/main/client-account/list";
			});
				
			//修改密码点击事件
			$("#input-password").click(function(){
				if($(this).attr("checked")){
					$("#password").attr("disabled",false);
					$("#ensurePassword").attr("disabled",false);
					$("#password").attr("verify","unspecial/100/1/0");
					$("#ensurePassword").attr("verify","unspecial/100/1/0");
				}else{
					$("#password").val("");
					$("#ensurePassword").val("");
					$("#password").attr("disabled",true);
					$("#ensurePassword").attr("disabled",true);
					$("#password").attr("verify","unspecial/100/0/0");
					$("#ensurePassword").attr("verify","unspecial/100/0/0");
					$("#password").css("box-shadow","none").attr('title','');
					$("#password").parent("span").parent("div").find("span.spanVaildate").html("");
					$("#ensurePassword").css("box-shadow","none").attr('title','');
					$("#ensurePassword").parent("span").parent("div").find("span.spanVaildate").html("");
				}
			});
				
			//确认密码与密码一致
			$("#ensurePassword").blur(function(){
				validPassword();
			});
			
			$("#ensurePassword, #password").focus(function(){
				$(this).css("box-shadow","0 0 6px red");
			});
			
			$("#ensurePassword, #password").blur(function(){
				$(this).css("box-shadow","none");
			});
				
			function validPassword(){
				var password = $("#password").val();
				var ensurePassword = $("#ensurePassword").val();
				if(ensurePassword != ""){
					if(ensurePassword != password){
						$("#ensurePassword").css("box-shadow","0 0 6px red").attr('title','确认密码必须与密码一致！');
						$("#ensurePassword").parent("span").parent("div").find("span.spanVaildate").html("确认密码必须与密码一致！");
						return false;
					}else{
						$("#ensurePassword").css("box-shadow","none").attr('title','');
						$("#ensurePassword").parent("span").parent("div").find("span.spanVaildate").html("");
					}
				}
			}
				
			
		});
	</script>
	
</@override>

<@override name="body">
	<!-- PAGE CONTENT BEGINS HERE -->
	<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="handler">
			<ul>
				<li class="size1"><i class="icon-home"></i> <a href="${ctx}/back/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li class="size2"><a href="${ctx}/back/main/client-account/list">客户账号管理</a></li>
				<span class="divider2"><i class="icon-angle-right"></i></span></li>
				<li class="size3" id="handlerName">编辑账号</li>
			</ul>  
		</div>
		<div id="content" style="padding-bottom:44px;">	
			<div id="editForm">
				<form id="validation-form" class="form-horizontal">
					<input  autocomplete="off"  type="hidden" name="id" id="accountId" value="${clientAccount.id}"/>
					<input  autocomplete="off"  type="hidden" name="agentId" value="${clientAccount.agentId}"/>
					<input  autocomplete="off"  type="hidden" name="operatorId" value="${clientAccount.operatorId}"/>
					<input  autocomplete="off"  type="hidden" name="sysType" value="${clientAccount.sysType}"/>
					<input  autocomplete="off"  type="hidden" name="accountName" value="${clientAccount.accountName}"/>
					
					<div class="control-group" style="margin-bottom:10px;">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>账号类型：</label>
						<label class="form-align-radio"><input id="input-radio-oper" autocomplete="off" name="sysType" type="radio" <#if clientAccount.sysType==2>checked</#if> value="2" disabled><span class="lbl" style="position:absolute;left:100px;"></span><span>媒体</span></label> 
						<label class="form-align-radio"><input id="input-radio-adver" autocomplete="off" name="sysType" type="radio" <#if clientAccount.sysType==3>checked</#if> value="3" disabled><span class="lbl" style="position:absolute;left:155px;"></span><span>需求方</span></label>
					</div>
					<div class="control-group">
						<label style="width:100px;" class="control-label1" for="form-field-4"><span class="lbl1">*</span>账号：</label>
						<input class="input-text" autocomplete="off" id="accountName" name="accountName" type="text" value="${clientAccount.accountName}" verify="email/20/1/0" disabled="true"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group" id="password-div">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>密码：</label>
						<span id="password-span"><input class="input-text" autocomplete="off" id="password" name="password" type="password" value="" verify="unspecial/100/0/0" disabled="true"></span><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group" id="ensurePassword-div">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>确认密码：</label>
						<span id="ensurePassword-span"><input class="input-text" autocomplete="off" id="ensurePassword" name="ensurePassword" type="password" value="" verify="unspecial/100/0/0" disabled="true"></span>
						<input id="input-password" autocomplete="off" type="checkbox"><span class="lbl" style="position:absolute;margin:2px 5px 0 -15px;"></span><span id="input-password-span" style="margin-left:5px;">修改密码</span><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>联系人：</label>
						<input class="input-text" autocomplete="off" id="linkMan" name="linkMan" type="text" value="${clientAccount.linkMan}" verify="unspecial/255/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>移动电话：</label>
						<input class="input-text" autocomplete="off" id="mobilePhone" name="mobilePhone" type="text" value="${clientAccount.mobilePhone}" verify="mobile/11/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>固定电话：</label>
						<input class="input-text" autocomplete="off" id="tel" name="tel" type="text" value="${clientAccount.tel}" verify="tel/12/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>公司名称：</label>
						<input class="input-text" autocomplete="off" id="companyName" name="companyName" type="text" value="${clientAccount.companyName}" verify="unspecial/255/1/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4">&nbsp;&nbsp;网站：</label>
						<input class="input-text" autocomplete="off" id="homePage" name="homePage" type="text" value="${clientAccount.homePage}" verify="website/255/0/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4">&nbsp;&nbsp;公司地址：</label>
						<input class="input-text" autocomplete="off" id="address" name="address" type="text" value="${clientAccount.address}" verify="unspecial/255/0/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4">&nbsp;&nbsp;邮编：</label>
						<input class="input-text" autocomplete="off" id="zip" name="zip" type="text" value="${clientAccount.zip}" verify="zipcode/6/0/0"><span class="spanVaildate"></span>
					</div>
					
					<div class="control-group">
						<label class="control-label1" for="form-field-4">&nbsp;&nbsp;电子邮件：</label>
						<input class="input-text" autocomplete="off" id="email" name="email" type="text" value="${clientAccount.email}" verify="email/255/0/0"><span class="spanVaildate"></span>
					</div>
					<#if clientAccount.sysType==2>
					<div class="control-group hideOperator">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>银行名称：</label>
						<input class="input-text" autocomplete="off" id="bank" name="bank" type="text" value="${clientAccount.bank}" verify="unspecial/255/1/0"><span class="spanVaildate"></span>
					</div>
					<div class="control-group hideOperator">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>开户人：</label>
						<input class="input-text" autocomplete="off" id="bankAccountName" name="bankAccountName" type="text" value="${clientAccount.bankAccountName}" verify="unspecial/255/1/0"><span class="spanVaildate"></span>
					</div>
					<div class="control-group hideOperator">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>银行账户：</label>
						<input class="input-text" autocomplete="off" id="bankAccount" name="bankAccount" type="text" value="${clientAccount.bankAccount}" verify="number/255/1/0"><span class="spanVaildate"></span>
					</div>
					</#if>
					<#if clientAccount.sysType==3>
					<div class="control-group hideAdverstier">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>发票抬头：</label>
						<input class="input-text" autocomplete="off" id="title" name="title" type="text" value="${clientAccount.title}" verify="unspecial/255/1/0" style="margin-top:0px;color:#aaa;"><span class="spanVaildate"></span>
					</div>
					</#if>
					<div class="control-group" style="margin-bottom:10px;">
						<label class="control-label1" for="form-field-4"><span class="lbl1">*</span>账号状态：</label>
						<label class="form-align-radio"><input id="input-radio-open" autocomplete="off" name="status" type="radio" <#if clientAccount.status==1>checked</#if> value="1"><span class="lbl" style="position:absolute;left:100px;"></span><span>开启</span></label> 
						<label class="form-align-radio"><input id="input-radio-down" autocomplete="off" name="status" type="radio" <#if clientAccount.status==0>checked</#if> value="0"><span class="lbl" style="position:absolute;left:155px;"></span><span>暂停</span></label>
					</div>
					<div id="btn-class" class="form-actions1">
						<div id="edit-btn-save">保存</div>
					    <div id="edit-btn-cancel">取消</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
