<@override name="head">
	<title>广告投放系统</title>
	<!--css-->
	<link rel="stylesheet" href="${ctx}/assets/back/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/back/css/finance.css"/>
	<!--Include Required Prerequisites js-->
	<script type="text/javascript" src="${ctx}/assets/back/js/jquery-1.9.1.min.js"></script>

</@override>
<@override name="body">
	<#include "/back/main/public-head.ftl">
	<div id= "pagecontent">
		<div id="shortcutBar">
			<ul>
				<li >
					<i class="icon-home"></i>
					<a class="homepage" href="${ctx}/back/main/dashboard">首页</a>
					<span class="divider1"><i class="icon-angle-right"></i></span>
				</li>
				<li ><a class="homepage1" href="${ctx}/back/main/finance/finance-management">财务管理</a></li>
				<li >
					<span class="divider1"><i class="icon-angle-right"></i></span>
					<a class="homepage2" href="">提现管理</a>
				</li>				         
			</ul>  
		</div>
		<div id="searchBar">
			<button class="batch_btn" href="${ctx}/back/main/finance/finance-management">媒体体现申请</button>
			<button class="batch_btn" href="${ctx}/back/main/finance/finance-management/deposit">需求方充值</button>
			<button class="batch_btn" href="${ctx}/back/main/finance/finance-management/enable">批量通过</button>
			<button class="batch_btn" href="${ctx}/back/main/finance/finance-management/disable">批量不通过</button>
			<form action="${ctx}/back/main/finance/finance-management/list" method="post" class="search-form" >
				<input  autocomplete="off"  type="hidden" name="page" value="${pager.page!}">
          		<input  autocomplete="off"  type="hidden" name="searchKey" value="name">
          		<input  autocomplete="off"  class="search_btn" type="text" name="searchValue" value="请输入交易号进行搜索" onkeydown="if(event.keyCode==13){return false;}">
          		<img id="serachData_img" src="${ctx}/assets/back/images/fangdajing1.png"/>
			</form>
		</div>
		<div id="tableList">
			<#include "list.ftl">
		</div>
		
	</div>
</@override>
<@extends name="/common/simple.ftl"/>
<!-- 弹出框插件 -->
<script type="text/javascript" src="${ctx}/assets/back/js/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/back/js/bootbox.min.js"></script>
<script type="text/javascript" charset="utf-8">
	$(function(){
		//个人信息栏的js控制
		$("#divselect").click(function(){
			$("#divselect ul").slideToggle("fast");
		});
		
		//搜索输入框的样式改变
		$("#searchBar input[name='searchValue']").focus(function(){
			$(this).val("");
		});
		$("#searchBar input[name='searchValue']").blur(function(){
			if($(this).val()== ""){
				$(this).val("请输入交易号进行搜索");
			}
		});
		
		//checkbox是否选中
		$(document).on('click' ,'table th input:checkbox', function(){
			var that = this;
			$(this).closest('table').find('tr > td:first-child input:checkbox')
				.each(function(){
				this.checked = that.checked;
			});
		});
		
		//搜索数据
		$(document).on('click','#serachData_img',function(){
			console.info($(this));
			var $searchValue = $("#searchBar .search-form input[name=searchValue]")
			if($searchValue.val() == "请输入交易号进行搜索"){
				$searchValue.val(null);
			};
			var _form = $('#pagecontent .search-form');
			var _url = _form.attr('action');
			var _param = _form.serialize();
			console.log("search url:"+_url+", param:"+_param);
			$.post(_url, _param, function(data) {
				$('#tableList').html(data);
			});
			return false;
		});
		
		//表格中的审核按钮
		$(document).on("click",'#pagecontent .table .unlabeled',function(){
			//点击按钮的href属性的值
			var _href = $(this).attr('href');
			var $this = $(this);
			console.info("aaa1:" + _href);
			//如果href的值不为空，未定义，且不等于#，执行函数
			if (_href != undefined && _href && _href != '#') {
				console.log("[debug]click a's label:" + $this.text());
				// 防止二次点击
				$this.attr('disabled', 'disabled');
				var _text = $this.text();
				if(_text == '审核通过'){
					bootbox.confirm("确定" + _text + "吗?", function(ensure) {
						if(ensure == true){
							$.get(_href,function(data){
								if(data == "ok"){
									$this.removeAttr('disabled');
									$('#serachData_img').click();
								} else {
									bootbox.alert("审核失败!");
								}
							});
						} else {
							$this.removeAttr('disabled');
						}
					});
				} else{
					 bootbox.prompt("请输入审核不通过的理由", function(result) {
			            if(result === null){
			            	
			            } else if (result == '') {
			            	bootbox.alert("请输入审核不通过的理由");
			            } else {
			            	var _param = {
			            			'reason':result,
			            	}
			            	$.post(_href, _param ,function(data){
			            		if(data == "ok"){
			            			$this.removeAttr('disabled');
									$('#serachData_img').click();
								} else {
									bootbox.alert("审核失败!");
								}
							})
			            }
			        });
				}
				/* bootbox.confirm("确定" + _text + "吗?", function(ensure) {
					//get请求，地址_url，后端会调用对应controller方法并接受参数，返回数据为data传给回调函数
					$.get(_href, function(data) {
						console.info("aaa2:" + data);
						$this.removeAttr('disabled');
						//$this.parent().prev().html("aa");
						$('#serachData_img').click();
					});
				}); */
				return false;
			}
		});
		
		// 分页中超链接跳转
		$(document).on('click','#pagecontent .pagination ul li a[href]',function(){
			var _page = $(this).attr('href').substr(1);
			var _form = $('#pagecontent .search-form');
			_form.find('input:hidden[name="page"]').val(_page);
			_form.find('img').click();
			return false;
		});
		
		// 批量启用/禁用按钮
	 	$(document).on('click','#searchBar button',function() {
				var _checkboxes = $('table tbody input:checkbox:checked');
				var _url = $(this).attr('href');
				var _param = _checkboxes.serialize();
				// 批量开启停用删除时需要提醒
				if ($(this).text() 
					&& ($(this).text().indexOf("批量通过")>-1
					||$(this).text().indexOf("批量不通过")>-1)) {
					if(_checkboxes.size()>0){
						var _text = $(this).text();
						bootbox.confirm("确定" +_text + "吗?", function(ensure) {					
							if (ensure) {	
								console.info("url::" + _url + "param::" + _param);		
								$.post(_url, _param, function(data) {
									$('#searchBar img').click();
								});
							}
						});
					}
				} else {
					console.log(_url);
					window.location.assign(_url);
				}
		});
	});
</script>