<@override name="breadcrumb">
    <li><i class="icon-home"></i><a href="${ctx}/operator/main/dashboard">首页</a><span class="divider"><i class="icon-angle-right"></i></span></li>
     <@sec.authorize access="hasAnyRole('ROLE_ADMIN,ROLE_MANAGER')">
     <li><a href="${ctx}/operator/main/ad/advertiser">投放管理</a><span class="divider"><i class="icon-angle-right"></i></span></li>
    </@sec.authorize>
    <li><a href="${ctx}/main/ad/target/campaign-group?advertiserId=${advertiserId}">订单管理</a><span class="driver"><i class="icon-angle-right"></i></span></li>
    <li><a href="${ctx}/main/ad/target/campaign?orderId=${orderId}">活动管理</a><span class="driver"><i class="icon-angle-right"></i></span></li>
    <li class="active">策略管理</li>
</@override>
<@override name="page">
<div>
状态： <a href="${ctx}/main/ad/target/ad-group/list?campaignId=${campaignId}&selectedStatus=1">投放中</a><span class="driver"><i class="icon-angle-right"></i></span></li>
</div>
<div class="row-fluid">
    <div class="row-fluid">
        <div class="row-fluid row-space">
            <div class="span6">
            	<div class="dataTables_length">
            		<button href="${ctx}/main/ad/target/campaign?orderId=${orderId}" class="btn btn-small btn-manage-page">返回上级</button>
                   <!-- <button href="${ctx}/main/ad/target/ad-group/create?campaignId=${campaignId}" class="btn btn-small btn-manage-page">创建策略</button> -->
                    <li><i class="icon-home"></i><a href="${ctx}/main/ad/target/ad-group/create?campaignId=${campaignId}">创建策略</a><span class="divider"><i class="icon-angle-right"></i></span></li>
                <li><i class="icon-home"></i><a href="${ctx}/main/ad/target/ad-group/test">测试</a><span class="divider"><i class="icon-angle-right"></i></span></li>    
		<div class="btn-group">
                        <button data-toggle="dropdown" name="table_report_length" class="btn btn-small btn-manage-page dropdown-toggle"><span>批量处理</span><i class="icon-angle-down icon-on-right"></i></button>
                        <ul class="dropdown-menu">
                            <li><a href="${ctx}/main/ad/target/ad-group/enable">批量开启</a></li>
                            <li><a href="${ctx}/main/ad/target/ad-group/disable">批量暂停</a></li>
                            <li><a href="${ctx}/main/ad/target/ad-group/delete" title="bootbox-confirm">批量删除</a></li>
                        </ul>
                    </div>
                </div>
                
            </div>
			<form action="${ctx}/main/ad/target/ad-group/list" method="post" class="search-form">
            <div class="span6">
                <div class="pad-6">
                    <div class="dataTables_paginate">
                        <div class="btn-group">
                            <button data-toggle="dropdown" class="btn btn-small btn-danger dropdown-toggle">策略名称<!--<i class="icon-angle-down icon-on-right"></i>--></button>
                           <!-- <ul class="dropdown-menu">
                                <li><a href="#" value="adGroupName">策略名称</a></li>
                            </ul>-->
                        </div>
                        <input type="hidden" name="searchKey" value="${searchKey!'adGroupName'}">
                        <input type="hidden" name="page" value="${pager.page}">
                        <input type="hidden" name="campaignId" value="${campaignId}">
                        <input type="text" name="searchValue" id="gap-correction" value="${searchValue!}" aria-controls="table_report">
                        <button class="btn btn-mini search-btn">搜索</button>
                    </div>
                </div>
            </div>
            </form>
        </div>

        <div class="row-fluid">
	        <div class="span12">
	            <table id="table_report" class="table table-striped table-bordered table-hover">
	                <thead>
	                <tr>
	                    <th class="center">
	                        <label><input type="checkbox"><span class="lbl"></span></label>
	                    </th>
	                    <th class="dataToggle hide-piece">投放名称</th>
	                    <th class="dataToggle hide-piece">投放周期</th>
	                    <th>投放状态</th>
	                    <th>总预算</th>
	                    <th>创意</th>
	                    <th class="hidden-480">更新时间</th>
	                    <th>操作</th>
	                </tr>
	                </thead>
	
	                <tbody>
					<#if adGroupList ??>
                    	<#list adGroupList as adGroup>
			                <tr class="">
			                    <td class="center">
			                        <label><input name="id" value="${adGroup.id}" type="checkbox"><span class="lbl"></span></label>
			                    </td>
			                    <td class="hide-piece breakword"><a href="${ctx}/main/ad/target/ad?adGroupId=${adGroup.id}">${adGroup.adGroupName}</td>
			                    <td class="hide-piece">${adGroup.startDate?date}~${adGroup.endDate?date}</a></td>
			                    <td><#if adGroup.status==0>开启<#else>暂停</#if></td>
			                    <td>${adGroup.totalBudget}</td>
			                    <td><a href="${ctx}/main/ad/target/ad?adGroupId=${adGroup.id}">${adGroup.bannerNumber}</a></td>
			                    <td class="hidden-480"><a href="${ctx}/main/ad/target/ad-group/update?adGroupId=${adGroup.id}">${adGroup.updated?datetime}</a></td>
			                    <td>
			                       <!-- <button href="${ctx}/main/ad/target/ad-group/edit/${adGroup.id}" class="btn btn-minier btn-primary dropdown-toggle"
			                                data-toggle="dropdown">编辑
			                        </button> -->
			                        <a href="${ctx}/main/ad/target/ad-group/edit/${adGroup.id}">编辑</a>
			                        <#if adGroup.status==0>
										<a href="${ctx}/main/ad/target/ad-group/disable?id=${adGroup.id}" class="btn btn-minier btn-primary dropdown-toggle btn-status" data-toggle="">暂停</a>
									<#elseif adGroup.status==1>
		                            	<a href="${ctx}/main/ad/target/ad-group/enable?id=${adGroup.id}" class="btn btn-minier btn-primary dropdown-toggle btn-status" data-toggle="">启用</a>
									</#if>
			                        <button href="${ctx}/main/ad/target/ad-group/delete?id=${adGroup.id}" class="btn btn-minier btn-status" data-toggle="dropdown">删除</button>
			                    </td>
			                </tr>
			        	</#list>
                    </#if>
	                </tbody>
	            </table>
	        </div>
	        <!--/span-->
	    </div>

        <div class="row-fluid row-space">
            <div class="span6">
                <div class="dataTables_length">
                     <button href="${ctx}/main/ad/target/ad-group/create?campaignId=${campaignId}" class="btn btn-small btn-manage-page">创建策略</button>
                     <div class="btn-group">
                        <button data-toggle="dropdown" name="table_report_length" class="btn btn-small btn-manage-page dropdown-toggle"><span>批量处理</span><i class="icon-angle-down icon-on-right"></i></button>
                        <ul class="dropdown-menu">
                            <li><a href="${ctx}/main/ad/target/ad-group/enable">批量开启</a></li>
                            <li><a href="${ctx}/main/ad/target/ad-group/disable">批量暂停</a></li>
                            <li><a href="${ctx}/main/ad/target/ad-group/delete" title="bootbox-confirm">批量删除</a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="span6">
            	<#include "/common/pagination/simple.ftl"/>
            </div>
        </div>
		<div class="hr-table"></div>
    </div>
</div>
</@override>
<@extends name="/common/page.ftl"/>