<@override name="head">
	<title>广告位管理</title>
	<!--css-->
	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/zone.css"/> 
	<link rel="stylesheet" href="${ctx}/assets/operator/css/bootstrap.min.css"/>
	<!--Include Required Prerequisites js-->
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>

</@override>
<@override name="body">
	<#include "/operator/main/public-head.ftl">
	<div id= "pagecontent"> 
		<div id="selectCondition">
	        <div>
				<label>尺寸：</label>
	            <a href="${ctx}/operator/main/ad/zone/list" name="size" value="0">全部</a>
				<#if sizeList ??>
				<#list sizeList as size>	
	        		<a href="${ctx}/operator/main/ad/zone/list" name="size" value="${size.width}X${size.height}">
	        			${size.width}X${size.height}
	        		</a>
				</#list>
				</#if>
			</div>
		
    
	        <div>
	            <label >类型：</label>
	            <a href="${ctx}/operator/main/ad/zone/list" name="device" value="0">全部</a>
	            <a href="${ctx}/operator/main/ad/zone/list" name="device" value="1">网页</a>
				<a href="${ctx}/operator/main/ad/zone/list" name="device" value="2">APP</a>
	        </div>
	        
	        <div>
	            <label >位置：</label>
                <a href="${ctx}/operator/main/ad/zone/list" name="position" value="0">全部</a>
                <a href="${ctx}/operator/main/ad/zone/list" name="position" value="1">认证页</a>
                <a href="${ctx}/operator/main/ad/zone/list" name="position" value="2">跳转页</a>
                <a href="${ctx}/operator/main/ad/zone/list" name="position" value="3">上网过程</a>
	        </div>
	   
	        <div>
	            <label >状态：</label>
                <a href="${ctx}/operator/main/ad/zone/list" name="status" value="-1">全部</a>
                <a href="${ctx}/operator/main/ad/zone/list" name="status" value="0">正常</a>
                <a href="${ctx}/operator/main/ad/zone/list" name="status" value="1">停用</a>
	         </div>       
	   </div> 
	   
	   <!--下面是四个按钮的div及搜索框-->
	   <div id="searchBar">        
	       <div>
		       <button href="${ctx}/operator/main/ad/zone/create" class="batchcreate">创建广告位</button>   
	           <button href="${ctx}/operator/main/ad/zone/enable" class="batchoper">批量开启</button>
	           <button href="${ctx}/operator/main/ad/zone/disable" class="batchoper">批量停用</button>
	           <button href="${ctx}/operator/main/ad/zone/delete" class="batchoper">批量删除</button>
	       </div>
	            
	       <form class="search-form" action="${ctx}/operator/main/ad/zone/list" method="post">
				<input type="hidden" name="page" value="${pager.page!}">
				<input type="hidden" name="searchKey" value="name">
				<input id="search-input" autocomplete="off"  type="text" name="searchValue" value="请输入需要搜索的内容" onkeydown="if(event.keyCode==13){return false;}">
			    <img src="${ctx}/assets/operator/images/fangdajing1.png">
		  </form>
		</div>
                        
	 <!--接下来是广告位的table-->
		<div id="tableList">
			<#include "list.ftl">
		</div>


      
</div>

        
</@override>
<@extends name="/common/simple.ftl"/>

<script type="text/javascript" src="${ctx}/assets/operator/js/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/operator/js/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/operator/js/ZeroClipboard.min.js"></script>

	     
<!--修改个人信息js 控制上下切换-->
<script type="text/javascript">
	$(document).ready(function(){
		$('#divselect').click(function(){
			$("#divselect ul").slideToggle("fast");
		});
	
	
	
	$("#search-input").keydown(function(e){
    if(!e){
        e=window.event;
        }
        if((e.keyCode||e.which)===13){
          //  $(":button").click();//回车键按下执行的方法
            $('#searchBar img').trigger("click");
        
    }
});
		
		//复选框按钮
		$(document).on('click' ,'table th input:checkbox', function(){
			var that = this;
			$(this).closest('table').find('tr > td:first-child input:checkbox').each(function(){
				this.checked = that.checked;
			});
		});
		
		//点击搜索输入框··的样式改变
		$("#searchBar input[name='searchValue']").focus(function(){
			$(this).val("");
		});
		$("#searchBar input[name='searchValue']").blur(function(){
			if($(this).val()== ""){
				$(this).val("请输入需要搜索的内容");
			}
		});
	
		//搜索按钮
		$('#searchBar img').click(function(){
			var _form = $('#searchBar .search-form');
			var $searchValue = $("#searchBar .search-form input[name=searchValue]")
			if($searchValue.val() == "请输入需要搜索的内容"){
				$searchValue.val(null);
			};
			var _url = _form.attr('action');
			var _param = $('#tableList form').serialize();
			_param = _form.serialize() + "&" + _param;
			console.log("search url:"+_url+", param:"+_param);
			//window.location.assign(_url + "?" + _param);
			$.post(_url, _param, function(data) {
				$('#tableList').html(data);
			});
			return false;
		});
		
		// 绑定表格中编辑/取代码/查看报表/开启停用得按钮点击事件
		$(document).on('click','#tableList button',function() {
			var _href = $(this).attr('href');
			var btn = $(this);
			if (_href!=undefined&&_href&&_href!='#') {
				// 防止二次点击
				$(this).attr('disabled', 'disabled');		
				// 停用开启时需要提醒
				if (btn.text() && (btn.text().indexOf("停用")>-1
					||btn.text().indexOf("开启")>-1)) {
					var _text = btn.text();
					bootbox.confirm("确定" + _text + "吗?", function(ensure) {
						if (ensure) {			
							$.get(_href,function(data){
								$('#searchBar img').click();
							});	
						} else {
							btn.removeAttr('disabled');
						}
					});
				} else if(btn.text().indexOf("取代码")>-1){
					btn.removeAttr('disabled');
					var zoneId=btn.val();
					var url = "${ctx}/operator/main/ad/zone/getCode?zoneId="+zoneId;
					$.getJSON(url, function(data) {
						//alert(data);
						var data_1 = data;
						$('.bootbox-body').text(data_1);
					});
					bootbox.dialog({
						message:"代码为：",
						title: "该广告位的代码",
						locale: 'zh_CN',
						buttons: {
							success: {
								label: "复制",
								className: "btn-success",
								callback: function() {
									//Example.show("great success");
									var _content = $('.bootbox-body').text();
									console.info(_content);
									
								}
							},
							main: {
								label: "关闭",
								className: "btn-primary",
								callback: function() {
									//Example.show("Primary button");
								}
							}
						}
					});
			
					//以下代码实现复制功能，利用ZeroClipboard插件实现
					var client = new ZeroClipboard($('.modal-footer .btn-success'));
					client.on('ready', function(event) {
						// console.log( 'movie is loaded' );
						client.on('copy', function(event) {
							event.clipboardData.setData('text/plain', $('.bootbox-body').text());
						});
						client.on('aftercopy', function(event) {
							console.log('Copied text to clipboard: ' + event.data['text/plain']);
						});
					});
					client.on('error', function(event) {
						// console.log( 'ZeroClipboard error of type "' + event.name + '": ' + event.message );
						ZeroClipboard.destroy();
					});
					
				} else{
					btn.removeAttr('disabled');
					window.location.assign(_href);
				}				
				return false;
			}
		});
		
		// 批量启用/禁用按钮
		$(document).on('click','#searchBar button',function() {
				var _checkboxes = $('table tbody input:checkbox:checked');
				var _url = $(this).attr('href');
				var _param = _checkboxes.serialize();
				if($(this).attr("class") == "batchcreate"){
					window.location.assign(_url);
				}else if($(this).attr("class") == "batchoper" && _checkboxes.size()>0){
					// 批量开启停用删除时需要提醒
					var _text = $(this).text();
					bootbox.confirm("确定" +_text + "吗?", function(ensure) {					
						if (ensure) {	
							console.info("url::" + _url + "param::" + _param);		
							$.post(_url, _param, function(data) {
								$('#searchBar img').click();
							});
						}
					});
				}else {
					bootbox.alert("请选择需要"+$(this).text()+"的数据！");
				}
		});
			
		// 以下是实现页面中超链接跳转。
		$('#selectCondition a').click(function() {	
			var _href = $(this).attr('href');
			var _name = $(this).attr('name');
			var _value = $(this).attr('value');
			if(_name == 'size') {
				var _width = null;
				var _height = null;
				if(_value != 0) {
					var _size = _value.split('X',2);
					console.info('_size:'+_size);
					_width = _size[0];
					_height = _size[1];
				}
				$("#tableList form input[name=width]").val(_width);
				$("#tableList form input[name=height]").val(_height);
			}
			if(_name == 'device'){
				if(_value != 0) {
					$("#tableList form input[name=device]").val(_value);
				} else {
					$("#tableList form input[name=device]").val(null);
				}
			}
			if(_name == 'position'){
				if(_value != 0) {
					$("#tableList form input[name=position]").val(_value);
				} else {
					$("#tableList form input[name=position]").val(null);
				}
			}
			if(_name == 'status'){
				if(_value != -1) {
					$("#tableList form input[name=status]").val(_value);
				} else {
					$("#tableList form input[name=status]").val(null);
				}
			}

			$(this).siblings().css('border-bottom','2px solid #f4f5f7');	
			$(this).css('border-bottom','2px solid #36aeea');
			
			var $searchValue = $("#searchBar .search-form input[name=searchValue]")
			if($searchValue.val() == "请输入需要搜索的内容"){
				$searchValue.val(null);
			};
			var _param = $('#tableList form').serialize();
			_param = $('#searchBar .search-form').serialize() + "&" + _param;
			
			if (_href && _href != '#') {
				console.info('_href:'+_href+'----'+'_param:'+_param);
				$.post(_href,_param,function(data) {
					$('#tableList').html(data);
				});
				return false;
			}	
		});
		
		//以下实现导出excel
		$(document).on('click','#exportExcel',function(){
			var _href = $(this).attr('href');
			var _href = $(this).attr('href');
			var $searchValue = $("#searchBar .search-form input[name=searchValue]")
			if($searchValue.val() == "请输入需要搜索的内容"){
				$searchValue.val(null);
			};
			var _form = $('#pagecontent .search-form');
			var _param = $('#tableList form').serialize();
			_param = _form.serialize() + "&" + _param;
			window.location.assign(_href + "?" + _param);
			return false;
		});
		
		
		// 分页中超链接跳转
		$(document).on('click','#pagecontent .pagination ul li a[href]',function(){
			console.info('aaaa');
			var _page = $(this).attr('href').substr(1);
			var _form = $('#pagecontent .search-form');
			_form.find('input:hidden[name="page"]').val(_page);
			_form.find('img').click();
			return false;
		});
	});
</script>