<@override name="head">
	<title>热点管理</title>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/ap-apmac.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/bootstrap.min.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/bootbox.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/validate.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/divselect.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/ap-apmac.js"></script>
	
	<script type="text/javascript" >
		$(function(){
		
			$("#diagramHead span:first-child").css("border-bottom","1px solid #ffffff");
			$("#diagramHead span:first-child").click(function(){
				$("#diagramHead span:first-child").css("border-bottom","1px solid #ffffff");
				$("#diagramHead span:last-child").css("border-bottom","1px solid #d5dee8");
				location.href = "${ctx}/operator/main/ap/apmac/list";
			});
			
			$("#diagramHead span:last-child").click(function(){
				$("#diagramHead span:first-child").css("border-bottom","1px solid #d5dee8");
				$("#diagramHead span:last-child").css("border-bottom","1px solid #ffffff");
				location.href = "${ctx}/operator/main/ap/apmac/relationship";
			});
			
			//新建热点详情
			$("#btn-create").unbind('click').click(function(){
				location.href = "${ctx}/operator/main/ap/apmac/create";
			});
			
			//编辑
			$("#btn-edit").live("click", function() {
				var wifiId = parseInt($(this).attr("value"));
				location.href = "${ctx}/operator/main/ap/apmac/edit?id="+wifiId;
			});
			
			//复选框按钮
			$('#tablefig th input:checkbox').live("click", function() {
				var that = this;
				$(this).closest('table').find('tr > td:first-child input:checkbox').each(function(){
					this.checked = that.checked;
				});
			});

			//批量开启,批量暂停,批量删除
			$("#all-btn-enable,#all-btn-disable,#all-btn-delete").click(function(){
				var checkboxs = $("#tablefig tbody input[type='checkbox']:checked");
				var _param = checkboxs.serialize();
				var url = "";
				if($(this).attr("id") == "all-btn-enable"){
					url = "${ctx}/operator/main/ap/apmac/enable";
				}else if($(this).attr("id") == "all-btn-disable"){
					url = "${ctx}/operator/main/ap/apmac/disable";
				}else if($(this).attr("id") == "all-btn-delete"){
					url = "${ctx}/operator/main/ap/apmac/delete";
				}
				if(checkboxs.length > 0){
					bootbox.confirm("确定" +$(this).text() + "吗?", function(ensure) {					
						if (ensure) {	
							$.post(url, _param, function(data) {
								$('#wifiForm').submit();
							});
						}
					});
				}else{
					bootbox.alert("请选择需要"+$(this).text()+"的数据！");
				}
			});
			
			//开启,暂停
			$('#btn-enable,#btn-disable').live('click' ,function(){
				var url = "";
				var wifiId = parseInt($(this).attr("value"));
				if($(this).attr("id") == "btn-enable"){
					url = "${ctx}/operator/main/ap/apmac/enable";
				}else if($(this).attr("id") == "btn-disable"){
					url = "${ctx}/operator/main/ap/apmac/disable";
				}
				$.post(url, {id:wifiId}, function(data) {
					$('#wifiForm').submit();
				});
			});
			
			// 分页中超链接跳转
			$('#pagecontent .pagination ul li a[href]').live('click' ,function(){
				var _page = $(this).attr('href').substr(1);
				var _form = $('#wifiForm');
				_form.find('input:hidden[name="page"]').val(_page);
				_form.submit();
				return false;
			});
		});
		
		//导出execl
		function exportExcel(){
			var param = "?cn="+$("#cn").val()+"&cnCity="+$("#cnCity").val()+"&place="+$("#place").val()+"&placeId="+$("#placeId").val()+"&searchValue="+$("#searchValue").val();
			$("#exportExcel").attr("href","${ctx}/operator/main/ap/apmac/exportApListExcel"+param);
		};
		
	</script>
	
</@override>

<@override name="body">
<div id=content_bg>
	<#include "/operator/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="handler">
			<ul>
				<li class="size1"><i class="icon-home" style="background-image:none;margin-top:3px;"></i> <a href="${ctx}/operator/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li class="size2">热点管理</li>
			</ul>  
		</div>
		<div id="content">
			<div id="diagramHead">
				<span>热点详情</span>
				<span>场景对应关系</span>
			</div>
			<div id="hotDetails">
				<form id="wifiForm" action="${ctx}/operator/main/ap/apmac/list" method="post">
				  	<div id="buttons">
				  		<div id="btn-create" class="btn1">新建热点详情</div>      
				        <div id="all-btn-enable" class="btn1">批量开启</div>  
				        <div id="all-btn-disable" class="btn1">批量暂停</div> 
				        <div id="all-btn-delete" class="btn1">批量删除</div>
				        <div id="serachData">
				        	<input type="hidden" id="page" name="page" value="${pager.page}">
							<input id="searchValue" type="text" name="searchValue" value="${searchValue!}"/>
							<input id="serachData_img" type="submit" value="" />
						</div>
				    </div>
				    <div id="selectuls">
						<ul id="main_cnul">
							<li class="select_box" id="cnul_box">
								<span id="cnul_span">${cn!}</span>
								<ul class="son_ul" id="cn_son_ul"></ul>
							</li>
						</ul>
						<input type="hidden" name="cn" id="cn" value="${cn!}">
						<ul id="main_cnCityul">
							<li class="select_box" id="cnCityul_box">
								<span id="cnCityul_span">${cnCity!}</span>
								<ul class="son_ul" id="cnCityul_son_ul"></ul>
							</li>
						</ul>
						<input type="hidden" name="cnCity" id="cnCity" value="${cnCity!}">
						<ul id="main_placeul">
							<li class="select_box" id="placeul_box">
								<span id="placeul_span">${place!}</span>
								<ul class="son_ul" id="placeul_son_ul"></ul>
							</li>
						</ul>
						<input type="hidden" name="place" id="place" value="${place!}">
						<ul id="main_placeIdul">
							<li class="select_box" id="placeIdul_box">
								<span id="placeIdul_span">${placeName!}</span>
								<ul class="son_ul" id="placeIdul_son_ul"></ul>
							</li>
						</ul>
						<input type="hidden" name="placeId" id="placeId" value="${placeId!}">
						<input type="hidden" name="placeName" id="placeName" value="${placeName!}">
				  		<input id="sign" type="submit" value="查询">
				  	</div>
					<div id="account-table">
						<table border="1" class="tablefig">
							<thead>
								<tr>
									<th width="3%">
										<label><input type="checkbox" class="input_checkbox"><span class="lbl"></span></label>
									</th>
									<th class="td1" style="width:3%">ID</th>
				                    <th class="td1" style="width:5%">热点名称</th>
				                    <th class="td1" style="width:7%">SSID</th>
				                    <th class="td1" style="width:5%">省</th>
				                    <th class="td1" style="width:5%">市</th>
				                    <th class="td1" style="width:9%">详细地址</th>
				                    <th class="td1" style="width:5%">经度</th>
				                    <th class="td1" style="width:5%">纬度</th>
				                    <th class="td1" style="width:8%">apmac</th>
				                    <th class="td1" style="width:7%">场景</th>
				                    <th class="td1" style="width:7%">数聚场景</th>
				                    <th class="td1" style="width:10%">最后更新时间</th>
				                    <th class="td1" style="width:5%">状态</th>
				                    <th class="td1" style="width:10%">操作</th>
								</tr>
							</thead>
							<tbody>
							<#if wifiList ??>
							<#list wifiList as wifi>
								<tr class="">
									<td class="center">
										<label><input  autocomplete="off" type="checkbox" name="id" value="#{wifi.id!}"><span class="lbl"></span></label>
									</td>
									<td class="td2">${wifi.id!}</td> 
					                <td class="td2">${wifi.name!}</td> 
					                <td class="td2">${wifi.SSID!}</td>
					                <td class="td2">${wifi.cn!}</td>
					                <td class="td2">${wifi.cnCity!}</td>
					                <td class="td2">${wifi.address!}</td>
					                <td class="td2">${wifi.longitude!}</td>
					                <td class="td2">${wifi.latitude!}</td>
					                <td class="td2">${wifi.apmac!}</td>  
					                <td class="td2">${wifi.place!}</td>
					                <td class="td2">${wifi.placeName!}</td>
					                <td class="td2"><a href="${ctx}/operator/main/ap/apmac/update?id=${wifi.id!}">${wifi.updated!?datetime}</a></td>
					                <td class="td2"><#if wifi.status==1>暂停<#else>开启</#if></td>
									<td>
										<div id="btndiv">
											<div id="btn-edit" class="btn11" value="${wifi.id!}">编辑</div>
											<#if wifi.status==0>
											<div id="btn-disable" class="btn11" value="${wifi.id!}">暂停</div>
											<#elseif wifi.status==1>
											<div id="btn-enable" class="btn11" value="${wifi.id!}">开启</div>
											</#if>
										</div>
									</td>
								</tr>
							</#list>
							</#if>
						</tbody>
						</table>
						
						<div id="daochu" >
							<a class="ljbtn2" id="exportExcel" href="javascript:void(0);" onClick="exportExcel()">导出Excel</a>
						</div>
									
						<div id="pageDiv">
			               	<#include "/common/pagination/simple.ftl"/>
			            </div>	
		            </div>
				</form>
			</div>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
