<@override name="head">
	<title>热点管理</title>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/ap-apmac.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/zbone.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/bootstrap.min.css"/>
	
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/divselect.js"></script>
	
	<script type="text/javascript" >
		$(function(){
			// 分页中超链接跳转
			$('#pagecontent .pagination ul li a[href]').live('click' ,function(){
				var _page = $(this).attr('href').substr(1);
				var _form = $('#wifiForm');
				_form.find('input:hidden[name="page"]').val(_page);
				_form.submit();
				return false;
			});
		});
		
		//导出execl
		function exportExcel(){
			$("#exportExcel").attr("href","${ctx}/operator/main/ap/apmac/exportLogExcel?id=${id!}");
		};
		
	</script>
	
</@override>

<@override name="body">
<div id=content_bg>
	<#include "/operator/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="handler">
			<ul>
				<li class="size1"><i class="icon-home" style="background-image:none;margin-top:3px;"></i> <a href="${ctx}/operator/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li class="size2"><a href="${ctx}/operator/main/ap/apmac/list">热点管理</a></li>
				<span class="divider2" style="margin:0 0 0 10px;"><i class="icon-angle-right"></i></span>
				<li class="size3">热点详情信息修改记录</li>
			</ul>  
		</div>
		<div id="content">
			<div id="hotDetails">
				<form id="wifiForm" action="${ctx}/operator/main/ap/apmac/update?id=${id!}" method="post">
					<input  id="page" type="hidden" name="page" value="${pager.page}"> 
					<div id="account-table" style="margin-top:-20px;">
						<table border="1" class="tablefig" id="tablefig">
							<thead>
								<tr>
									<th class="th1" style="width:15%;">变更时间</th>
						   	   	 	<th class="th1" style="width:10%;">操作人</th>
						   	   	 	<th class="th1" style="width:15%;">登录IP</th>
						   	   	 	<th class="th1" style="width:10%;">操作类型</th>
						   	   	 	<th class="th1" style="width:30%;">变更详情</th>
								</tr>
							</thead>
							<tbody>
							<#if logList ??>
							<#list logList as log>
								<tr class="">
									<td class="td2">${log.operTime?datetime!}</td> 
					                <td class="td2">${log.accountName!}</td> 
					                <td class="td2">${log.userIp!}</td>
					                <td class="td2">${log.actionType!}</td>
					                <td class="td2">${log.action!}</td>
								</tr>
							</#list>
							</#if>
						</tbody>
						</table>
						
						<div id="daochu" >
							<a class="ljbtn2" id="exportExcel" href="javascript:void(0);" onClick="exportExcel()">导出Excel</a>
						</div>
									
						<div id="pageDiv">
			               	<#include "/common/pagination/simple.ftl"/>
			            </div>	
		            </div>
				</form>
			</div>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
