<@override name="head">
	<title>广告投放系统</title>
	<!--css-->
	<link rel="stylesheet" href="${ctx}/assets/operator/css/public-head.css"/>
	<link rel="stylesheet" href="${ctx}/assets/operator/css/banner-audit.css"/>
	<!--Include Required Prerequisites js-->
	<script type="text/javascript" src="${ctx}/assets/operator/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="${ctx}/assets/operator/js/bootbox.js"></script>

</@override>
<@override name="body">
	<#include "/operator/main/public-head.ftl">
	<div id= "pagecontent">
		<div id="shortcutBar">
			<ul>
				<li ><i class="icon-home"></i> <a class="homepage" href="${ctx}/operator/main/dashboard">首页</a>
				<span class="divider1"><i class="icon-angle-right"></i></span></li>
				<li ><a class="homepage2" href="#">素材审核</a></li>			         
			</ul>  
		</div>
		<div id="selectConditionBar">
			<span>状态：</span>
			<a href="${ctx}/operator/main/banner-audit/list">全部</a>
			<a href="${ctx}/operator/main/banner-audit/list?operatorChecked=2">审核通过</a>
			<a href="${ctx}/operator/main/banner-audit/list?operatorChecked=1">审核未通过</a>
			<a href="${ctx}/operator/main/banner-audit/list?operatorChecked=0">未审核</a>
		</div>
		<div id="searchBar">
			<button class="batch_btn" href="${ctx}/operator/main/banner-audit/pass">批量通过</button>
			<button class="batch_btn" href="${ctx}/operator/main/banner-audit/reject">批量不通过</button>
			<form action="${ctx}/operator/main/banner-audit/list?operatorId=${operatorId}" method="post" class="search-form" >
				<input  autocomplete="off"  type="hidden" name="page" value="${pager.page!}">
				<input  autocomplete="off"  type="hidden" name="operatorChecked" value="${operatorChecked!}">
          		<input  autocomplete="off"  type="hidden" name="searchKey" value="name">
          		<input  autocomplete="off"  class="search_btn" id="search-input" type="text" name="searchValue" value="请输入需要搜索的内容" onkeydown="if(event.keyCode==13){return false;}">
          		<img id="serachData_img" src="${ctx}/assets/operator/images/fangdajing1.png"/>
			</form>
		</div>
		<div id="bannerList">
			<#include "list.ftl">
		</div>
		
	</div>
</@override>
<@extends name="/common/simple.ftl"/>

<script type="text/javascript">
$(document).ready(function(){
//按enter实现搜索
	$("#search-input").keydown(function(e){
	    if(!e){
	        e=window.event;
	        }
	        if((e.keyCode||e.which)===13){
	          //  $(":button").click();//回车键按下执行的方法
	            $('#searchBar img').trigger("click");
	    }
	});
	
	//个人信息栏的js控制
	$("#divselect").click(function(){
		$("#divselect ul").slideToggle("fast");
	});
	
	//搜索输入框的样式改变
	$("#searchBar input[name='searchValue']").focus(function(){
		$(this).val("");
	});
	$("#searchBar input[name='searchValue']").blur(function(){
		if($(this).val()== ""){
			$(this).val("请输入需要搜索的内容");
		}
	});
	
	//checkbox是否选中
	$(document).on('click' ,'table th input:checkbox', function(){
		var that = this;
		$(this).closest('table').find('tr > td:first-child input:checkbox')
			.each(function(){
			this.checked = that.checked;
		});
	});
	
	// 分页中超链接跳转
	/*$('#pagecontent .pagination ul li a[href]').unbind('click').click(function(){
		alert("aaa");
		var _page = $(this).attr('href').substr(1);
		var _form = $('#page-content .search-form');
		_form.find('input:hidden[name=\'page\']').val(_page);
		var _url = _form.attr('action');
		var _param = _form.serialize();
		$.post(_url, _param, function(data) {
			$('#main-content').html(data);
		});
		return false;
	});*/
	
	//页面中审核通过，审核不通过，未审核链接跳转按钮
	$('#selectConditionBar a').click(function(){
		var n = $(this).index();
		var _href = $(this).attr('href');
		$('#selectConditionBar a').css('border-bottom','2px solid #f4f5f7');	
		$(this).css('border-bottom','2px solid #36aeea');
		if($(this).html() == "全部"){
			$("#searchBar input[name=operatorChecked]").val(null);
		}
		if($(this).html() == "审核通过"){
			$("#searchBar input[name=operatorChecked]").val(2);
		}
		if($(this).html() == "审核未通过"){
			$("#searchBar input[name=operatorChecked]").val(1);
		}
		if($(this).html() == "未审核"){
			$("#searchBar input[name=operatorChecked]").val(0);
		}
		console.info($("#searchBar input[name=operatorChecked]").val());
	});
	
	// 分页中超链接跳转
	$(document).on('click','#pagecontent .pagination ul li a[href]',function(){
		var _page = $(this).attr('href').substr(1);
		var _form = $('#pagecontent .search-form');
		_form.find('input:hidden[name="page"]').val(_page);
		_form.find('img').click();
		return false;
	});
	
	//导出excel
	$(document).on('click','#footBar .exportExcel',function(){
		var _href = $(this).attr('href');
		var $searchValue = $("#searchBar .search-form input[name=searchValue]")
		if($searchValue.val() == "请输入需要搜索的内容"){
			$searchValue.val(null);
		};
		var _form = $('#pagecontent .search-form');
		var _param = _form.serialize();
		window.location.assign(_href + "?" + _param);
		return false;
	});
	//@wanfu
	// 页面中超链接跳转。
	$('#selectConditionBar a').click(function() {
		var _href = $(this).attr('href');
		if (_href && _href != '#') {
			$("#bannerList").empty();
			$("#bannerList").load(_href);
			return false;
		}
	});

	//搜索数据
	$(document).on('click','#serachData_img',function(){
		console.info($(this));
		var $searchValue = $("#searchBar .search-form input[name=searchValue]")
		if($searchValue.val() == "请输入需要搜索的内容"){
			$searchValue.val(null);
		};
		var _form = $('#pagecontent .search-form');
		var _url = _form.attr('action');
		var _param = _form.serialize();
		console.log("search url:"+_url+", param:"+_param);
//		$("#tableList").load(_url, _param);
//		$("#bannerList").empty();
//		$("#bannerList").load(_url, _param,function(data){
//			console.info(data);
//		});
		$.post(_url, _param, function(data) {
			$('#bannerList').html(data);
		});
		return false;
	});

	/*//checkbox是否选中
	$(document).on('click' ,'table th input:checkbox', function(){
		var that = this;
		$(this).closest('table').find('tr > td:first-child input:checkbox')
		.each(function(){
			this.checked = that.checked;
			
		});
	});*/

	//批量审核
	$(document).on('click','#searchBar button[href]',function() {
		var $this = $(this);
		//找到所有以选中的checkbox
		var _checkboxes = $('table tbody input:checkbox:checked');
		//如果有选中的checkbox，执行函数
		if (_checkboxes.size()>0) {
			// 防止二次点击
			 // $this.attr('disabled', 'disabled');
			//获取点击的button的href属性的值
			var _url = $this.attr("href");
			//将选中的checkbox序列化
			var _param = _checkboxes.serialize();
			bootbox.confirm("确定" +$this.text() + "吗?", function(ensure) {					
				if (ensure) {	
					//post请求，地址_url,参数_param，后端会调用对应controller方法并接受参数，返回数据为data传给回调函数
					$.post(_url, _param, function(data) {
						//$this.removeAttr('disabled');
						$('#serachData_img').click();
					});	
				}
			});
		}else{
			bootbox.alert("请选择需要"+$this.text()+"的数据！");
			//$this.removeAttr('disabled');
		}	
		return false;
	});

	//表格中的审核按钮
	$(document).on("click",'#pagecontent .table .unlabeled',function(){
		//点击按钮的href属性的值
		var _href = $(this).attr('href');
		var $this = $(this);
		console.info("aaa1:" + _href);
		//如果href的值不为空，未定义，且不等于#，执行函数
		if (_href != undefined && _href && _href != '#') {
			console.log("[debug]click a's label:" + $this.text());
			// 防止二次点击
			$this.attr('disabled', 'disabled');
			//post请求，地址_url，后端会调用对应controller方法并接受参数，返回数据为data传给回调函数
			$.get(_href, function(data) {
				console.info("aaa2:" + data);
				$this.removeAttr('disabled');
				//$this.parent().prev().html("aa");
				$('#serachData_img').click();
			});
			return false;
		}
	});
});
</script>