<@override name="breadcrumb">
	<li><i class="icon-home"></i> <a href="${ctx}/operator/main/dashboard">首页</a><span
		class="divider"><i class="icon-angle-right"></i></span></li>
		
</@override>
<@override name="page">
	
	<!--/page-header-->
	<div class="row-fluid">
		<!-- PAGE CONTENT BEGINS HERE -->
		<form id="validation-form" class="form-horizontal" action="${ctx}/operator/main/code-class/save" method="post">
			<div class="control-group">
				<label class="control-label" for="form-field-4"><sup>*</sup>请输入您要创建的访客找回分类名称：</label>
				<div class="controls">
					<input  autocomplete="off"  name="codeName" type="text" id="form-field-4" placeholder=""> <span
						class="help-inline" for="form-field-4"></span>
				</div>
			</div>
      
           
			<div class="control-group">
				<label class="control-label" for="form-field-4"><sup>*</sup>请输入您要创建的访客找回分类参数值：</label>
				<div class="controls">
					<input  autocomplete="off"  name="codePara" type="text" id="form-field-4" placeholder=""> <span
						class="help-inline" for="form-field-4"></span>
				</div>
			</div>
           
	
			<div class="form-actions">
				<button class="btn btn-info" type="submit">
					<i class="icon-ok"></i> 保存
				</button>
				&nbsp; &nbsp; &nbsp;
				<a class="btn" type="reset" href="${ctx}/operator/main/code-class">
					<i class="icon-undo"></i> 取消
				</a>
			</div>
		</form>
		
		
		<div class="space-24ger"></div>
		<!-- PAGE CONTENT ENDS HERE -->
	</div>
	<!--/row-->
</@override>
<@extends name="/common/page.ftl"/>
<script type="text/javascript" src="${ctx}/assets/operator/js/jquery.validate.min.js"></script>

<script type="text/javascript">
$(".pswToggle input[type=checkbox]").on('click',function(){
    var inp = $(this).parents('form').find("input[name=password],input[name=ensurePassword]")
    if(inp.attr("type")=='password'){
        inp.attr('type','text');
    }else{
        inp.attr('type','password');
    };
});



 
        
$('#validation-form').validate({
    errorElement: 'span',
    errorClass: 'help-inline',
    focusInvalid: false,
    ignore:".ignore",
    onfocusout: function(element) {
                    $(element).valid();
                },
    rules: {
        username: {
            required:true,
            email:true
        },
        password: {
            required:true,
            minlength: 6,
            maxlength:16,
            pswcheck:'required'
        },
        ensurePassword: {
            required:true,
            minlength: 6,
            maxlength:16,
            equalTo: "input[name=password]",
            pswcheck:'required'
        },
        contactName: {
            required: true,
            minlength:2
        },
        phone: {
            required: true,
            phone: 'required'
        },
        userGroupType:{
            required:true
        },
        status:{
            required:true
        }
    },
    messages: {
        
        contactName:{
            required:"请输入姓名",
            minlength:"请输入正确的姓名长度"
        },
        gender:{
            required:"请输入性别"
        },
        userGroupType:{
            required:"请选择"
        },
        status:{
            required:"请选择"
        }
    },
    invalidHandler: function (event, validator) { //display error alert on form submit
        $('.alert-error', $('.login-form')).show();
    },
    highlight: function (e) {
        $(e).closest('.control-group').removeClass('info').addClass('error');
    },
    success: function (e) {
        $(e).closest('.control-group').removeClass('error').addClass('info');
        $(e).remove();
    },
    errorPlacement: function (error, element) {
        if(element.is(':checkbox') || element.is(':radio')) {
            var controls = element.closest('.controls');
            if(controls.find(':checkbox,:radio').length > 1) controls.append(error);
            else error.insertAfter(element.nextAll('.lbl').eq(0));
        }
        else if(element.is('.chzn-select')) {
            error.insertAfter(element.nextAll('[class*="chzn-container"]').eq(0));
        }
        else error.insertAfter(element);
    },
    submitHandler: function (form) {
    	// 防止表单二次提交
		$(this).attr('disabled', 'disabled');
		var _url = $('form').attr('action');
		var _param = $('form').serialize();
		$.post(_url,_param,function(data) {
			$('#main-content').html(data);
		});
    },
    invalidHandler: function (form) {
    }
});
</script>